<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
	<title>C&amp;C Subroutine Library</title>
</head>
<body>
<?php
include "lb_header.php"
?>
<p>
<b>TCOM_Application_Event_Logger</b><br>
What: class<br>
Ancestor: <a href="TBase_Delphi_Object.php">TCommon_COM_Interface</a><br>
File: _AEL<br>
Layer: 1<br>
Platforms:  C++, C#, Javascript, Pascal (Object), PHP, Python<br>
<br>
This abstract base class defines a means of logging information.  The methods are
all stdcall calling convention.  The class has the following methods:
</p>
<p>
<b>Log_Event</b><br>
void Log_Event( char* S )<br>
procedure Log_Event( const S : string )<br>
Logs an event with the text of the passed string.
</p>
<p>
<b>Trace_Enter</b><br>
void Trace_Enter( char* S )<br>
procedure Trace_Enter( const S : string )<br>
Logs the entering of a routine.  The routine name is passed.
</p>
<p>
<b>Trace_Exit</b><br>
void Trace_Exit( char* S )<br>
procedure Trace_Exit( const S : string )<br>
Logs the exiting of a routine.  The routine name is passed.
</p>
