<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
	<title>C&amp;C Subroutine Library</title>
</head>
<body>
<?php
include "lb_header.php"
?>
<p>
<b>TCOM_Logger</b><br>
What: class<br>
Ancestor: <a href="TBase_Object.php">TBase_Object</a><br>
File: <a href="_Loggers.php">_Loggers</a><br>
Layer: 0<br>
Platforms: C++, Pascal (Delphi)<br>
<br>
Defines an abstract base COM class for loggers.  The methods all stdcall and they are:<br>
<p>
<b>Log_Message</b><br>
bool Log_Message( char* Mess, int32 Level )<br>
function Log_Message( Mess : string ; Level : integer ) : boolean<br>
This procedure is called to log informational messages
to the code supplying the logger.  Mess is the message
text, and Level indicates the type of message. The return value
indicates whether or not to abort the process which
created the message.  If the result is True the
process should be terminated gracefully as quickly as possible.
</p>
<p>
<b>Log_Nested_Message</b><br>
bool Log_Nested_Message( char* Mess, int32 Level )<br>
function Log_Nested_Message( Mess : string ; Level : integer ) : boolean<br>
Same as Log_Message, but the message will be followed
by a Unnest_Message call when the condition causing the message goes out of scope.
</p>
<p>
<b>Unnest_Message</b><br>
bool Unnest_Message( int32 Level )<br>
function Unnest_Message( Level : integer ) : boolean<br>
This indicates the end of the condition under which the
previous message with the specified level occurred.
If True is returned, the process should be
terminated gracefully as quickly as possible.
</p>
<p>
<b>Check_Terminate</b><br>
bool Check_Terminate()<br>
function Check_Terminate : boolean<br>
This function is called during a long process to allow
for the user to abort it or for checking Windows
messages, etc.  If the function returns True, the
process should be terminated gracefully as quickly as possible.
</p>
