<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
	<title>C&amp;C Subroutine Library</title>
</head>
<body>
<?php
include "lb_header.php"
?>
<p>
<b>TCache_Statistics</b><br>
What: class or structure<br>
File: <a href="_Cache">_Cache</a><br>
Layer: 1<br>
Platforms: C++, C#, Javascript, Pascal (Object), PHP, Python<br>
<br>
In C++ and Pascal, this is a structure.  On other platforms, it is a class.  It contains
the following fields in the following order.  Note that Hits + Misses = total reads and
Write - Replacements = non-replacement writes.
</p>
<p>
<b>Hits</b><br>
Type: int32<br>
Number of cache read hits.
</p>
<p>
<b>Misses</b><br>
Type: int32<br>
Number of cache misses.
</p>
<p>
<b>Writes</b><br>
Type: int32<br>
Total number of writes into the cache.
</p>
<p>
<b>Turns</b><br>
Type: int32<br>
Number of times blocks were thrown away to make room for more.
</p>
<p>
<b>Replacements</b><br>
Type: int32<br>
Number of write hits.
</p>
