<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
	<title>C&amp;C Subroutine Library</title>
</head>
<body>
<?php
include "lb_header.php"
?>
<p>
<b>TSCache_Manager</b><br>
What: Type<br>
Layer: 1<br>
Platforms: C++, C#, Javascript, Pascal (Object), PHP, Python<br>
<br>
A base abstract class for cache managers.  It contains the following methods:
</p> 
<p>
<b>Add</b><br>
void Add( PSCache Routine, int32 Priority )<br>
procedure Add( Routine : PSCache ; Priority : longint )<br>
This routine adds a cache to the cache list.  Routine is a pointer to an
instance of a TSCache, and Priority is the relative priority of this cache.
</p>
<p>
<b>Add_Event</b><br>
(Note: Pascal only)<br>
procedure Add_Event( Routine : TCache_Event ; Priority : longint )<br>
Add an event delegation hook.
</p>
<p>
<b>Delete</b><br>
void Delete( PSCache Routine )<br>
procedure Delete( Routine : PSCache )<br>
This routine removes a cache from the cache handler list.
</p>
<p>
<b>Delete_Event</b><br>
(Note: Pascal only)<br>
procedure Delete_Event( Routine : TCache_Event )<br>
Deletes the specified delegation hook.
</p>
<p>
<b>Free_Cache</b><br>
void Free_Cache( int32 Siz, int32 Priority, PSCache Exclude )<br>
procedure Free_Cache( Siz, Priority : longint ; Exclude : PSCache )<br>
This routine calls the appropriate cache to free up Siz bytes of memory.  A
specific handler can be excluded from this. Calling this with Exclude of nil, priority 
of maxint, and Siz of -1, will zero all caches.
</p>
<p>
<b>Free_Event</b><br>
(Note: Pascal only)<br>
procedure Free_Event( Siz, Priority : longint ; Exclude : TCache_Event )<br>
Frees the specified event delegation hook.
</p>
<p>
<b>Initialize</b><br>
void Initialize())<br>
procedure Initialize<br>
Initializes the instance.
</p>
<p>
<b>Terminate</b><br>
void Terminate()<br>
procedure Terminate<br>
Terminates the instance.
</p>
