<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
	<title>C&amp;C Subroutine Library</title>
</head>
<body>
<?php
include "lb_header.php"
?>
<p>
<b>TSGeneric_Event</b><br>
What: class<br>
Ancestor: <a href="TBase_Object.php">TBase_Object</a><br>
File: <a href="_Events">_Events</a><br>
Layer: 1<br>
Platforms: C++, C#, Javascript, Pascal (Object), PHP, Python<br>
<br>
An abstract base class for classes that represent events.  It contains the following
methods and instance data:
</p> 
<p>
<b>Methods:</b><br>
<b>Name</b><br>
string Name()<br>
function Name : string<br>
Returns the event name.
</p>
<p>
<b>Public Instance Data:</b><br>
<b>Event_Type</b><br>
int32 Event_Type<br>
Event_Type : int32<br>
Source of the event.
</p>
<p>
<b>Name</b><br>
void* Source<br>
Source : pointer<br>
Source of the event.
</p>
<p>
<b>User</b><br>
bool User<br>
User : boolean<br>
True if directly a user-generated event (such as a keystroke).
</p>
