<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
	<title>C&amp;C Subroutine Library</title>
</head>
<body>
<?php
include "lb_header.php"
?>
<p>
<b>TSNamed_Values</b><br>
What: Class<br>
Ancestor: <a href="TCommon_COM_Interface.php">TCommon_COM_Interface</a><br>
File: _NameVal<br>
Layer: 0<br>
Platforms: C++, C#, Javascript, Pascal (All), PHP, Python<br>
<br>
This class is the abstract base class for COM Named values.  The class contains the following methods:
</p>
<p>
<b>Index_Of</b><br>
int Index_Of( string Name )<br>
function Index_Of( Name : PAnsiChar ) : integer<br>
Returns the index of the item with the given name.  Returns -1 if the name is not
found.
</p>
<p>
<b>Index_Of_Value</b><br>
int Index_Of_Value( string Value )<br>
function Index_Of_Value( Value : PAnsiChar ) : integer<br>
Returns the index of the first (lowest) occurance of the passed value.  If not found,
-1 is returned.
</p>
<p>
<b>Get</b><br>
string Get( int Index )<br>
function Get( Index : integer ) : PAnsiChar<br>
Returns the value associated with the passed index.
</p>
<p>
<b>Get_Name</b><br>
string Get_Name( int Index )<br>
function Get_Name( Index : integer ) : PAnsiChar<br>
Returns the name associated with the passed index.
</p>
<p>
<b>Put</b><br>
int Put( int Index, string Value )<br>
function Put( Index : integer ; Value : PAnsiChar ) : integer<br>
Changes the value at the specified index to the specified value.
</p>
<p>
<b>Put_By_Name</b><br>
int Put_by_Name( string Name, string Value )<br>
function Put_by_Name( Name, Value : PAnsiChar ) : integer<br>
Changes the value associated with the specified name.
</p>
<p>
<b>Delete</b><br>
void Delete( int Index )<br>
procedure Delete( Index : integer )<br>
Deletes the item at the specified index.
</p>
