<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
	<title>C&amp;C Subroutine Library</title>
</head>
<body>
<?php
include "lb_header.php"
?>
<p>
<b>TString_Collection</b><br>
What: class<br>
File: <a href="Collect.php">Collect</a><br>
Layer: 0<br>
Platforms: C++, C#, Javascript, Pascal (All), PHP, Python<br>
<br>
This class provides a collection of strings.  For languages without strict
typing (Javascript, PHP, Python, etc) this class stores collections of any data desired
(the class is a descendent of TCollection).
The items in the collection are referenced by indexes (0 is the first).
</p> 
<p>
<b>At</b><br>
string At( int Index )<br>
function At( Index : integer ) : string<br>
Returns the item at the specified index.
</p>
<p>
<b>AtDelete</b><br>
void AtDelete( int Item )<br>
procedure AtDelete( Index : integer )<br>
Deletes the item at the specified index.
</p>
<p>
<b>AtInsert</b><br>
void AtInsert( int Index, string Item )<br>
procedure AtInsert( Index : integer ; Item : string )<br>
Inserts the specified item at the specified index.  The item previously at that index
and all items above it are moved up one index.
</p>
<p>
<b>AtPut</b><br>
void AtPut( int Index, string Value )<br>
procedure AtPut( Index : integer ; Value : string )<br>
Sets the value at a specific index.
</p>
<p>
<b>Count</b><br>
int Count()<br>
function Count : integer<br>
Returns the count of items in the collection.
</p>
<p>
<b>Delete</b><br>
void Delete( string Item )<br>
procedure Delete( Item : string )<br>
Deletes the items matching the passed items.
</p>
<p>
<b>DeleteAll</b><br>
void DeleteAll()<br>
procedure DeleteAll<br>
Deletes all items in the collection.
</p>
<p>
<b>IndexOf</b><br>
int IndexOf( string Item )<br>
function IndexOf( Item : string ) : integer<br>
Returns the index of the first item matching the passed value.
</p>
<p>
<b>Insert</b><br>
void Insert( string Item )<br>
procedure Insert( Item : string )<br>
Adds the passed item to the end of the collection.
</p>
<p>
<b>Limit</b><br>
int Limit()<br>
function Limit : integer <br>
Returns the current capacity for the collection.
</p>
<p>
<b>SetLimit</b><br>
void SetLimit( int ALimit )<br>
procedure SetLimit( ALimit : integer )<br>
Sets the total capacity of the collection to the passed value.
</p>
