<?php
 /*
		Program Name : Streams
		Package Name : Subroutine Library - Layer 0
		Purpose      : TSStream object
		Institution  : Conroy & Conroy Co.
		Date Written : 2002
		Written By   : Alan Conroy
		Version      : 1.0

		Copyright (C) 2002-2021 by Alan Conroy.  All rights reserved.

		TO THE GLORY OF GOD THROUGH JESUS CHRIST

		*************************************************************
		*                                                           *
		*        M O D I F I C A T I O N   H I S T O R Y            *
		*                                                           *
		*************************************************************

			DATE        BY          REASON

		*************************************************************
		*                                                           *
		*        P R O G R A M   P U R P O S E                      *
		*                                                           *
		*************************************************************
*/

require_once "_ASCII.php" ; // CR

class TBase_Stream extends TSStream
{
	public function At_End()
	{
		return true ;
	}


	public function Read( $Buffer, &$_Size )
	{
		$_Size = 0 ;
		return 0 ;
	}


	public function Read_Line( &$Buffer, &$_Size )
	{
		// Setup...
		$Index = 0 ;
		$Buffer="";

		while( !At_End() )
		{
			$S = 1 ;
			self::Read( $C, $S ) ;
			if( ( $C == CR ) || ( $S == 0 ) )
        	{
        	    break ;
			} ;
			$Buffer .= $C ;
			$_Size++ ;
		}
	}


	public function Read_String()
	{
		$S = "" ;
		while( !self::At_End() )
		{
			$Size = 1 ;
			self::Read( $C, $Size ) ;
			if( ( $C == CR ) || ( $Size == 0 ) )
    	    {
    	        break ;
    	    } ;
			$S .= $C ;
		} ;
		return $S ;
	}


	public function Seek( $Position )
	{
	}


	public function Write( $Buffer, $_Size )
	{
	}


	public function Write_String( $Buffer )
	{
		self::Write( $Buffer, strlen( $Buffer ) ) ;
	}


	public function Write_Line( $Buffer )
	{
	    self::Write( $Buffer, strlen( $Buffer ) ) ;
		$C = CR ;
		self::Write( $C, 1 ) ;
	}


	public function Write_Line_String( $Buffer )
	{
		self::Write( $Buffer, strlen( $Buffer ) ) ;
		$C = CR ;
		self::Write( $C, 1 ) ;
	}
} ;
