<?php
/*
        Program Name : TCommon_COM_Interface
        Package Name : Subroutine Library - Layer 0
        Purpose      : Abstract virtual common COM interface class
        Institution  : Conroy & Conroy Co.
        Date Written : 21-March-2002
        Written By   : Alan Conroy
        Version      : 1.0

        Copyright (C) 2002-2015 by Alan Conroy.  Released to the Public Domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          TBase_COM_Interface is an abstract base class definition for COM
        objects used in the Application Foundation.
*/

include_once "_DebugIn.php";
include_once "_Types.php";
include_once "_UE.php";

class TBase_COM_Interface
{
                                   /* Initialize the object.  Returns result of
                                     initialization attempt. */
                                   function Initialize()
								   {
								   }

                                   /* Terminate the use of the object.  Returns
                                     result of termination.  This generally
                                     should not be used - instead, use the
                                     Detach method. */
                                   function Terminate()
								   {
								   }

                                   /* Increments the reference count for the
                                     object. */
                                   function Attach()
                                   {
                                   }

                                   /* Decrements the reference count for the
                                     object.  When count reaches 0, the object
                                     is destroyed.  Returns true if object is
                                     destroyed, false otherwise. */
                                   function Detach()
								   {
								   	   return false;
								   }

                                   /* Returns True if this class is the passed
                                     class name. */
                                   function Is_Class( $Name )
								   {
								   }

                                   /* Version of the COM interface for this
                                     object. */
                                   function Interface_Version()
								   {
								   }

                                   /* Facility ID for the facility represented
                                     by this object.  Returns -1 if no
                                     facility assigned. */
                                   function Facility_ID()
								   {
								   }

                                   /* Facility version.  Result only has
                                     meaning if Facility_ID doesn't return
                                     -1. */
                                   function Facility_Version()
								   {
								   }

                                   /* Returns a debugging interface for the
                                     object.  Returns nil if not supported. */
                                   function Debugger()
								   {
								   }

                                   /* Returns last error. */
                                   function Last_Error()
								   {
								   }

                                   /* Returns a pointer to an object with
                                     extended common COM methods for object.
                                     Always returns nil for now. */
                                   function Extension()
								   {
								   }
} ; // TBase_COM_Interface
