/*
        Program Name : _CacheMa
        Package Name : Subroutine Library - Layer 1
        Purpose      : Cache Manager class
        Institution  : Conroy & Conroy Co.
        Date Written : 18-Jun-1994
        Written By   : Alan Conroy
        Version      : 1.0

        Copyright (C) 1994-2021 by Alan Conroy.  Released to the public domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

		*************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON

        *************************************************************
        *                                                           *
		*        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

		  The cache manager is used to manage multiple caches.
*/

using System;
using _Cache_unit; // PSCache
using CommBase_unit; // TBase_Object
using _Common_unit; // Abstract_Error

namespace _CacheMa_unit
{
	public class TSCache_Manager : TBase_Object
	{
		public virtual void Initialize()
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
		}


		public virtual void Terminate()
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
		}


		public virtual void Add( PSCache Routine, int Priority )
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
		}


		public virtual void Delete( PSCache Routine )
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
		}


		public virtual void Free_Cache( int Siz, int Priority, PSCache Exclude )
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
		}
	} ;


	public class PSCache_Manager : TSCache_Manager
	{
	} ;


	public class _CacheMa
	{
		public static PSCache_Manager _Cache_Manager = null ;
	} ;
}
