/*
		Program Name : _Colors
		Package Name : Subroutine Library - Layer 0
		Purpose      : Defines RGB color constants
		Institution  : Conroy & Conroy Co.
		Date Written : 12-Nov-1997
		Written By   : Alan Conroy
		Version      : 1.0

		  Copyright (c) 1997-2021 by Alan Conroy.  Released to the Public Domain.

		TO THE GLORY OF GOD THROUGH JESUS CHRIST

		*************************************************************
		*                                                           *
		*        M O D I F I C A T I O N   H I S T O R Y            *
		*                                                           *
		*************************************************************

			DATE        BY          REASON

		*************************************************************
		*                                                           *
		*        P R O G R A M   P U R P O S E                      *
		*                                                           *
		*************************************************************

		Color constant definitions.
*/

using System;
using _RGB_unit;

namespace _Colors_unit
{
	public class _Colors
	{
		public TWide_RGB RGB_Alice_Blue_Wide ;
		public TWide_RGB RGB_Antique_White_Wide ;
		public TWide_RGB RGB_Antique_White1_Wide ;
		public TWide_RGB RGB_Antique_White2_Wide ;
		public TWide_RGB RGB_Antique_White3_Wide ;
		public TWide_RGB RGB_Antique_White4_Wide ;
		public TWide_RGB RGB_Aquamarine_Wide ;
		public TWide_RGB RGB_Aquamarine1_Wide ;
		public TWide_RGB RGB_Aquamarine2_Wide ;
		public TWide_RGB RGB_Aquamarine3_Wide ;
		public TWide_RGB RGB_Aquamarine4_Wide ;
		public TWide_RGB RGB_Azure_Wide ;
		public TWide_RGB RGB_Azure1_Wide ;
		public TWide_RGB RGB_Azure2_Wide ;
		public TWide_RGB RGB_Azure3_Wide ;
		public TWide_RGB RGB_Azure4_Wide ;
		public TWide_RGB RGB_Banana_Wide ;
		public TWide_RGB RGB_Beige_Wide ;
		public TWide_RGB RGB_Bisque_Wide ;
		public TWide_RGB RGB_Bisque1_Wide ;
		public TWide_RGB RGB_Bisque2_Wide ;
		public TWide_RGB RGB_Bisque3_Wide ;
		public TWide_RGB RGB_Bisque4_Wide ;
		public TWide_RGB RGB_Black_Wide ;
		public TWide_RGB RGB_Blanched_Almond_Wide ;
		public TWide_RGB RGB_Blue_Wide ;
		public TWide_RGB RGB_Blue1_Wide ;
		public TWide_RGB RGB_Blue2_Wide ;
		public TWide_RGB RGB_Blue3_Wide ;
		public TWide_RGB RGB_Blue4_Wide ;
		public TWide_RGB RGB_Blue_Violet_Wide ;
		public TWide_RGB RGB_Brick_Wide ;
		public TWide_RGB RGB_Brown_Wide ;
		public TWide_RGB RGB_Brown1_Wide ;
		public TWide_RGB RGB_Brown2_Wide ;
		public TWide_RGB RGB_Brown3_Wide ;
		public TWide_RGB RGB_Brown4_Wide ;
		public TWide_RGB RGB_Burgandy_Wide ;
		public TWide_RGB RGB_Burlywood_Wide ;
		public TWide_RGB RGB_Burlywood1_Wide ;
		public TWide_RGB RGB_Burlywood2_Wide ;
		public TWide_RGB RGB_Burlywood3_Wide ;
		public TWide_RGB RGB_Burlywood4_Wide ;
		public TWide_RGB RGB_Burnt_Sienna_Wide ;
		public TWide_RGB RGB_Burnt_Umber_Wide ;
		public TWide_RGB RGB_Cadet_Blue_Wide ;
		public TWide_RGB RGB_Cadet_Blue1_Wide ;
		public TWide_RGB RGB_Cadet_Blue2_Wide ;
		public TWide_RGB RGB_Cadet_Blue3_Wide ;
		public TWide_RGB RGB_Cadet_Blue4_Wide ;
		public TWide_RGB RGB_Cadmium_Orange_Wide ;
		public TWide_RGB RGB_Cadmium_Red_Wide ;
		public TWide_RGB RGB_Cadmium_Yellow_Wise ;
		public TWide_RGB RGB_Chartreuse_Wide ;
		public TWide_RGB RGB_Chartreuse1_Wide ;
		public TWide_RGB RGB_Chartreuse2_Wide ;
		public TWide_RGB RGB_Chartreuse3_Wide ;
		public TWide_RGB RGB_Chartreuse4_Wide ;
		public TWide_RGB RGB_Chocolate_Wide ;
		public TWide_RGB RGB_Chocolate1_Wide ;
		public TWide_RGB RGB_Chocolate2_Wide ;
		public TWide_RGB RGB_Chocolate3_Wide ;
		public TWide_RGB RGB_Chocolate4_Wide ;
		public TWide_RGB RGB_Cobalt_Wide ;
		public TWide_RGB RGB_Cobalt_Green_Wide ;
		public TWide_RGB RGB_Coral_Wide ;
		public TWide_RGB RGB_Coral1_Wide ;
		public TWide_RGB RGB_Coral2_Wide ;
		public TWide_RGB RGB_Coral3_Wide ;
		public TWide_RGB RGB_Coral4_Wide ;
		public TWide_RGB RGB_Cornflower_Blue_Wide ;
		public TWide_RGB RGB_Cornsilk_Wide ;
		public TWide_RGB RGB_Cornsilk1_Wide ;
		public TWide_RGB RGB_Cornsilk2_Wide ;
		public TWide_RGB RGB_Cornsilk3_Wide ;
		public TWide_RGB RGB_Cornsilk4_Wide ;
		public TWide_RGB RGB_Crimson_Wide ;
		public TWide_RGB RGB_Cyan_Wide ;
		public TWide_RGB RGB_Cyan1_Wide ;
		public TWide_RGB RGB_Cyan2_Wide ;
		public TWide_RGB RGB_Cyan3_Wide ;
		public TWide_RGB RGB_Cyan4_Wide ;
		public TWide_RGB RGB_Dark_Goldenrod_Wide ;
		public TWide_RGB RGB_Dark_Goldenrod1_Wide ;
		public TWide_RGB RGB_Dark_Goldenrod2_Wide ;
		public TWide_RGB RGB_Dark_Goldenrod3_Wide ;
		public TWide_RGB RGB_Dark_Goldenrod4_Wide ;
		public TWide_RGB RGB_Dark_Green_Wide ;
		public TWide_RGB RGB_Dark_Khaki_Wide ;
		public TWide_RGB RGB_Dark_Olive_Green_Wide ;
		public TWide_RGB RGB_Dark_Olive_Green1_Wide ;
		public TWide_RGB RGB_Dark_Olive_Green2_Wide ;
		public TWide_RGB RGB_Dark_Olive_Green3_Wide ;
		public TWide_RGB RGB_Dark_Olive_Green4_Wide ;
		public TWide_RGB RGB_Dark_Orange_Wide ;
		public TWide_RGB RGB_Dark_Orange1_Wide ;
		public TWide_RGB RGB_Dark_Orange2_Wide ;
		public TWide_RGB RGB_Dark_Orange3_Wide ;
		public TWide_RGB RGB_Dark_Orange4_Wide ;
		public TWide_RGB RGB_Dark_orchid_Wide ;
		public TWide_RGB RGB_Dark_Orchid1_Wide ;
		public TWide_RGB RGB_Dark_Orchid2_Wide ;
		public TWide_RGB RGB_Dark_Orchid3_Wide ;
		public TWide_RGB RGB_Dark_Orchid4_Wide ;
		public TWide_RGB RGB_Dark_Purple_Wide ;
		public TWide_RGB RGB_Dark_Salmon_Wide ;
		public TWide_RGB RGB_Dark_Sea_Green_Wide ;
		public TWide_RGB RGB_Dark_Sea_Green1_Wide ;
		public TWide_RGB RGB_Dark_Sea_Green2_Wide ;
		public TWide_RGB RGB_Dark_Sea_Green3_Wide ;
		public TWide_RGB RGB_Dark_Sea_Green4_Wide ;
		public TWide_RGB RGB_Dark_Slate_Blue_Wide ;
		public TWide_RGB RGB_Dark_Slate_Gray_Wide ;
		public TWide_RGB RGB_Dark_Slate_Gray1_Wide ;
		public TWide_RGB RGB_Dark_Slate_Gray2_Wide ;
		public TWide_RGB RGB_Dark_Slate_Gray3_Wide ;
		public TWide_RGB RGB_Dark_Slate_Gray4_Wide ;
		public TWide_RGB RGB_Dark_Turquoise_Wide ;
		public TWide_RGB RGB_Dark_Violet_Wide ;
		public TWide_RGB RGB_Deep_Pink_Wide ;
		public TWide_RGB RGB_Deep_Pink1_Wide ;
		public TWide_RGB RGB_Deep_Pink2_Wide ;
		public TWide_RGB RGB_Deep_Pink3_Wide ;
		public TWide_RGB RGB_Deep_Pink4_Wide ;
		public TWide_RGB RGB_Deep_Sky_Blue_Wide ;
		public TWide_RGB RGB_Deep_Sky_Blue1_Wide ;
		public TWide_RGB RGB_Deep_Sky_Blue2_Wide ;
		public TWide_RGB RGB_Deep_Sky_Blue3_Wide ;
		public TWide_RGB RGB_Deep_Sky_Blue4_Wide ;
		public TWide_RGB RGB_Dim_Gray_Wide ;
		public TWide_RGB RGB_Dodger_Blue_Wide ;
		public TWide_RGB RGB_Dodger_Blue1_Wide ;
		public TWide_RGB RGB_Dodger_Blue2_Wide ;
		public TWide_RGB RGB_Dodger_Blue3_Wide ;
		public TWide_RGB RGB_Dodger_Blue4_Wide ;
		public TWide_RGB RGB_Eggshell_Wide ;
		public TWide_RGB RGB_Emerald_Green_Wide ;
		public TWide_RGB RGB_Fire_Brick_Wide ;
		public TWide_RGB RGB_Fire_Brick1_Wide ;
		public TWide_RGB RGB_Fire_Brick2_Wide ;
		public TWide_RGB RGB_Fire_Brick3_Wide ;
		public TWide_RGB RGB_Fire_Brick4_Wide ;
		public TWide_RGB RGB_Floral_White_Wide ;
		public TWide_RGB RGB_Forest_Green_Wide ;
		public TWide_RGB RGB_Gainsboro_Wide ;
		public TWide_RGB RGB_Ghost_White_Wide ;
		public TWide_RGB RGB_Gold_Wide ;
		public TWide_RGB RGB_Gold1_Wide ;
		public TWide_RGB RGB_Gold2_Wide ;
		public TWide_RGB RGB_Gold3_Wide ;
		public TWide_RGB RGB_Gold4_Wide ;
		public TWide_RGB RGB_Goldenrod_Wide ;
		public TWide_RGB RGB_Goldenrod1_Wide ;
		public TWide_RGB RGB_Goldenrod2_Wide ;
		public TWide_RGB RGB_Goldenrod3_Wide ;
		public TWide_RGB RGB_Goldenrod4_Wide ;
		public TWide_RGB RGB_Gray_Wide ;
		public TWide_RGB RGB_Gray0_Wide ;
		public TWide_RGB RGB_Gray1_Wide ;
		public TWide_RGB RGB_Gray2_Wide ;
		public TWide_RGB RGB_Gray3_Wide ;
		public TWide_RGB RGB_Gray4_Wide ;
		public TWide_RGB RGB_Gray5_Wide ;
		public TWide_RGB RGB_Gray6_Wide ;
		public TWide_RGB RGB_Gray7_Wide ;
		public TWide_RGB RGB_Gray8_Wide ;
		public TWide_RGB RGB_Gray9_Wide ;
		public TWide_RGB RGB_Gray10_Wide ;
		public TWide_RGB RGB_Gray11_Wide ;
		public TWide_RGB RGB_Gray12_Wide ;
		public TWide_RGB RGB_Gray13_Wide ;
		public TWide_RGB RGB_Gray14_Wide ;
		public TWide_RGB RGB_Gray15_Wide ;
		public TWide_RGB RGB_Gray16_Wide ;
		public TWide_RGB RGB_Gray17_Wide ;
		public TWide_RGB RGB_Gray18_Wide ;
		public TWide_RGB RGB_Gray19_Wide ;
		public TWide_RGB RGB_Gray20_Wide ;
		public TWide_RGB RGB_Gray21_Wide ;
		public TWide_RGB RGB_Gray22_Wide ;
		public TWide_RGB RGB_Gray23_Wide ;
		public TWide_RGB RGB_Gray24_Wide ;
		public TWide_RGB RGB_Gray25_Wide ;
		public TWide_RGB RGB_Gray26_Wide ;
		public TWide_RGB RGB_Gray27_Wide ;
		public TWide_RGB RGB_Gray28_Wide ;
		public TWide_RGB RGB_Gray29_Wide ;
		public TWide_RGB RGB_Gray30_Wide ;
		public TWide_RGB RGB_Gray31_Wide ;
		public TWide_RGB RGB_Gray32_Wide ;
		public TWide_RGB RGB_Gray33_Wide ;
		public TWide_RGB RGB_Gray34_Wide ;
		public TWide_RGB RGB_Gray35_Wide ;
		public TWide_RGB RGB_Gray36_Wide ;
		public TWide_RGB RGB_Gray37_Wide ;
		public TWide_RGB RGB_Gray38_Wide ;
		public TWide_RGB RGB_Gray39_Wide ;
		public TWide_RGB RGB_Gray40_Wide ;
		public TWide_RGB RGB_Gray41_Wide ;
		public TWide_RGB RGB_Gray42_Wide ;
		public TWide_RGB RGB_Gray43_Wide ;
		public TWide_RGB RGB_Gray44_Wide ;
		public TWide_RGB RGB_Gray45_Wide ;
		public TWide_RGB RGB_Gray46_Wide ;
		public TWide_RGB RGB_Gray47_Wide ;
		public TWide_RGB RGB_Gray48_Wide ;
		public TWide_RGB RGB_Gray49_Wide ;
		public TWide_RGB RGB_Gray50_Wide ;
		public TWide_RGB RGB_Gray51_Wide ;
		public TWide_RGB RGB_Gray52_Wide ;
		public TWide_RGB RGB_Gray53_Wide ;
		public TWide_RGB RGB_Gray54_Wide ;
		public TWide_RGB RGB_Gray55_Wide ;
		public TWide_RGB RGB_Gray56_Wide ;
		public TWide_RGB RGB_Gray57_Wide ;
		public TWide_RGB RGB_Gray58_Wide ;
		public TWide_RGB RGB_Gray59_Wide ;
		public TWide_RGB RGB_Gray60_Wide ;
		public TWide_RGB RGB_Gray61_Wide ;
		public TWide_RGB RGB_Gray62_Wide ;
		public TWide_RGB RGB_Gray63_Wide ;
		public TWide_RGB RGB_Gray64_Wide ;
		public TWide_RGB RGB_Gray65_Wide ;
		public TWide_RGB RGB_Gray66_Wide ;
		public TWide_RGB RGB_Gray67_Wide ;
		public TWide_RGB RGB_Gray68_Wide ;
		public TWide_RGB RGB_Gray69_Wide ;
		public TWide_RGB RGB_Gray70_Wide ;
		public TWide_RGB RGB_Gray71_Wide ;
		public TWide_RGB RGB_Gray72_Wide ;
		public TWide_RGB RGB_Gray73_Wide ;
		public TWide_RGB RGB_Gray74_Wide ;
		public TWide_RGB RGB_Gray75_Wide ;
		public TWide_RGB RGB_Gray76_Wide ;
		public TWide_RGB RGB_Gray77_Wide ;
		public TWide_RGB RGB_Gray78_Wide ;
		public TWide_RGB RGB_Gray79_Wide ;
		public TWide_RGB RGB_Gray80_Wide ;
		public TWide_RGB RGB_Gray81_Wide ;
		public TWide_RGB RGB_Gray82_Wide ;
		public TWide_RGB RGB_Gray83_Wide ;
		public TWide_RGB RGB_Gray84_Wide ;
		public TWide_RGB RGB_Gray85_Wide ;
		public TWide_RGB RGB_Gray86_Wide ;
		public TWide_RGB RGB_Gray87_Wide ;
		public TWide_RGB RGB_Gray88_Wide ;
		public TWide_RGB RGB_Gray89_Wide ;
		public TWide_RGB RGB_Gray90_Wide ;
		public TWide_RGB RGB_Gray91_Wide ;
		public TWide_RGB RGB_Gray92_Wide ;
		public TWide_RGB RGB_Gray93_Wide ;
		public TWide_RGB RGB_Gray94_Wide ;
		public TWide_RGB RGB_Gray95_Wide ;
		public TWide_RGB RGB_Gray96_Wide ;
		public TWide_RGB RGB_Gray97_Wide ;
		public TWide_RGB RGB_Gray98_Wide ;
		public TWide_RGB RGB_Gray99_Wide ;
		public TWide_RGB RGB_Gray100_Wide ;
		public TWide_RGB RGB_Green_Wide ;
		public TWide_RGB RGB_Green1_Wide ;
		public TWide_RGB RGB_Green2_Wide ;
		public TWide_RGB RGB_Green3_Wide ;
		public TWide_RGB RGB_Green4_Wide ;
		public TWide_RGB RGB_Green_Yellow_Wide ;
		public TWide_RGB RGB_Honeydew_Wide ;
		public TWide_RGB RGB_Honeydew1_Wide ;
		public TWide_RGB RGB_Honeydew2_Wide ;
		public TWide_RGB RGB_Honeydew3_Wide ;
		public TWide_RGB RGB_Honeydew4_Wide ;
		public TWide_RGB RGB_Hot_Pink_Wide ;
		public TWide_RGB RGB_Hot_Pink1_Wide ;
		public TWide_RGB RGB_Hot_Pink2_Wide ;
		public TWide_RGB RGB_Hot_Pink3_Wide ;
		public TWide_RGB RGB_Hot_Pink4_Wide ;
		public TWide_RGB RGB_Indian_Red_Wide ;
		public TWide_RGB RGB_Indian_Red1_Wide ;
		public TWide_RGB RGB_Indian_Red2_Wide ;
		public TWide_RGB RGB_Indian_Red3_Wide ;
		public TWide_RGB RGB_Indian_Red4_Wide ;
		public TWide_RGB RGB_Ivory_Black_Wide ;
		public TWide_RGB RGB_Ivory_Wide ;
		public TWide_RGB RGB_Ivory1_Wide ;
		public TWide_RGB RGB_Ivory2_Wide ;
		public TWide_RGB RGB_Ivory3_Wide ;
		public TWide_RGB RGB_Ivory4_Wide ;
		public TWide_RGB RGB_Khaki_Wide ;
		public TWide_RGB RGB_Khaki1_Wide ;
		public TWide_RGB RGB_Khaki2_Wide ;
		public TWide_RGB RGB_Khaki3_Wide ;
		public TWide_RGB RGB_Khaki4_Wide ;
		public TWide_RGB RGB_Lavender_Wide ;
		public TWide_RGB RGB_Lavender_Blush_Wide ;
		public TWide_RGB RGB_Lavender_Blush1_Wide ;
		public TWide_RGB RGB_Lavender_Blush2_Wide ;
		public TWide_RGB RGB_Lavender_Blush3_Wide ;
		public TWide_RGB RGB_Lavender_Blush4_Wide ;
		public TWide_RGB RGB_Lawn_Green_Wide ;
		public TWide_RGB RGB_Lemon_Chiffon_Wide ;
		public TWide_RGB RGB_Lemon_Chiffon1_Wide ;
		public TWide_RGB RGB_Lemon_Chiffon2_Wide ;
		public TWide_RGB RGB_Lemon_Chiffon3_Wide ;
		public TWide_RGB RGB_Lemon_Chiffon4_Wide ;
		public TWide_RGB RGB_Light_Blue_Wide ;
		public TWide_RGB RGB_Light_Blue1_Wide ;
		public TWide_RGB RGB_Light_Blue2_Wide ;
		public TWide_RGB RGB_Light_Blue3_Wide ;
		public TWide_RGB RGB_Light_Blue4_Wide ;
		public TWide_RGB RGB_Light_Coral_Wide ;
		public TWide_RGB RGB_Light_Cyan_Wide ;
		public TWide_RGB RGB_Light_Cyan1_Wide ;
		public TWide_RGB RGB_Light_Cyan2_Wide ;
		public TWide_RGB RGB_Light_Cyan3_Wide ;
		public TWide_RGB RGB_Light_Cyan4_Wide ;
		public TWide_RGB RGB_Light_goldenrod_Wide ;
		public TWide_RGB RGB_Light_Goldenrod1_Wide ;
		public TWide_RGB RGB_Light_Goldenrod2_Wide ;
		public TWide_RGB RGB_Light_Goldenrod3_Wide ;
		public TWide_RGB RGB_Light_Goldenrod4_Wide ;
		public TWide_RGB RGB_Light_Goldenrod_yellow_Wide ;
		public TWide_RGB RGB_Light_Gray_Wide ;
		public TWide_RGB RGB_Light_Pink_Wide ;
		public TWide_RGB RGB_Light_Pink1_Wide ;
		public TWide_RGB RGB_Light_Pink2_Wide ;
		public TWide_RGB RGB_Light_Pink3_Wide ;
		public TWide_RGB RGB_Light_Pink4_Wide ;
		public TWide_RGB RGB_Light_Salmon_Wide ;
		public TWide_RGB RGB_Light_Salmon1_Wide ;
		public TWide_RGB RGB_Light_Salmon2_Wide ;
		public TWide_RGB RGB_Light_Salmon3_Wide ;
		public TWide_RGB RGB_Light_Salmon4_Wide ;
		public TWide_RGB RGB_Light_Sea_Green_Wide ;
		public TWide_RGB RGB_Light_Sky_Blue_Wide ;
		public TWide_RGB RGB_Light_Sky_Blue1_Wide ;
		public TWide_RGB RGB_Light_Sky_Blue2_Wide ;
		public TWide_RGB RGB_Light_Sky_Blue3_Wide ;
		public TWide_RGB RGB_Light_Sky_Blue4_Wide ;
		public TWide_RGB RGB_Light_Slate_Blue_Wide ;
		public TWide_RGB RGB_Light_Slate_Gray_Wide ;
		public TWide_RGB RGB_Light_Steel_Blue_Wide ;
		public TWide_RGB RGB_Light_Steel_Blue1_Wide ;
		public TWide_RGB RGB_Light_Steel_Blue2_Wide ;
		public TWide_RGB RGB_Light_Steel_Blue3_Wide ;
		public TWide_RGB RGB_Light_Steel_Blue4_Wide ;
		public TWide_RGB RGB_Light_Yellow_Wide ;
		public TWide_RGB RGB_Light_Yellow1_Wide ;
		public TWide_RGB RGB_Light_Yellow2_Wide ;
		public TWide_RGB RGB_Light_Yellow3_Wide ;
		public TWide_RGB RGB_Light_Yellow4_Wide ;
		public TWide_RGB RGB_Lime_Green_Wide ;
		public TWide_RGB RGB_Linen_Wide ;
		public TWide_RGB RGB_Magenta_Wide ;
		public TWide_RGB RGB_Magenta1_Wide ;
		public TWide_RGB RGB_Magenta2_Wide ;
		public TWide_RGB RGB_Magenta3_Wide ;
		public TWide_RGB RGB_Magenta4_Wide ;
		public TWide_RGB RGB_Manganese_Blue_Wide ;
		public TWide_RGB RGB_Maroon_Wide ;
		public TWide_RGB RGB_Maroon1_Wide ;
		public TWide_RGB RGB_Maroon2_Wide ;
		public TWide_RGB RGB_Maroon3_Wide ;
		public TWide_RGB RGB_Maroon4_Wide ;
		public TWide_RGB RGB_Medium_Aquamarine_Wide ;
		public TWide_RGB RGB_Medium_Blue_Wide ;
		public TWide_RGB RGB_Medium_Forest_Green_Wide ;
		public TWide_RGB RGB_Medium_Goldenrod_Wide ;
		public TWide_RGB RGB_Medium_Orchid_Wide ;
		public TWide_RGB RGB_Medium_Orchid1_Wide ;
		public TWide_RGB RGB_Medium_Orchid2_Wide ;
		public TWide_RGB RGB_Medium_Orchid3_Wide ;
		public TWide_RGB RGB_Medium_Orchid4_Wide ;
		public TWide_RGB RGB_Medium_Purple_Wide ;
		public TWide_RGB RGB_Medium_Purple1_Wide ;
		public TWide_RGB RGB_Medium_Purple2_Wide ;
		public TWide_RGB RGB_Medium_Purple3_Wide ;
		public TWide_RGB RGB_Medium_Purple4_Wide ;
		public TWide_RGB RGB_Medium_Sea_Green_Wide ;
		public TWide_RGB RGB_Medium_Slate_Blue_Wide ;
		public TWide_RGB RGB_Medium_Spring_Green_Wide ;
		public TWide_RGB RGB_Medium_Turquoise_Wide ;
		public TWide_RGB RGB_Medium_Violet_Red_Wide ;
		public TWide_RGB RGB_Melon_Wide ;
		public TWide_RGB RGB_Midnight_Blue_Wide ;
		public TWide_RGB RGB_Mint_Cream_Wide ;
		public TWide_RGB RGB_Misty_Rose_Wide ;
		public TWide_RGB RGB_Misty_Rose1_Wide ;
		public TWide_RGB RGB_Misty_Rose2_Wide ;
		public TWide_RGB RGB_Misty_Rose3_Wide ;
		public TWide_RGB RGB_Misty_Rose4_Wide ;
		public TWide_RGB RGB_Moccasin_Wide ;
		public TWide_RGB RGB_Navajo_White_Wide ;
		public TWide_RGB RGB_Navajo_White1_Wide ;
		public TWide_RGB RGB_Navajo_White2_Wide ;
		public TWide_RGB RGB_Navajo_White3_Wide ;
		public TWide_RGB RGB_Navajo_White4_Wide ;
		public TWide_RGB RGB_Navy_Wide ;
		public TWide_RGB RGB_Navy_Blue_Wide ;
		public TWide_RGB RGB_Old_Lace_Wide ;
		public TWide_RGB RGB_Olive_Drab_Wide ;
		public TWide_RGB RGB_Olive_Drab1_Wide ;
		public TWide_RGB RGB_Olive_Drab2_Wide ;
		public TWide_RGB RGB_Olive_Drab3_Wide ;
		public TWide_RGB RGB_Olive_Drab4_Wide ;
		public TWide_RGB RGB_Orange_Wide ;
		public TWide_RGB RGB_Orange1_Wide ;
		public TWide_RGB RGB_Orange2_Wide ;
		public TWide_RGB RGB_Orange3_Wide ;
		public TWide_RGB RGB_Orange4_Wide ;
		public TWide_RGB RGB_Orange_Red_Wide ;
		public TWide_RGB RGB_Orange_Red1_Wide ;
		public TWide_RGB RGB_Orange_Red2_Wide ;
		public TWide_RGB RGB_Orange_Red3_Wide ;
		public TWide_RGB RGB_Orange_Red4_Wide ;
		public TWide_RGB RGB_Orchid_Wide ;
		public TWide_RGB RGB_Orchid1_Wide ;
		public TWide_RGB RGB_Orchid2_Wide ;
		public TWide_RGB RGB_Orchid3_Wide ;
		public TWide_RGB RGB_Orchid4_Wide ;
		public TWide_RGB RGB_Pale_Goldenrod_Wide ;
		public TWide_RGB RGB_Pale_Green_Wide ;
		public TWide_RGB RGB_Pale_Green1_Wide ;
		public TWide_RGB RGB_Pale_Green2_Wide ;
		public TWide_RGB RGB_Pale_Green3_Wide ;
		public TWide_RGB RGB_Pale_Green4_Wide ;
		public TWide_RGB RGB_Pale_Turquoise_Wide ;
		public TWide_RGB RGB_Pale_Turquoise1_Wide ;
		public TWide_RGB RGB_Pale_Turquoise2_Wide ;
		public TWide_RGB RGB_Pale_Turquoise3_Wide ;
		public TWide_RGB RGB_Pale_Turquoise4_Wide ;
		public TWide_RGB RGB_Pale_Violet_Red_Wide ;
		public TWide_RGB RGB_Pale_Violet_Red1_Wide ;
		public TWide_RGB RGB_Pale_Violet_Red2_Wide ;
		public TWide_RGB RGB_Pale_Violet_Red3_Wide ;
		public TWide_RGB RGB_Pale_Violet_Red4_Wide ;
		public TWide_RGB RGB_Papaya_Whip_Wide ;
		public TWide_RGB RGB_Peach_Puff_Wide ;
		public TWide_RGB RGB_Peach_Puff1_Wide ;
		public TWide_RGB RGB_Peach_Puff2_Wide ;
		public TWide_RGB RGB_Peach_Puff3_Wide ;
		public TWide_RGB RGB_Peach_Puff4_Wide ;
		public TWide_RGB RGB_Peacock_Wide ;
		public TWide_RGB RGB_Peru_Wide ;
		public TWide_RGB RGB_Pink_Wide ;
		public TWide_RGB RGB_Pink1_Wide ;
		public TWide_RGB RGB_Pink2_Wide ;
		public TWide_RGB RGB_Pink3_Wide ;
		public TWide_RGB RGB_Pink4_Wide ;
		public TWide_RGB RGB_Plum_Wide ;
		public TWide_RGB RGB_Plum1_Wide ;
		public TWide_RGB RGB_Plum2_Wide ;
		public TWide_RGB RGB_Plum3_Wide ;
		public TWide_RGB RGB_Plum4_Wide ;
		public TWide_RGB RGB_Powder_Blue_Wide ;
		public TWide_RGB RGB_Puce_Wide ;
		public TWide_RGB RGB_Purple_Wide ;
		public TWide_RGB RGB_Purple1_Wide ;
		public TWide_RGB RGB_Purple2_Wide ;
		public TWide_RGB RGB_Purple3_Wide ;
		public TWide_RGB RGB_Purple4_Wide ;
		public TWide_RGB RGB_Raspberry_Wide ;
		public TWide_RGB RGB_Raw_Sienna_Wide ;
		public TWide_RGB RGB_Raw_Umber_Wide ;
		public TWide_RGB RGB_Red_Wide ;
		public TWide_RGB RGB_Red1_Wide ;
		public TWide_RGB RGB_Red2_Wide ;
		public TWide_RGB RGB_Red3_Wide ;
		public TWide_RGB RGB_Red4_Wide ;
		public TWide_RGB RGB_Rosy_Brown_Wide ;
		public TWide_RGB RGB_Rosy_Brown1_Wide ;
		public TWide_RGB RGB_Rosy_Brown2_Wide ;
		public TWide_RGB RGB_Rosy_Brown3_Wide ;
		public TWide_RGB RGB_Rosy_Brown4_Wide ;
		public TWide_RGB RGB_Royal_Blue_Wide ;
		public TWide_RGB RGB_Royal_Blue1_Wide ;
		public TWide_RGB RGB_Royal_Blue2_Wide ;
		public TWide_RGB RGB_Royal_Blue3_Wide ;
		public TWide_RGB RGB_Royal_Blue4_Wide ;
		public TWide_RGB RGB_Saddle_Brown_Wide ;
		public TWide_RGB RGB_Salmon_Wide ;
		public TWide_RGB RGB_Salmon1_Wide ;
		public TWide_RGB RGB_Salmon2_Wide ;
		public TWide_RGB RGB_Salmon3_Wide ;
		public TWide_RGB RGB_Salmon4_Wide ;
		public TWide_RGB RGB_Sandy_Brown_Wide ;
		public TWide_RGB RGB_Sap_Green_Wide ;
		public TWide_RGB RGB_Sea_Green_Wide ;
		public TWide_RGB RGB_Sea_Green1_Wide ;
		public TWide_RGB RGB_Sea_Green2_Wide ;
		public TWide_RGB RGB_Sea_Green3_Wide ;
		public TWide_RGB RGB_Sea_Green4_Wide ;
		public TWide_RGB RGB_Seashell_Wide ;
		public TWide_RGB RGB_Seashell1_Wide ;
		public TWide_RGB RGB_Seashell2_Wide ;
		public TWide_RGB RGB_Seashell3_Wide ;
		public TWide_RGB RGB_Seashell4_Wide ;
		public TWide_RGB RGB_Sepia_Wide ;
		public TWide_RGB RGB_Sienna_Wide ;
		public TWide_RGB RGB_Sienna1_Wide ;
		public TWide_RGB RGB_Sienna2_Wide ;
		public TWide_RGB RGB_Sienna3_Wide ;
		public TWide_RGB RGB_Sienna4_Wide ;
		public TWide_RGB RGB_Sky_Blue_Wide ;
		public TWide_RGB RGB_Sky_Blue1_Wide ;
		public TWide_RGB RGB_Sky_Blue2_Wide ;
		public TWide_RGB RGB_Sky_Blue3_Wide ;
		public TWide_RGB RGB_Sky_Blue4_Wide ;
		public TWide_RGB RGB_Slate_Blue_Wide ;
		public TWide_RGB RGB_Slate_Blue1_Wide ;
		public TWide_RGB RGB_Slate_Blue2_Wide ;
		public TWide_RGB RGB_Slate_Blue3_Wide ;
		public TWide_RGB RGB_Slate_Blue4_Wide ;
		public TWide_RGB RGB_Slate_Gray_Wide ;
		public TWide_RGB RGB_Slate_Gray1_Wide ;
		public TWide_RGB RGB_Slate_Gray2_Wide ;
		public TWide_RGB RGB_Slate_Gray3_Wide ;
		public TWide_RGB RGB_Slate_Gray4_Wide ;
		public TWide_RGB RGB_Snow_Wide ;
		public TWide_RGB RGB_Snow1_Wide ;
		public TWide_RGB RGB_Snow2_Wide ;
		public TWide_RGB RGB_Snow3_Wide ;
		public TWide_RGB RGB_Snow4_Wide ;
		public TWide_RGB RGB_Spring_green_Wide ;
		public TWide_RGB RGB_Spring_Green1_Wide ;
		public TWide_RGB RGB_Spring_Green2_Wide ;
		public TWide_RGB RGB_Spring_Green3_Wide ;
		public TWide_RGB RGB_Spring_Green4_Wide ;
		public TWide_RGB RGB_Steel_Blue_Wide ;
		public TWide_RGB RGB_Steel_Blue1_Wide ;
		public TWide_RGB RGB_Steel_Blue2_Wide ;
		public TWide_RGB RGB_Steel_Blue3_Wide ;
		public TWide_RGB RGB_Steel_Blue4_Wide ;
		public TWide_RGB RGB_Tan_Wide ;
		public TWide_RGB RGB_Tan1_Wide ;
		public TWide_RGB RGB_Tan2_Wide ;
		public TWide_RGB RGB_Tan3_Wide ;
		public TWide_RGB RGB_Tan4_Wide ;
		public TWide_RGB RGB_Terre_Verte_Wide ;
		public TWide_RGB RGB_Thistle_Wide ;
		public TWide_RGB RGB_Thistle1_Wide ;
		public TWide_RGB RGB_Thistle2_Wide ;
		public TWide_RGB RGB_Thistle3_Wide ;
		public TWide_RGB RGB_Thistle4_Wide ;
		public TWide_RGB RGB_Tomato_Wide ;
		public TWide_RGB RGB_Tomato1_Wide ;
		public TWide_RGB RGB_Tomato2_Wide ;
		public TWide_RGB RGB_Tomato3_Wide ;
		public TWide_RGB RGB_Tomato4_Wide ;
		public TWide_RGB RGB_Turquoise_Wide ;
		public TWide_RGB RGB_Turquoise1_Wide ;
		public TWide_RGB RGB_Turquoise2_Wide ;
		public TWide_RGB RGB_Turquoise3_Wide ;
		public TWide_RGB RGB_Turquoise4_Wide ;
		public TWide_RGB RGB_Ultramarine_Wide ;
		public TWide_RGB RGB_Violet_Wide ;
		public TWide_RGB RGB_Violet_Red_Wide ;
		public TWide_RGB RGB_Violet_Red1_Wide ;
		public TWide_RGB RGB_Violet_Red2_Wide ;
		public TWide_RGB RGB_Violet_Red3_Wide ;
		public TWide_RGB RGB_Violet_Red4_Wide ;
		public TWide_RGB RGB_Vivid_Burgandy_Wide ;
		public TWide_RGB RGB_Wheat_Wide ;
		public TWide_RGB RGB_Wheat1_Wide ;
		public TWide_RGB RGB_Wheat2_Wide ;
		public TWide_RGB RGB_Wheat3_Wide ;
		public TWide_RGB RGB_Wheat4_Wide ;
		public TWide_RGB RGB_White_Wide ;
		public TWide_RGB RGB_white_Smoke_Wide ;
		public TWide_RGB RGB_Yellow_Wide ;
		public TWide_RGB RGB_Yellow1_Wide ;
		public TWide_RGB RGB_Yellow2_Wide ;
		public TWide_RGB RGB_Yellow3_Wide ;
		public TWide_RGB RGB_Yellow4_Wide ;
		public TWide_RGB RGB_Yellow_Green_Wide ;


		public TRGB RGB_Alice_Blue ;
		public TRGB RGB_Antique_White ;
		public TRGB RGB_Antique_White1 ;
		public TRGB RGB_Antique_White2 ;
		public TRGB RGB_Antique_White3 ;
		public TRGB RGB_Antique_White4 ;
		public TRGB RGB_Aquamarine ;
		public TRGB RGB_Aquamarine1 ;
		public TRGB RGB_Aquamarine2 ;
		public TRGB RGB_Aquamarine3 ;
		public TRGB RGB_Aquamarine4 ;
		public TRGB RGB_Azure ;
		public TRGB RGB_Azure1 ;
		public TRGB RGB_Azure2 ;
		public TRGB RGB_Azure3 ;
		public TRGB RGB_Azure4 ;
		public TRGB RGB_Banana ;
		public TRGB RGB_Beige ;
		public TRGB RGB_Bisque ;
		public TRGB RGB_Bisque1 ;
		public TRGB RGB_Bisque2 ;
		public TRGB RGB_Bisque3 ;
		public TRGB RGB_Bisque4 ;
		public TRGB RGB_Black ;
		public TRGB RGB_Blanched_Almond ;
		public TRGB RGB_Blue ;
		public TRGB RGB_Blue1 ;
		public TRGB RGB_Blue2 ;
		public TRGB RGB_Blue3 ;
		public TRGB RGB_Blue4 ;
		public TRGB RGB_Blue_Violet ;
		public TRGB RGB_Brick ;
		public TRGB RGB_Brown ;
		public TRGB RGB_Brown1 ;
		public TRGB RGB_Brown2 ;
		public TRGB RGB_Brown3 ;
		public TRGB RGB_Brown4 ;
		public TRGB RGB_Burgandy ;
		public TRGB RGB_Burlywood ;
		public TRGB RGB_Burlywood1 ;
		public TRGB RGB_Burlywood2 ;
		public TRGB RGB_Burlywood3 ;
		public TRGB RGB_Burlywood4 ;
		public TRGB RGB_Burnt_Sienna ;
		public TRGB RGB_Burnt_Umber ;
		public TRGB RGB_Cadet_Blue ;
		public TRGB RGB_Cadet_Blue1 ;
		public TRGB RGB_Cadet_Blue2 ;
		public TRGB RGB_Cadet_Blue3 ;
		public TRGB RGB_Cadet_Blue4 ;
		public TRGB RGB_Cadmium_Orange ;
		public TRGB RGB_Cadmium_Red ;
		public TRGB RGB_Cadmium_Yellow ;
		public TRGB RGB_Chartreuse ;
		public TRGB RGB_Chartreuse1 ;
		public TRGB RGB_Chartreuse2 ;
		public TRGB RGB_Chartreuse3 ;
		public TRGB RGB_Chartreuse4 ;
		public TRGB RGB_Chocolate ;
		public TRGB RGB_Chocolate1 ;
		public TRGB RGB_Chocolate2 ;
		public TRGB RGB_Chocolate3 ;
		public TRGB RGB_Chocolate4 ;
		public TRGB RGB_Cobalt ;
		public TRGB RGB_Cobalt_Green ;
		public TRGB RGB_Coral ;
		public TRGB RGB_Coral1 ;
		public TRGB RGB_Coral2 ;
		public TRGB RGB_Coral3 ;
		public TRGB RGB_Coral4 ;
		public TRGB RGB_Cornflower_Blue ;
		public TRGB RGB_Cornsilk ;
		public TRGB RGB_Cornsilk1 ;
		public TRGB RGB_Cornsilk2 ;
		public TRGB RGB_Cornsilk3 ;
		public TRGB RGB_Cornsilk4 ;
		public TRGB RGB_Crimson ;
		public TRGB RGB_Cyan ;
		public TRGB RGB_Cyan1 ;
		public TRGB RGB_Cyan2 ;
		public TRGB RGB_Cyan3 ;
		public TRGB RGB_Cyan4 ;
		public TRGB RGB_Dark_Goldenrod ;
		public TRGB RGB_Dark_Goldenrod1 ;
		public TRGB RGB_Dark_Goldenrod2 ;
		public TRGB RGB_Dark_Goldenrod3 ;
		public TRGB RGB_Dark_Goldenrod4 ;
		public TRGB RGB_Dark_Gray ;
		public TRGB RGB_Dark_Green ;
		public TRGB RGB_Dark_Khaki ;
		public TRGB RGB_Dark_Olive_Green ;
		public TRGB RGB_Dark_Olive_Green1 ;
		public TRGB RGB_Dark_Olive_Green2 ;
		public TRGB RGB_Dark_Olive_Green3 ;
		public TRGB RGB_Dark_Olive_Green4 ;
		public TRGB RGB_Dark_Orange ;
		public TRGB RGB_Dark_Orange1 ;
		public TRGB RGB_Dark_Orange2 ;
		public TRGB RGB_Dark_Orange3 ;
		public TRGB RGB_Dark_Orange4 ;
		public TRGB RGB_Dark_Orchid ;
		public TRGB RGB_Dark_Orchid1 ;
		public TRGB RGB_Dark_Orchid2 ;
		public TRGB RGB_Dark_Orchid3 ;
		public TRGB RGB_Dark_Orchid4 ;
		public TRGB RGB_Dark_Purple ;
		public TRGB RGB_Dark_Salmon ;
		public TRGB RGB_Dark_Sea_Green ;
		public TRGB RGB_Dark_Sea_Green1 ;
		public TRGB RGB_Dark_Sea_Green2 ;
		public TRGB RGB_Dark_Sea_Green3 ;
		public TRGB RGB_Dark_Sea_Green4 ;
		public TRGB RGB_Dark_Slate_Blue ;
		public TRGB RGB_Dark_Slate_Gray ;
		public TRGB RGB_Dark_Slate_Gray1 ;
		public TRGB RGB_Dark_Slate_Gray2 ;
		public TRGB RGB_Dark_Slate_Gray3 ;
		public TRGB RGB_Dark_Slate_Gray4 ;
		public TRGB RGB_Dark_Turquoise ;
		public TRGB RGB_Dark_Violet ;
		public TRGB RGB_Deep_Pink ;
		public TRGB RGB_Deep_Pink1 ;
		public TRGB RGB_Deep_Pink2 ;
		public TRGB RGB_Deep_Pink3 ;
		public TRGB RGB_Deep_Pink4 ;
		public TRGB RGB_Deep_Sky_Blue ;
		public TRGB RGB_Deep_Sky_Blue1 ;
		public TRGB RGB_Deep_Sky_Blue2 ;
		public TRGB RGB_Deep_Sky_Blue3 ;
		public TRGB RGB_Deep_Sky_Blue4 ;
		public TRGB RGB_Dim_Gray ;
		public TRGB RGB_Dodger_Blue ;
		public TRGB RGB_Dodger_Blue1 ;
		public TRGB RGB_Dodger_Blue2 ;
		public TRGB RGB_Dodger_Blue3 ;
		public TRGB RGB_Dodger_Blue4 ;
		public TRGB RGB_Eggshell ;
		public TRGB RGB_Emerald_Green ;
		public TRGB RGB_Fire_Brick ;
		public TRGB RGB_Fire_Brick1 ;
		public TRGB RGB_Fire_Brick2 ;
		public TRGB RGB_Fire_Brick3 ;
		public TRGB RGB_Fire_Brick4 ;
		public TRGB RGB_Floral_White ;
		public TRGB RGB_Forest_Green ;
		public TRGB RGB_Gainsboro ;
		public TRGB RGB_Ghost_white ;
		public TRGB RGB_Gold ;
		public TRGB RGB_Gold1 ;
		public TRGB RGB_Gold2 ;
		public TRGB RGB_Gold3 ;
		public TRGB RGB_Gold4 ;
		public TRGB RGB_Goldenrod ;
		public TRGB RGB_Goldenrod1 ;
		public TRGB RGB_Goldenrod2 ;
		public TRGB RGB_Goldenrod3 ;
		public TRGB RGB_Goldenrod4 ;
		public TRGB RGB_Gray ;
		public TRGB RGB_Gray0 ;
		public TRGB RGB_Gray1 ;
		public TRGB RGB_Gray2 ;
		public TRGB RGB_Gray3 ;
		public TRGB RGB_Gray4 ;
		public TRGB RGB_Gray5 ;
		public TRGB RGB_Gray6 ;
		public TRGB RGB_Gray7 ;
		public TRGB RGB_Gray8 ;
		public TRGB RGB_Gray9 ;
		public TRGB RGB_Gray10 ;
		public TRGB RGB_Gray11 ;
		public TRGB RGB_Gray12 ;
		public TRGB RGB_Gray13 ;
		public TRGB RGB_Gray14 ;
		public TRGB RGB_Gray15 ;
		public TRGB RGB_Gray16 ;
		public TRGB RGB_Gray17 ;
		public TRGB RGB_Gray18 ;
		public TRGB RGB_Gray19 ;
		public TRGB RGB_Gray20 ;
		public TRGB RGB_Gray21 ;
		public TRGB RGB_Gray22 ;
		public TRGB RGB_Gray23 ;
		public TRGB RGB_Gray24 ;
		public TRGB RGB_Gray25 ;
		public TRGB RGB_Gray26 ;
		public TRGB RGB_Gray27 ;
		public TRGB RGB_Gray28 ;
		public TRGB RGB_Gray29 ;
		public TRGB RGB_Gray30 ;
		public TRGB RGB_Gray31 ;
		public TRGB RGB_Gray32 ;
		public TRGB RGB_Gray33 ;
		public TRGB RGB_Gray34 ;
		public TRGB RGB_Gray35 ;
		public TRGB RGB_Gray36 ;
		public TRGB RGB_Gray37 ;
		public TRGB RGB_Gray38 ;
		public TRGB RGB_Gray39 ;
		public TRGB RGB_Gray40 ;
		public TRGB RGB_Gray41 ;
		public TRGB RGB_Gray42 ;
		public TRGB RGB_Gray43 ;
		public TRGB RGB_Gray44 ;
		public TRGB RGB_Gray45 ;
		public TRGB RGB_Gray46 ;
		public TRGB RGB_Gray47 ;
		public TRGB RGB_Gray48 ;
		public TRGB RGB_Gray49 ;
		public TRGB RGB_Gray50 ;
		public TRGB RGB_Gray51 ;
		public TRGB RGB_Gray52 ;
		public TRGB RGB_Gray53 ;
		public TRGB RGB_Gray54 ;
		public TRGB RGB_Gray55 ;
		public TRGB RGB_Gray56 ;
		public TRGB RGB_Gray57 ;
		public TRGB RGB_Gray58 ;
		public TRGB RGB_Gray59 ;
		public TRGB RGB_Gray60 ;
		public TRGB RGB_Gray61 ;
		public TRGB RGB_Gray62 ;
		public TRGB RGB_Gray63 ;
		public TRGB RGB_Gray64 ;
		public TRGB RGB_Gray65 ;
		public TRGB RGB_Gray66 ;
		public TRGB RGB_Gray67 ;
		public TRGB RGB_Gray68 ;
		public TRGB RGB_Gray69 ;
		public TRGB RGB_Gray70 ;
		public TRGB RGB_Gray71 ;
		public TRGB RGB_Gray72 ;
		public TRGB RGB_Gray73 ;
		public TRGB RGB_Gray74 ;
		public TRGB RGB_Gray75 ;
		public TRGB RGB_Gray76 ;
		public TRGB RGB_Gray77 ;
		public TRGB RGB_Gray78 ;
		public TRGB RGB_Gray79 ;
		public TRGB RGB_Gray80 ;
		public TRGB RGB_Gray81 ;
		public TRGB RGB_Gray82 ;
		public TRGB RGB_Gray83 ;
		public TRGB RGB_Gray84 ;
		public TRGB RGB_Gray85 ;
		public TRGB RGB_Gray86 ;
		public TRGB RGB_Gray87 ;
		public TRGB RGB_Gray88 ;
		public TRGB RGB_Gray89 ;
		public TRGB RGB_Gray90 ;
		public TRGB RGB_Gray91 ;
		public TRGB RGB_Gray92 ;
		public TRGB RGB_Gray93 ;
		public TRGB RGB_Gray94 ;
		public TRGB RGB_Gray95 ;
		public TRGB RGB_Gray96 ;
		public TRGB RGB_Gray97 ;
		public TRGB RGB_Gray98 ;
		public TRGB RGB_Gray99 ;
		public TRGB RGB_Gray100 ;
		public TRGB RGB_Green ;
		public TRGB RGB_Green1 ;
		public TRGB RGB_Green2 ;
		public TRGB RGB_Green3 ;
		public TRGB RGB_Green4 ;
		public TRGB RGB_Green_Yellow ;
		public TRGB RGB_Honeydew ;
		public TRGB RGB_Honeydew1 ;
		public TRGB RGB_Honeydew2 ;
		public TRGB RGB_Honeydew3 ;
		public TRGB RGB_Honeydew4 ;
		public TRGB RGB_Hot_pink ;
		public TRGB RGB_Hot_Pink1 ;
		public TRGB RGB_Hot_Pink2 ;
		public TRGB RGB_Hot_Pink3 ;
		public TRGB RGB_Hot_Pink4 ;
		public TRGB RGB_Indian_Red ;
		public TRGB RGB_Indian_Red1 ;
		public TRGB RGB_Indian_Red2 ;
		public TRGB RGB_Indian_Red3 ;
		public TRGB RGB_Indian_Red4 ;
		public TRGB RGB_Ivory ;
		public TRGB RGB_Ivory1 ;
		public TRGB RGB_Ivory2 ;
		public TRGB RGB_Ivory3 ;
		public TRGB RGB_Ivory4 ;
		public TRGB RGB_Ivory_Black ;
		public TRGB RGB_Khaki ;
		public TRGB RGB_Khaki1 ;
		public TRGB RGB_Khaki2 ;
		public TRGB RGB_Khaki3 ;
		public TRGB RGB_Khaki4 ;
		public TRGB RGB_Lavender ;
		public TRGB RGB_Lavender_Blush ;
		public TRGB RGB_Lavender_Blush1 ;
		public TRGB RGB_Lavender_Blush2 ;
		public TRGB RGB_Lavender_Blush3 ;
		public TRGB RGB_Lavender_Blush4 ;
		public TRGB RGB_Lawn_Green ;
		public TRGB RGB_Lemon_Chiffon ;
		public TRGB RGB_Lemon_Chiffon1 ;
		public TRGB RGB_Lemon_Chiffon2 ;
		public TRGB RGB_Lemon_Chiffon3 ;
		public TRGB RGB_Lemon_Chiffon4 ;
		public TRGB RGB_Light_Blue ;
		public TRGB RGB_Light_Blue1 ;
		public TRGB RGB_Light_Blue2 ;
		public TRGB RGB_Light_Blue3 ;
		public TRGB RGB_Light_Blue4 ;
		public TRGB RGB_Light_Coral ;
		public TRGB RGB_Light_Cyan ;
		public TRGB RGB_Light_Cyan1 ;
		public TRGB RGB_Light_Cyan2 ;
		public TRGB RGB_Light_Cyan3 ;
		public TRGB RGB_Light_Cyan4 ;
		public TRGB RGB_Light_Goldenrod ;
		public TRGB RGB_Light_Goldenrod1 ;
		public TRGB RGB_Light_Goldenrod2 ;
		public TRGB RGB_Light_Goldenrod3 ;
		public TRGB RGB_Light_Goldenrod4 ;
		public TRGB RGB_Light_Goldenrod_Yellow ;
		public TRGB RGB_Light_Gray ;
		public TRGB RGB_Light_Pink ;
		public TRGB RGB_Light_Pink1 ;
		public TRGB RGB_Light_Pink2 ;
		public TRGB RGB_Light_Pink3 ;
		public TRGB RGB_Light_Pink4 ;
		public TRGB RGB_Light_Salmon ;
		public TRGB RGB_Light_Salmon1 ;
		public TRGB RGB_Light_Salmon2 ;
		public TRGB RGB_Light_Salmon3 ;
		public TRGB RGB_Light_Salmon4 ;
		public TRGB RGB_Light_Sea_Green ;
		public TRGB RGB_Light_Sky_Blue ;
		public TRGB RGB_Light_Sky_Blue1 ;
		public TRGB RGB_Light_Sky_Blue2 ;
		public TRGB RGB_Light_Sky_Blue3 ;
		public TRGB RGB_Light_Sky_Blue4 ;
		public TRGB RGB_Light_Slate_Blue ;
		public TRGB RGB_Light_Slate_Gray ;
		public TRGB RGB_Light_Steel_blue ;
		public TRGB RGB_Light_Steel_Blue1 ;
		public TRGB RGB_Light_Steel_Blue2 ;
		public TRGB RGB_Light_Steel_Blue3 ;
		public TRGB RGB_Light_Steel_Blue4 ;
		public TRGB RGB_Light_Yellow ;
		public TRGB RGB_Light_Yellow1 ;
		public TRGB RGB_Light_Yellow2 ;
		public TRGB RGB_Light_Yellow3 ;
		public TRGB RGB_Light_Yellow4 ;
		public TRGB RGB_Lime_Green ;
		public TRGB RGB_Linen ;
		public TRGB RGB_Magenta ;
		public TRGB RGB_Magenta1 ;
		public TRGB RGB_Magenta2 ;
		public TRGB RGB_Magenta3 ;
		public TRGB RGB_Magenta4 ;
		public TRGB RGB_Manganese_Blue ;
		public TRGB RGB_Maroon ;
		public TRGB RGB_Maroon1 ;
		public TRGB RGB_Maroon2 ;
		public TRGB RGB_Maroon3 ;
		public TRGB RGB_Maroon4 ;
		public TRGB RGB_Medium_Aquamarine ;
		public TRGB RGB_Medium_Blue ;
		public TRGB RGB_Medium_Forest_Green ;
		public TRGB RGB_Medium_Goldenrod ;
		public TRGB RGB_Medium_Orchid ;
		public TRGB RGB_Medium_Orchid1 ;
		public TRGB RGB_Medium_Orchid2 ;
		public TRGB RGB_Medium_Orchid3 ;
		public TRGB RGB_Medium_Orchid4 ;
		public TRGB RGB_Medium_Purple ;
		public TRGB RGB_Medium_Purple1 ;
		public TRGB RGB_Medium_Purple2 ;
		public TRGB RGB_Medium_Purple3 ;
		public TRGB RGB_Medium_Purple4 ;
		public TRGB RGB_Medium_Sea_Green ;
		public TRGB RGB_Medium_Slate_Blue ;
		public TRGB RGB_Medium_Spring_Green ;
		public TRGB RGB_Medium_Turquoise ;
		public TRGB RGB_Medium_Violet_Red ;
		public TRGB RGB_Melon ;
		public TRGB RGB_Midnight_Blue ;
		public TRGB RGB_Mint_Cream ;
		public TRGB RGB_Misty_Rose ;
		public TRGB RGB_Misty_Rose1 ;
		public TRGB RGB_Misty_Rose2 ;
		public TRGB RGB_Misty_Rose3 ;
		public TRGB RGB_Misty_Rose4 ;
		public TRGB RGB_Moccasin ;
		public TRGB RGB_Navajo_White ;
		public TRGB RGB_Navajo_White1 ;
		public TRGB RGB_Navajo_White2 ;
		public TRGB RGB_Navajo_White3 ;
		public TRGB RGB_Navajo_White4 ;
		public TRGB RGB_Navy ;
		public TRGB RGB_Navy_Blue ;
		public TRGB RGB_Old_Lace ;
		public TRGB RGB_Olive_Drab ;
		public TRGB RGB_Olive_Drab1 ;
		public TRGB RGB_Olive_Drab2 ;
		public TRGB RGB_Olive_Drab3 ;
		public TRGB RGB_Olive_Drab4 ;
		public TRGB RGB_Orange ;
		public TRGB RGB_Orange1 ;
		public TRGB RGB_Orange2 ;
		public TRGB RGB_Orange3 ;
		public TRGB RGB_Orange4 ;
		public TRGB RGB_Orange_Red ;
		public TRGB RGB_Orange_Red1 ;
		public TRGB RGB_Orange_Red2 ;
		public TRGB RGB_Orange_Red3 ;
		public TRGB RGB_Orange_Red4 ;
		public TRGB RGB_Orchid ;
		public TRGB RGB_Orchid1 ;
		public TRGB RGB_Orchid2 ;
		public TRGB RGB_Orchid3 ;
		public TRGB RGB_Orchid4 ;
		public TRGB RGB_Pale_Goldenrod ;
		public TRGB RGB_Pale_Green ;
		public TRGB RGB_Pale_Green1 ;
		public TRGB RGB_Pale_Green2 ;
		public TRGB RGB_Pale_Green3 ;
		public TRGB RGB_Pale_Green4 ;
		public TRGB RGB_Pale_Turquoise ;
		public TRGB RGB_Pale_Turquoise1 ;
		public TRGB RGB_Pale_Turquoise2 ;
		public TRGB RGB_Pale_Turquoise3 ;
		public TRGB RGB_Pale_Turquoise4 ;
		public TRGB RGB_Pale_Violet_Red ;
		public TRGB RGB_Pale_Violet_Red1 ;
		public TRGB RGB_Pale_Violet_Red2 ;
		public TRGB RGB_Pale_Violet_Red3 ;
		public TRGB RGB_Pale_Violet_Red4 ;
		public TRGB RGB_Papaya_Whip ;
		public TRGB RGB_Peach_Puff ;
		public TRGB RGB_Peach_Puff1 ;
		public TRGB RGB_Peach_Puff2 ;
		public TRGB RGB_Peach_Puff3 ;
		public TRGB RGB_Peach_Puff4 ;
		public TRGB RGB_Peacock ;
		public TRGB RGB_Peru ;
		public TRGB RGB_Pink ;
		public TRGB RGB_Pink1 ;
		public TRGB RGB_Pink2 ;
		public TRGB RGB_Pink3 ;
		public TRGB RGB_Pink4 ;
		public TRGB RGB_Plum ;
		public TRGB RGB_Plum1 ;
		public TRGB RGB_Plum2 ;
		public TRGB RGB_Plum3 ;
		public TRGB RGB_Plum4 ;
		public TRGB RGB_Powder_Blue ;
		public TRGB RGB_Puce ;
		public TRGB RGB_Purple ;
		public TRGB RGB_Purple1 ;
		public TRGB RGB_Purple2 ;
		public TRGB RGB_Purple3 ;
		public TRGB RGB_Purple4 ;
		public TRGB RGB_Raspberry ;
		public TRGB RGB_Raw_Sienna ;
		public TRGB RGB_Raw_Umber ;
		public TRGB RGB_Red ;
		public TRGB RGB_Red1 ;
		public TRGB RGB_Red2 ;
		public TRGB RGB_Red3 ;
		public TRGB RGB_Red4 ;
		public TRGB RGB_Rosy_Brown ;
		public TRGB RGB_Rosy_Brown1 ;
		public TRGB RGB_Rosy_Brown2 ;
		public TRGB RGB_Rosy_Brown3 ;
		public TRGB RGB_Rosy_Brown4 ;
		public TRGB RGB_Royal_Blue ;
		public TRGB RGB_Royal_Blue1 ;
		public TRGB RGB_Royal_Blue2 ;
		public TRGB RGB_Royal_Blue3 ;
		public TRGB RGB_Royal_Blue4 ;
		public TRGB RGB_Saddle_Brown ;
		public TRGB RGB_Salmon ;
		public TRGB RGB_Salmon1 ;
		public TRGB RGB_Salmon2 ;
		public TRGB RGB_Salmon3 ;
		public TRGB RGB_Salmon4 ;
		public TRGB RGB_Sandy_Brown ;
		public TRGB RGB_Sap_Green ;
		public TRGB RGB_Sea_Green ;
		public TRGB RGB_Sea_Green1 ;
		public TRGB RGB_Sea_Green2 ;
		public TRGB RGB_Sea_Green3 ;
		public TRGB RGB_Sea_Green4 ;
		public TRGB RGB_Seashell ;
		public TRGB RGB_Seashell1 ;
		public TRGB RGB_Seashell2 ;
		public TRGB RGB_Seashell3 ;
		public TRGB RGB_Seashell4 ;
		public TRGB RGB_Sepia ;
		public TRGB RGB_Sienna ;
		public TRGB RGB_Sienna1 ;
		public TRGB RGB_Sienna2 ;
		public TRGB RGB_Sienna3 ;
		public TRGB RGB_Sienna4 ;
		public TRGB RGB_Sky_Blue ;
		public TRGB RGB_Sky_Blue1 ;
		public TRGB RGB_Sky_Blue2 ;
		public TRGB RGB_Sky_Blue3 ;
		public TRGB RGB_Sky_Blue4 ;
		public TRGB RGB_Slate_Blue ;
		public TRGB RGB_Slate_Blue1 ;
		public TRGB RGB_Slate_Blue2 ;
		public TRGB RGB_Slate_Blue3 ;
		public TRGB RGB_Slate_Blue4 ;
		public TRGB RGB_Slate_Gray ;
		public TRGB RGB_Slate_Gray1 ;
		public TRGB RGB_Slate_Gray2 ;
		public TRGB RGB_Slate_Gray3 ;
		public TRGB RGB_Slate_Gray4 ;
		public TRGB RGB_Snow ;
		public TRGB RGB_Snow1 ;
		public TRGB RGB_Snow2 ;
		public TRGB RGB_Snow3 ;
		public TRGB RGB_Snow4 ;
		public TRGB RGB_Spring_Green ;
		public TRGB RGB_Spring_Green1 ;
		public TRGB RGB_Spring_Green2 ;
		public TRGB RGB_Spring_Green3 ;
		public TRGB RGB_Spring_Green4 ;
		public TRGB RGB_Steel_Blue ;
		public TRGB RGB_Steel_Blue1 ;
		public TRGB RGB_Steel_Blue2 ;
		public TRGB RGB_Steel_Blue3 ;
		public TRGB RGB_Steel_Blue4 ;
		public TRGB RGB_Tan ;
		public TRGB RGB_Tan1 ;
		public TRGB RGB_Tan2 ;
		public TRGB RGB_Tan3 ;
		public TRGB RGB_Tan4 ;
		public TRGB RGB_Terre_Verte ;
		public TRGB RGB_Thistle ;
		public TRGB RGB_Thistle1 ;
		public TRGB RGB_Thistle2 ;
		public TRGB RGB_Thistle3 ;
		public TRGB RGB_Thistle4 ;
		public TRGB RGB_Tomato ;
		public TRGB RGB_Tomato1 ;
		public TRGB RGB_Tomato2 ;
		public TRGB RGB_Tomato3 ;
		public TRGB RGB_Tomato4 ;
		public TRGB RGB_Turquoise ;
		public TRGB RGB_Turquoise1 ;
		public TRGB RGB_Turquoise2 ;
		public TRGB RGB_Turquoise3 ;
		public TRGB RGB_Turquoise4 ;
		public TRGB RGB_Ultramarine ;
		public TRGB RGB_Violet ;
		public TRGB RGB_Violet_Red ;
		public TRGB RGB_Violet_Red1 ;
		public TRGB RGB_Violet_Red2 ;
		public TRGB RGB_Violet_Red3 ;
		public TRGB RGB_Violet_Red4 ;
		public TRGB RGB_Vivid_Burgandy ;
		public TRGB RGB_Wheat ;
		public TRGB RGB_Wheat1 ;
		public TRGB RGB_Wheat2 ;
		public TRGB RGB_Wheat3 ;
		public TRGB RGB_Wheat4 ;
		public TRGB RGB_White ;
		public TRGB RGB_White_Smoke ;
		public TRGB RGB_Yellow ;
		public TRGB RGB_Yellow1 ;
		public TRGB RGB_Yellow2 ;
		public TRGB RGB_Yellow3 ;
		public TRGB RGB_Yellow4 ;
		public TRGB RGB_Yellow_Green ;

		public _Colors()
		{
			RGB_Alice_Blue_Wide = new TWide_RGB( 61680,63736,65535,65535 ) ;
			RGB_Antique_White_Wide = new TWide_RGB( 64250, 60395, 55255, 65535 ) ;
			RGB_Antique_White1_Wide = new TWide_RGB( 65535, 61423, 56283, 65535 ) ;
			RGB_Antique_White2_Wide = new TWide_RGB( 61166, 57311, 52428, 65535 ) ;
			RGB_Antique_White3_Wide = new TWide_RGB( 52685, 49344, 45232, 65535 ) ;
			RGB_Antique_White4_Wide = new TWide_RGB( 35723, 33667, 30840, 65535 ) ;
			RGB_Aquamarine_Wide = new TWide_RGB( 32639, 65535, 54484, 65535 ) ;
			RGB_Aquamarine1_Wide = new TWide_RGB( 32639, 65535, 54484, 65535 ) ;
			RGB_Aquamarine2_Wide = new TWide_RGB( 30326, 61166, 50886, 65535 ) ;
			RGB_Aquamarine3_Wide = new TWide_RGB( 26214, 52685, 43690, 65535 ) ;
			RGB_Aquamarine4_Wide = new TWide_RGB( 17733, 35723, 29812, 65535 ) ;
			RGB_Azure_Wide = new TWide_RGB( 61680, 65535, 65535, 65535 ) ;
			RGB_Azure1_Wide = new TWide_RGB( 61680, 65535, 65535, 65535 ) ;
			RGB_Azure2_Wide = new TWide_RGB( 57568, 61166, 61166, 65535 ) ;
			RGB_Azure3_Wide = new TWide_RGB( 49601, 52685, 52685, 65535 ) ;
			RGB_Azure4_Wide = new TWide_RGB( 33667, 35723, 35723, 65535 ) ;
			RGB_Banana_Wide = new TWide_RGB( 58112, 52992, 22272, 65535 ) ;
			RGB_Beige_Wide = new TWide_RGB( 62965, 62965, 56540, 65535 ) ;
			RGB_Bisque_Wide = new TWide_RGB( 65535, 58596, 50372, 65535 ) ;
			RGB_Bisque1_Wide = new TWide_RGB( 65535, 58596, 50372, 65535 ) ;
			RGB_Bisque2_Wide = new TWide_RGB( 61166, 54741, 47031, 65535 ) ;
			RGB_Bisque3_Wide = new TWide_RGB( 52685, 47031, 40606, 65535 ) ;
			RGB_Bisque4_Wide = new TWide_RGB( 35723, 32125, 27499, 65535 ) ;
			RGB_Black_Wide = new TWide_RGB( 0, 0, 0, 65535 ) ;
			RGB_Blanched_Almond_Wide = new TWide_RGB( 65535, 60395, 52685, 65535 ) ;
			RGB_Blue_Wide = new TWide_RGB( 0, 0, 65535, 65535 ) ;
			RGB_Blue1_Wide = new TWide_RGB( 0, 0, 65535, 65535 ) ;
			RGB_Blue2_Wide = new TWide_RGB( 0, 0, 61166, 65535 ) ;
			RGB_Blue3_Wide = new TWide_RGB( 0, 0, 52685, 65535 ) ;
			RGB_Blue4_Wide = new TWide_RGB( 0, 0, 35723, 65535 ) ;
			RGB_Blue_Violet_Wide = new TWide_RGB( 35466, 11051, 58082, 65535 ) ;
			RGB_Brick_Wide = new TWide_RGB( 39936, 26112, 7936, 65535 ) ;
			RGB_Brown_Wide = new TWide_RGB( 42405, 10794, 10794, 65535 ) ;
			RGB_Brown1_Wide = new TWide_RGB( 65535, 16448, 16448, 65535 ) ;
			RGB_Brown2_Wide = new TWide_RGB( 61166, 15163, 15163, 65535 ) ;
			RGB_Brown3_Wide = new TWide_RGB( 52685, 13107, 13107, 65535 ) ;
			RGB_Brown4_Wide = new TWide_RGB( 35723, 8995, 8995, 65535 ) ;
			RGB_Burgandy_Wide = new TWide_RGB( 32768, 0, 8192, 65535 ) ;
			RGB_Burlywood_Wide = new TWide_RGB( 57054, 47288, 34695, 65535 ) ;
			RGB_Burlywood1_Wide = new TWide_RGB( 65535, 54227, 39835, 65535 ) ;
			RGB_Burlywood2_Wide = new TWide_RGB( 61166, 50629, 37265, 65535 ) ;
			RGB_Burlywood3_Wide = new TWide_RGB( 52685, 43690, 32125, 65535 ) ;
			RGB_Burlywood4_Wide = new TWide_RGB( 35723, 29555, 21845, 65535 ) ;
			RGB_Burnt_Sienna_Wide = new TWide_RGB( 35328, 13824, 3840, 65535 ) ;
			RGB_Burnt_Umber_Wide = new TWide_RGB( 35328, 13056, 9216, 65535 ) ;
			RGB_Cadet_Blue_Wide = new TWide_RGB( 24415, 40606, 41120, 65535 ) ;
			RGB_Cadet_Blue1_Wide = new TWide_RGB( 39064, 62965, 65535, 65535 ) ;
			RGB_Cadet_Blue2_Wide = new TWide_RGB( 36494, 58853, 61166, 65535 ) ;
			RGB_Cadet_Blue3_Wide = new TWide_RGB( 31354, 50629, 52685, 65535 ) ;
			RGB_Cadet_Blue4_Wide = new TWide_RGB( 21331, 34438, 35723, 65535 ) ;
			RGB_Cadmium_Orange_Wide = new TWide_RGB( 65535, 24832, 768, 65535 ) ;
			RGB_Cadmium_Red_Wide = new TWide_RGB( 0, 12544, 32000, 65535 ) ;
			RGB_Cadmium_Yellow_Wise = new TWide_RGB( 65535, 153, 18, 65535 ) ;
			RGB_Chartreuse_Wide = new TWide_RGB( 32639, 65535, 0, 65535 ) ;
			RGB_Chartreuse1_Wide = new TWide_RGB( 32639, 65535, 0, 65535 ) ;
			RGB_Chartreuse2_Wide = new TWide_RGB( 30326, 61166, 0, 65535 ) ;
			RGB_Chartreuse3_Wide = new TWide_RGB( 26214, 52685, 0, 65535 ) ;
			RGB_Chartreuse4_Wide = new TWide_RGB( 17733, 35723, 0, 65535 ) ;
			RGB_Chocolate_Wide = new TWide_RGB( 53970, 26985, 7710, 65535 ) ;
			RGB_Chocolate1_Wide = new TWide_RGB( 65535, 32639, 9252, 65535 ) ;
			RGB_Chocolate2_Wide = new TWide_RGB( 61166, 30326, 8481, 65535 ) ;
			RGB_Chocolate3_Wide = new TWide_RGB( 52685, 26214, 7453, 65535 ) ;
			RGB_Chocolate4_Wide = new TWide_RGB( 35723, 17733, 4883, 65535 ) ;
			RGB_Cobalt_Wide = new TWide_RGB( 15616, 22784, 43776, 65535 ) ;
			RGB_Cobalt_Green_Wide = new TWide_RGB( 15616, 37120, 16384, 65535 ) ;
			RGB_Coral_Wide = new TWide_RGB( 65535, 32639, 20560, 65535 ) ;
			RGB_Coral1_Wide = new TWide_RGB( 65535, 29298, 22102, 65535 ) ;
			RGB_Coral2_Wide = new TWide_RGB( 61166, 27242, 20560, 65535 ) ;
			RGB_Coral3_Wide = new TWide_RGB( 52685, 23387, 17733, 65535 ) ;
			RGB_Coral4_Wide = new TWide_RGB( 35723, 15934, 12079, 65535 ) ;
			RGB_Cornflower_Blue_Wide = new TWide_RGB( 25700, 38293, 60909, 65535 ) ;
			RGB_Cornsilk_Wide = new TWide_RGB( 65535, 63736, 56540, 65535 ) ;
			RGB_Cornsilk1_Wide = new TWide_RGB( 65535, 63736, 56540, 65535 ) ;
			RGB_Cornsilk2_Wide = new TWide_RGB( 61166, 59624, 52685, 65535 ) ;
			RGB_Cornsilk3_Wide = new TWide_RGB( 52685, 51400, 45489, 65535 ) ;
			RGB_Cornsilk4_Wide = new TWide_RGB( 35723, 34952, 30840, 65535 ) ;
			RGB_Crimson_Wide = new TWide_RGB( 56320, 5120, 15360, 65535 ) ;
			RGB_Cyan_Wide = new TWide_RGB( 0, 65535, 65535, 65535 ) ;
			RGB_Cyan1_Wide = new TWide_RGB( 0, 65535, 65535, 65535 ) ;
			RGB_Cyan2_Wide = new TWide_RGB( 0, 61166, 61166, 65535 ) ;
			RGB_Cyan3_Wide = new TWide_RGB( 0, 52685, 52685, 65535 ) ;
			RGB_Cyan4_Wide = new TWide_RGB( 0, 35723, 35723, 65535 ) ;
			RGB_Dark_Goldenrod_Wide = new TWide_RGB( 47288, 34438, 2827, 65535 ) ;
			RGB_Dark_Goldenrod1_Wide = new TWide_RGB( 65535, 47545, 3855, 65535 ) ;
			RGB_Dark_Goldenrod2_Wide = new TWide_RGB( 61166, 44461, 3598, 65535 ) ;
			RGB_Dark_Goldenrod3_Wide = new TWide_RGB( 52685, 38293, 3084, 65535 ) ;
			RGB_Dark_Goldenrod4_Wide = new TWide_RGB( 35723, 25957, 2056, 65535 ) ;
			RGB_Dark_Green_Wide = new TWide_RGB( 0, 25700, 0, 65535 ) ;
			RGB_Dark_Khaki_Wide = new TWide_RGB( 48573, 47031, 27499, 65535 ) ;
			RGB_Dark_Olive_Green_Wide = new TWide_RGB( 21845, 27499, 12079, 65535 ) ;
			RGB_Dark_Olive_Green1_Wide = new TWide_RGB( 51914, 65535, 28784, 65535 ) ;
			RGB_Dark_Olive_Green2_Wide = new TWide_RGB( 48316, 61166, 26728, 65535 ) ;
			RGB_Dark_Olive_Green3_Wide = new TWide_RGB( 41634, 52685, 23130, 65535 ) ;
			RGB_Dark_Olive_Green4_Wide = new TWide_RGB( 28270, 35723, 15677, 65535 ) ;
			RGB_Dark_Orange_Wide = new TWide_RGB( 65535, 35980, 0, 65535 ) ;
			RGB_Dark_Orange1_Wide = new TWide_RGB( 65535, 32639, 0, 65535 ) ;
			RGB_Dark_Orange2_Wide = new TWide_RGB( 61166, 30326, 0, 65535 ) ;
			RGB_Dark_Orange3_Wide = new TWide_RGB( 52685, 26214, 0, 65535 ) ;
			RGB_Dark_Orange4_Wide = new TWide_RGB( 35723, 17733, 0, 65535 ) ;
			RGB_Dark_orchid_Wide = new TWide_RGB( 39321, 12850, 52428, 65535 ) ;
			RGB_Dark_Orchid1_Wide = new TWide_RGB( 49087, 15934, 65535, 65535 ) ;
			RGB_Dark_Orchid2_Wide = new TWide_RGB( 45746, 14906, 61166, 65535 ) ;
			RGB_Dark_Orchid3_Wide = new TWide_RGB( 39578, 12850, 52685, 65535 ) ;
			RGB_Dark_Orchid4_Wide = new TWide_RGB( 26728, 8738, 35723, 65535 ) ;
			RGB_Dark_Purple_Wide = new TWide_RGB( 20560, 4112, 30840, 65535 ) ;
			RGB_Dark_Salmon_Wide = new TWide_RGB( 59881, 38550, 31354, 65535 ) ;
			RGB_Dark_Sea_Green_Wide = new TWide_RGB( 36751, 48316, 36751, 65535 ) ;
			RGB_Dark_Sea_Green1_Wide = new TWide_RGB( 49601, 65535, 49601, 65535 ) ;
			RGB_Dark_Sea_Green2_Wide = new TWide_RGB( 46260, 61166, 46260, 65535 ) ;
			RGB_Dark_Sea_Green3_Wide = new TWide_RGB( 39835, 52685, 39835, 65535 ) ;
			RGB_Dark_Sea_Green4_Wide = new TWide_RGB( 26985, 35723, 26985, 65535 ) ;
			RGB_Dark_Slate_Blue_Wide = new TWide_RGB( 18504, 15677, 35723, 65535 ) ;
			RGB_Dark_Slate_Gray_Wide = new TWide_RGB( 12079, 20303, 20303, 65535 ) ;
			RGB_Dark_Slate_Gray1_Wide = new TWide_RGB( 38807, 65535, 65535, 65535 ) ;
			RGB_Dark_Slate_Gray2_Wide = new TWide_RGB( 36237, 61166, 61166, 65535 ) ;
			RGB_Dark_Slate_Gray3_Wide = new TWide_RGB( 31097, 52685, 52685, 65535 ) ;
			RGB_Dark_Slate_Gray4_Wide = new TWide_RGB( 21074, 35723, 35723, 65535 ) ;
			RGB_Dark_Turquoise_Wide = new TWide_RGB( 0, 52942, 53713, 65535 ) ;
			RGB_Dark_Violet_Wide = new TWide_RGB( 38036, 0, 54227, 65535 ) ;
			RGB_Deep_Pink_Wide = new TWide_RGB( 65535, 5140, 37779, 65535 ) ;
			RGB_Deep_Pink1_Wide = new TWide_RGB( 65535, 5140, 37779, 65535 ) ;
			RGB_Deep_Pink2_Wide = new TWide_RGB( 61166, 4626, 35209, 65535 ) ;
			RGB_Deep_Pink3_Wide = new TWide_RGB( 52685, 4112, 30326, 65535 ) ;
			RGB_Deep_Pink4_Wide = new TWide_RGB( 35723, 2570, 20560, 65535 ) ;
			RGB_Deep_Sky_Blue_Wide = new TWide_RGB( 0, 49087, 65535, 65535 ) ;
			RGB_Deep_Sky_Blue1_Wide = new TWide_RGB( 0, 49087, 65535, 65535 ) ;
			RGB_Deep_Sky_Blue2_Wide = new TWide_RGB( 0, 45746, 61166, 65535 ) ;
			RGB_Deep_Sky_Blue3_Wide = new TWide_RGB( 0, 39578, 52685, 65535 ) ;
			RGB_Deep_Sky_Blue4_Wide = new TWide_RGB( 0, 26728, 35723, 65535 ) ;
			RGB_Dim_Gray_Wide = new TWide_RGB( 26985, 26985, 26985, 65535 ) ;
			RGB_Dodger_Blue_Wide = new TWide_RGB( 7710, 37008, 65535, 65535 ) ;
			RGB_Dodger_Blue1_Wide = new TWide_RGB( 7710, 37008, 65535, 65535 ) ;
			RGB_Dodger_Blue2_Wide = new TWide_RGB( 7196, 34438, 61166, 65535 ) ;
			RGB_Dodger_Blue3_Wide = new TWide_RGB( 6168, 29812, 52685, 65535 ) ;
			RGB_Dodger_Blue4_Wide = new TWide_RGB( 4112, 20046, 35723, 65535 ) ;
			RGB_Eggshell_Wide = new TWide_RGB( 51456, 58880, 51456, 65535 ) ;
			RGB_Emerald_Green_Wide = new TWide_RGB( 0, 51456, 22272, 65535 ) ;
			RGB_Fire_Brick_Wide = new TWide_RGB( 45746, 8738, 8738, 65535 ) ;
			RGB_Fire_Brick1_Wide = new TWide_RGB( 65535, 12336, 12336, 65535 ) ;
			RGB_Fire_Brick2_Wide = new TWide_RGB( 61166, 11308, 11308, 65535 ) ;
			RGB_Fire_Brick3_Wide = new TWide_RGB( 52685, 9766, 9766, 65535 ) ;
			RGB_Fire_Brick4_Wide = new TWide_RGB( 35723, 6682, 6682, 65535 ) ;
			RGB_Floral_White_Wide = new TWide_RGB( 65535, 64250, 61680, 65535 ) ;
			RGB_Forest_Green_Wide = new TWide_RGB( 8738, 35723, 8738, 65535 ) ;
			RGB_Gainsboro_Wide = new TWide_RGB( 56540, 56540, 56540, 65535 ) ;
			RGB_Ghost_White_Wide = new TWide_RGB( 63736, 63736, 65535, 65535 ) ;
			RGB_Gold_Wide = new TWide_RGB( 65535, 55255, 0, 65535 ) ;
			RGB_Gold1_Wide = new TWide_RGB( 65535, 55255, 0, 65535 ) ;
			RGB_Gold2_Wide = new TWide_RGB( 61166, 51657, 0, 65535 ) ;
			RGB_Gold3_Wide = new TWide_RGB( 52685, 44461, 0, 65535 ) ;
			RGB_Gold4_Wide = new TWide_RGB( 35723, 30069, 0, 65535 ) ;
			RGB_Goldenrod_Wide = new TWide_RGB( 56026, 42405, 8224, 65535 ) ;
			RGB_Goldenrod1_Wide = new TWide_RGB( 65535, 49601, 9509, 65535 ) ;
			RGB_Goldenrod2_Wide = new TWide_RGB( 61166, 46260, 8738, 65535 ) ;
			RGB_Goldenrod3_Wide = new TWide_RGB( 52685, 39835, 7453, 65535 ) ;
			RGB_Goldenrod4_Wide = new TWide_RGB( 35723, 26985, 5140, 65535 ) ;
			RGB_Gray_Wide = new TWide_RGB( 49344, 49344, 49344, 65535 ) ;
			RGB_Gray0_Wide = new TWide_RGB( 0, 0, 0, 65535 ) ;
			RGB_Gray1_Wide = new TWide_RGB( 771, 771, 771, 65535 ) ;
			RGB_Gray2_Wide = new TWide_RGB( 1285, 1285, 1285, 65535 ) ;
			RGB_Gray3_Wide = new TWide_RGB( 2056, 2056, 2056, 65535 ) ;
			RGB_Gray4_Wide = new TWide_RGB( 2570, 2570, 2570, 65535 ) ;
			RGB_Gray5_Wide = new TWide_RGB( 3341, 3341, 3341, 65535 ) ;
			RGB_Gray6_Wide = new TWide_RGB( 3855, 3855, 3855, 65535 ) ;
			RGB_Gray7_Wide = new TWide_RGB( 4626, 4626, 4626, 65535 ) ;
			RGB_Gray8_Wide = new TWide_RGB( 5140, 5140, 5140, 65535 ) ;
			RGB_Gray9_Wide = new TWide_RGB( 5911, 5911, 5911, 65535 ) ;
			RGB_Gray10_Wide = new TWide_RGB( 6682, 6682, 6682, 65535 ) ;
			RGB_Gray11_Wide = new TWide_RGB( 7196, 7196, 7196, 65535 ) ;
			RGB_Gray12_Wide = new TWide_RGB( 7967, 7967, 7967, 65535 ) ;
			RGB_Gray13_Wide = new TWide_RGB( 8481, 8481, 8481, 65535 ) ;
			RGB_Gray14_Wide = new TWide_RGB( 9252, 9252, 9252, 65535 ) ;
			RGB_Gray15_Wide = new TWide_RGB( 9766, 9766, 9766, 65535 ) ;
			RGB_Gray16_Wide = new TWide_RGB( 10537, 10537, 10537, 65535 ) ;
			RGB_Gray17_Wide = new TWide_RGB( 11051, 11051, 11051, 65535 ) ;
			RGB_Gray18_Wide = new TWide_RGB( 11822, 11822, 11822, 65535 ) ;
			RGB_Gray19_Wide = new TWide_RGB( 12336, 12336, 12336, 65535 ) ;
			RGB_Gray20_Wide = new TWide_RGB( 13107, 13107, 13107, 65535 ) ;
			RGB_Gray21_Wide = new TWide_RGB( 13878, 13878, 13878, 65535 ) ;
			RGB_Gray22_Wide = new TWide_RGB( 14392, 14392, 14392, 65535 ) ;
			RGB_Gray23_Wide = new TWide_RGB( 15163, 15163, 15163, 65535 ) ;
			RGB_Gray24_Wide = new TWide_RGB( 15677, 15677, 15677, 65535 ) ;
			RGB_Gray25_Wide = new TWide_RGB( 16448, 16448, 16448, 65535 ) ;
			RGB_Gray26_Wide = new TWide_RGB( 16962, 16962, 16962, 65535 ) ;
			RGB_Gray27_Wide = new TWide_RGB( 17733, 17733, 17733, 65535 ) ;
			RGB_Gray28_Wide = new TWide_RGB( 18247, 18247, 18247, 65535 ) ;
			RGB_Gray29_Wide = new TWide_RGB( 19018, 19018, 19018, 65535 ) ;
			RGB_Gray30_Wide = new TWide_RGB( 19789, 19789, 19789, 65535 ) ;
			RGB_Gray31_Wide = new TWide_RGB( 20303, 20303, 20303, 65535 ) ;
			RGB_Gray32_Wide = new TWide_RGB( 21074, 21074, 21074, 65535 ) ;
			RGB_Gray33_Wide = new TWide_RGB( 21588, 21588, 21588, 65535 ) ;
			RGB_Gray34_Wide = new TWide_RGB( 22359, 22359, 22359, 65535 ) ;
			RGB_Gray35_Wide = new TWide_RGB( 22873, 22873, 22873, 65535 ) ;
			RGB_Gray36_Wide = new TWide_RGB( 23644, 23644, 23644, 65535 ) ;
			RGB_Gray37_Wide = new TWide_RGB( 24158, 24158, 24158, 65535 ) ;
			RGB_Gray38_Wide = new TWide_RGB( 24929, 24929, 24929, 65535 ) ;
			RGB_Gray39_Wide = new TWide_RGB( 25443, 25443, 25443, 65535 ) ;
			RGB_Gray40_Wide = new TWide_RGB( 26214, 26214, 26214, 65535 ) ;
			RGB_Gray41_Wide = new TWide_RGB( 26985, 26985, 26985, 65535 ) ;
			RGB_Gray42_Wide = new TWide_RGB( 27499, 27499, 27499, 65535 ) ;
			RGB_Gray43_Wide = new TWide_RGB( 28270, 28270, 28270, 65535 ) ;
			RGB_Gray44_Wide = new TWide_RGB( 28784, 28784, 28784, 65535 ) ;
			RGB_Gray45_Wide = new TWide_RGB( 29555, 29555, 29555, 65535 ) ;
			RGB_Gray46_Wide = new TWide_RGB( 30069, 30069, 30069, 65535 ) ;
			RGB_Gray47_Wide = new TWide_RGB( 30840, 30840, 30840, 65535 ) ;
			RGB_Gray48_Wide = new TWide_RGB( 31354, 31354, 31354, 65535 ) ;
			RGB_Gray49_Wide = new TWide_RGB( 32125, 32125, 32125, 65535 ) ;
			RGB_Gray50_Wide = new TWide_RGB( 32639, 32639, 32639, 65535 ) ;
			RGB_Gray51_Wide = new TWide_RGB( 33410, 33410, 33410, 65535 ) ;
			RGB_Gray52_Wide = new TWide_RGB( 34181, 34181, 34181, 65535 ) ;
			RGB_Gray53_Wide = new TWide_RGB( 34695, 34695, 34695, 65535 ) ;
			RGB_Gray54_Wide = new TWide_RGB( 35466, 35466, 35466, 65535 ) ;
			RGB_Gray55_Wide = new TWide_RGB( 35980, 35980, 35980, 65535 ) ;
			RGB_Gray56_Wide = new TWide_RGB( 36751, 36751, 36751, 65535 ) ;
			RGB_Gray57_Wide = new TWide_RGB( 37265, 37265, 37265, 65535 ) ;
			RGB_Gray58_Wide = new TWide_RGB( 38036, 38036, 38036, 65535 ) ;
			RGB_Gray59_Wide = new TWide_RGB( 38550, 38550, 38550, 65535 ) ;
			RGB_Gray60_Wide = new TWide_RGB( 39321, 39321, 39321, 65535 ) ;
			RGB_Gray61_Wide = new TWide_RGB( 40092, 40092, 40092, 65535 ) ;
			RGB_Gray62_Wide = new TWide_RGB( 40606, 40606, 40606, 65535 ) ;
			RGB_Gray63_Wide = new TWide_RGB( 41377, 41377, 41377, 65535 ) ;
			RGB_Gray64_Wide = new TWide_RGB( 41891, 41891, 41891, 65535 ) ;
			RGB_Gray65_Wide = new TWide_RGB( 42662, 42662, 42662, 65535 ) ;
			RGB_Gray66_Wide = new TWide_RGB( 43176, 43176, 43176, 65535 ) ;
			RGB_Gray67_Wide = new TWide_RGB( 43947, 43947, 43947, 65535 ) ;
			RGB_Gray68_Wide = new TWide_RGB( 44461, 44461, 44461, 65535 ) ;
			RGB_Gray69_Wide = new TWide_RGB( 45232, 45232, 45232, 65535 ) ;
			RGB_Gray70_Wide = new TWide_RGB( 46003, 46003, 46003, 65535 ) ;
			RGB_Gray71_Wide = new TWide_RGB( 46517, 46517, 46517, 65535 ) ;
			RGB_Gray72_Wide = new TWide_RGB( 47288, 47288, 47288, 65535 ) ;
			RGB_Gray73_Wide = new TWide_RGB( 47802, 47802, 47802, 65535 ) ;
			RGB_Gray74_Wide = new TWide_RGB( 48573, 48573, 48573, 65535 ) ;
			RGB_Gray75_Wide = new TWide_RGB( 49087, 49087, 49087, 65535 ) ;
			RGB_Gray76_Wide = new TWide_RGB( 49858, 49858, 49858, 65535 ) ;
			RGB_Gray77_Wide = new TWide_RGB( 50372, 50372, 50372, 65535 ) ;
			RGB_Gray78_Wide = new TWide_RGB( 51143, 51143, 51143, 65535 ) ;
			RGB_Gray79_Wide = new TWide_RGB( 51657, 51657, 51657, 65535 ) ;
			RGB_Gray80_Wide = new TWide_RGB( 52428, 52428, 52428, 65535 ) ;
			RGB_Gray81_Wide = new TWide_RGB( 53199, 53199, 53199, 65535 ) ;
			RGB_Gray82_Wide = new TWide_RGB( 53713, 53713, 53713, 65535 ) ;
			RGB_Gray83_Wide = new TWide_RGB( 54484, 54484, 54484, 65535 ) ;
			RGB_Gray84_Wide = new TWide_RGB( 54998, 54998, 54998, 65535 ) ;
			RGB_Gray85_Wide = new TWide_RGB( 55769, 55769, 55769, 65535 ) ;
			RGB_Gray86_Wide = new TWide_RGB( 56283, 56283, 56283, 65535 ) ;
			RGB_Gray87_Wide = new TWide_RGB( 57054, 57054, 57054, 65535 ) ;
			RGB_Gray88_Wide = new TWide_RGB( 57568, 57568, 57568, 65535 ) ;
			RGB_Gray89_Wide = new TWide_RGB( 58339, 58339, 58339, 65535 ) ;
			RGB_Gray90_Wide = new TWide_RGB( 58853, 58853, 58853, 65535 ) ;
			RGB_Gray91_Wide = new TWide_RGB( 59624, 59624, 59624, 65535 ) ;
			RGB_Gray92_Wide = new TWide_RGB( 60395, 60395, 60395, 65535 ) ;
			RGB_Gray93_Wide = new TWide_RGB( 60909, 60909, 60909, 65535 ) ;
			RGB_Gray94_Wide = new TWide_RGB( 61680, 61680, 61680, 65535 ) ;
			RGB_Gray95_Wide = new TWide_RGB( 62194, 62194, 62194, 65535 ) ;
			RGB_Gray96_Wide = new TWide_RGB( 62965, 62965, 62965, 65535 ) ;
			RGB_Gray97_Wide = new TWide_RGB( 63479, 63479, 63479, 65535 ) ;
			RGB_Gray98_Wide = new TWide_RGB( 64250, 64250, 64250, 65535 ) ;
			RGB_Gray99_Wide = new TWide_RGB( 64764, 64764, 64764, 65535 ) ;
			RGB_Gray100_Wide = new TWide_RGB( 65535, 65535, 65535, 65535 ) ;
			RGB_Green_Wide = new TWide_RGB( 0, 65535, 0, 65535 ) ;
			RGB_Green1_Wide = new TWide_RGB( 0, 65535, 0, 65535 ) ;
			RGB_Green2_Wide = new TWide_RGB( 0, 61166, 0, 65535 ) ;
			RGB_Green3_Wide = new TWide_RGB( 0, 52685, 0, 65535 ) ;
			RGB_Green4_Wide = new TWide_RGB( 0, 35723, 0, 65535 ) ;
			RGB_Green_Yellow_Wide = new TWide_RGB( 44461, 65535, 12079, 65535 ) ;
			RGB_Honeydew_Wide = new TWide_RGB( 61680, 65535, 61680, 65535 ) ;
			RGB_Honeydew1_Wide = new TWide_RGB( 61680, 65535, 61680, 65535 ) ;
			RGB_Honeydew2_Wide = new TWide_RGB( 57568, 61166, 57568, 65535 ) ;
			RGB_Honeydew3_Wide = new TWide_RGB( 49601, 52685, 49601, 65535 ) ;
			RGB_Honeydew4_Wide = new TWide_RGB( 33667, 35723, 33667, 65535 ) ;
			RGB_Hot_Pink_Wide = new TWide_RGB( 65535, 26985, 46260, 65535 ) ;
			RGB_Hot_Pink1_Wide = new TWide_RGB( 65535, 28270, 46260, 65535 ) ;
			RGB_Hot_Pink2_Wide = new TWide_RGB( 61166, 27242, 42919, 65535 ) ;
			RGB_Hot_Pink3_Wide = new TWide_RGB( 52685, 24672, 37008, 65535 ) ;
			RGB_Hot_Pink4_Wide = new TWide_RGB( 35723, 14906, 25186, 65535 ) ;
			RGB_Indian_Red_Wide = new TWide_RGB( 52685, 23644, 23644, 65535 ) ;
			RGB_Indian_Red1_Wide = new TWide_RGB( 65535, 27242, 27242, 65535 ) ;
			RGB_Indian_Red2_Wide = new TWide_RGB( 61166, 25443, 25443, 65535 ) ;
			RGB_Indian_Red3_Wide = new TWide_RGB( 52685, 21845, 21845, 65535 ) ;
			RGB_Indian_Red4_Wide = new TWide_RGB( 35723, 14906, 14906, 65535 ) ;
			RGB_Ivory_Black_Wide = new TWide_RGB( 10496, 9216, 8448, 65535 ) ;
			RGB_Ivory_Wide = new TWide_RGB( 65535, 65535, 61680, 65535 ) ;
			RGB_Ivory1_Wide = new TWide_RGB( 65535, 65535, 61680, 65535 ) ;
			RGB_Ivory2_Wide = new TWide_RGB( 61166, 61166, 57568, 65535 ) ;
			RGB_Ivory3_Wide = new TWide_RGB( 52685, 52685, 49601, 65535 ) ;
			RGB_Ivory4_Wide = new TWide_RGB( 35723, 35723, 33667, 65535 ) ;
			RGB_Khaki_Wide = new TWide_RGB( 61680, 59110, 35980, 65535 ) ;
			RGB_Khaki1_Wide = new TWide_RGB( 65535, 63222, 36751, 65535 ) ;
			RGB_Khaki2_Wide = new TWide_RGB( 61166, 59110, 34181, 65535 ) ;
			RGB_Khaki3_Wide = new TWide_RGB( 52685, 50886, 29555, 65535 ) ;
			RGB_Khaki4_Wide = new TWide_RGB( 35723, 34438, 20046, 65535 ) ;
			RGB_Lavender_Wide = new TWide_RGB( 59110, 59110, 64250, 65535 ) ;
			RGB_Lavender_Blush_Wide = new TWide_RGB( 65535, 61680, 62965, 65535 ) ;
			RGB_Lavender_Blush1_Wide = new TWide_RGB( 65535, 61680, 62965, 65535 ) ;
			RGB_Lavender_Blush2_Wide = new TWide_RGB( 61166, 57568, 58853, 65535 ) ;
			RGB_Lavender_Blush3_Wide = new TWide_RGB( 52685, 49601, 50629, 65535 ) ;
			RGB_Lavender_Blush4_Wide = new TWide_RGB( 35723, 33667, 34438, 65535 ) ;
			RGB_Lawn_Green_Wide = new TWide_RGB( 31868, 64764, 0, 65535 ) ;
			RGB_Lemon_Chiffon_Wide = new TWide_RGB( 65535, 64250, 52685, 65535 ) ;
			RGB_Lemon_Chiffon1_Wide = new TWide_RGB( 65535, 64250, 52685, 65535 ) ;
			RGB_Lemon_Chiffon2_Wide = new TWide_RGB( 61166, 59881, 49087, 65535 ) ;
			RGB_Lemon_Chiffon3_Wide = new TWide_RGB( 52685, 51657, 42405, 65535 ) ;
			RGB_Lemon_Chiffon4_Wide = new TWide_RGB( 35723, 35209, 28784, 65535 ) ;
			RGB_Light_Blue_Wide = new TWide_RGB( 44461, 55512, 59110, 65535 ) ;
			RGB_Light_Blue1_Wide = new TWide_RGB( 49087, 61423, 65535, 65535 ) ;
			RGB_Light_Blue2_Wide = new TWide_RGB( 45746, 57311, 61166, 65535 ) ;
			RGB_Light_Blue3_Wide = new TWide_RGB( 39578, 49344, 52685, 65535 ) ;
			RGB_Light_Blue4_Wide = new TWide_RGB( 26728, 33667, 35723, 65535 ) ;
			RGB_Light_Coral_Wide = new TWide_RGB( 61680, 32896, 32896, 65535 ) ;
			RGB_Light_Cyan_Wide = new TWide_RGB( 57568, 65535, 65535, 65535 ) ;
			RGB_Light_Cyan1_Wide = new TWide_RGB( 57568, 65535, 65535, 65535 ) ;
			RGB_Light_Cyan2_Wide = new TWide_RGB( 53713, 61166, 61166, 65535 ) ;
			RGB_Light_Cyan3_Wide = new TWide_RGB( 46260, 52685, 52685, 65535 ) ;
			RGB_Light_Cyan4_Wide = new TWide_RGB( 31354, 35723, 35723, 65535 ) ;
			RGB_Light_goldenrod_Wide = new TWide_RGB( 61166, 56797, 33410, 65535 ) ;
			RGB_Light_Goldenrod1_Wide = new TWide_RGB( 65535, 60652, 35723, 65535 ) ;
			RGB_Light_Goldenrod2_Wide = new TWide_RGB( 61166, 56540, 33410, 65535 ) ;
			RGB_Light_Goldenrod3_Wide = new TWide_RGB( 52685, 48830, 28784, 65535 ) ;
			RGB_Light_Goldenrod4_Wide = new TWide_RGB( 35723, 33153, 19532, 65535 ) ;
			RGB_Light_Goldenrod_yellow_Wide = new TWide_RGB( 64250, 64250, 53970, 65535 ) ;
			RGB_Light_Gray_Wide = new TWide_RGB( 54227, 54227, 54227, 65535 ) ;
			RGB_Light_Pink_Wide = new TWide_RGB( 65535, 46774, 49601, 65535 ) ;
			RGB_Light_Pink1_Wide = new TWide_RGB( 65535, 44718, 47545, 65535 ) ;
			RGB_Light_Pink2_Wide = new TWide_RGB( 61166, 41634, 44461, 65535 ) ;
			RGB_Light_Pink3_Wide = new TWide_RGB( 52685, 35980, 38293, 65535 ) ;
			RGB_Light_Pink4_Wide = new TWide_RGB( 35723, 24415, 25957, 65535 ) ;
			RGB_Light_Salmon_Wide = new TWide_RGB( 65535, 41120, 31354, 65535 ) ;
			RGB_Light_Salmon1_Wide = new TWide_RGB( 65535, 41120, 31354, 65535 ) ;
			RGB_Light_Salmon2_Wide = new TWide_RGB( 61166, 38293, 29298, 65535 ) ;
			RGB_Light_Salmon3_Wide = new TWide_RGB( 52685, 33153, 25186, 65535 ) ;
			RGB_Light_Salmon4_Wide = new TWide_RGB( 35723, 22359, 16962, 65535 ) ;
			RGB_Light_Sea_Green_Wide = new TWide_RGB( 8224, 45746, 43690, 65535 ) ;
			RGB_Light_Sky_Blue_Wide = new TWide_RGB( 34695, 52942, 64250, 65535 ) ;
			RGB_Light_Sky_Blue1_Wide = new TWide_RGB( 45232, 58082, 65535, 65535 ) ;
			RGB_Light_Sky_Blue2_Wide = new TWide_RGB( 42148, 54227, 61166, 65535 ) ;
			RGB_Light_Sky_Blue3_Wide = new TWide_RGB( 36237, 46774, 52685, 65535 ) ;
			RGB_Light_Sky_Blue4_Wide = new TWide_RGB( 24672, 31611, 35723, 65535 ) ;
			RGB_Light_Slate_Blue_Wide = new TWide_RGB( 33924, 28784, 65535, 65535 ) ;
			RGB_Light_Slate_Gray_Wide = new TWide_RGB( 30583, 34952, 39321, 65535 ) ;
			RGB_Light_Steel_Blue_Wide = new TWide_RGB( 45232, 50372, 57054, 65535 ) ;
			RGB_Light_Steel_Blue1_Wide = new TWide_RGB( 51914, 57825, 65535, 65535 ) ;
			RGB_Light_Steel_Blue2_Wide = new TWide_RGB( 48316, 53970, 61166, 65535 ) ;
			RGB_Light_Steel_Blue3_Wide = new TWide_RGB( 41634, 46517, 52685, 65535 ) ;
			RGB_Light_Steel_Blue4_Wide = new TWide_RGB( 28270, 31611, 35723, 65535 ) ;
			RGB_Light_Yellow_Wide = new TWide_RGB( 65535, 65535, 57568, 65535 ) ;
			RGB_Light_Yellow1_Wide = new TWide_RGB( 65535, 65535, 57568, 65535 ) ;
			RGB_Light_Yellow2_Wide = new TWide_RGB( 61166, 61166, 53713, 65535 ) ;
			RGB_Light_Yellow3_Wide = new TWide_RGB( 52685, 52685, 46260, 65535 ) ;
			RGB_Light_Yellow4_Wide = new TWide_RGB( 35723, 35723, 31354, 65535 ) ;
			RGB_Lime_Green_Wide = new TWide_RGB( 12850, 52685, 12850, 65535 ) ;
			RGB_Linen_Wide = new TWide_RGB( 64250, 61680, 59110, 65535 ) ;
			RGB_Magenta_Wide = new TWide_RGB( 65535, 0, 65535, 65535 ) ;
			RGB_Magenta1_Wide = new TWide_RGB( 65535, 0, 65535, 65535 ) ;
			RGB_Magenta2_Wide = new TWide_RGB( 61166, 0, 61166, 65535 ) ;
			RGB_Magenta3_Wide = new TWide_RGB( 52685, 0, 52685, 65535 ) ;
			RGB_Magenta4_Wide = new TWide_RGB( 35723, 0, 35723, 65535 ) ;
			RGB_Manganese_Blue_Wide = new TWide_RGB( 768, 43008, 40448, 65535 ) ;
			RGB_Maroon_Wide = new TWide_RGB( 45232, 12336, 24672, 65535 ) ;
			RGB_Maroon1_Wide = new TWide_RGB( 65535, 13364, 46003, 65535 ) ;
			RGB_Maroon2_Wide = new TWide_RGB( 61166, 12336, 42919, 65535 ) ;
			RGB_Maroon3_Wide = new TWide_RGB( 52685, 10537, 37008, 65535 ) ;
			RGB_Maroon4_Wide = new TWide_RGB( 35723, 7196, 25186, 65535 ) ;
			RGB_Medium_Aquamarine_Wide = new TWide_RGB( 26214, 52685, 43690, 65535 ) ;
			RGB_Medium_Blue_Wide = new TWide_RGB( 0, 0, 52685, 65535 ) ;
			RGB_Medium_Forest_Green_Wide = new TWide_RGB( 27392, 36352, 8960, 65535 ) ;
			RGB_Medium_Goldenrod_Wide = new TWide_RGB( 65535, 48494, 14417, 65535 ) ;
			RGB_Medium_Orchid_Wide = new TWide_RGB( 47802, 21845, 54227, 65535 ) ;
			RGB_Medium_Orchid1_Wide = new TWide_RGB( 57568, 26214, 65535, 65535 ) ;
			RGB_Medium_Orchid2_Wide = new TWide_RGB( 53713, 24415, 61166, 65535 ) ;
			RGB_Medium_Orchid3_Wide = new TWide_RGB( 46260, 21074, 52685, 65535 ) ;
			RGB_Medium_Orchid4_Wide = new TWide_RGB( 31354, 14135, 35723, 65535 ) ;
			RGB_Medium_Purple_Wide = new TWide_RGB( 37779, 28784, 56283, 65535 ) ;
			RGB_Medium_Purple1_Wide = new TWide_RGB( 43947, 33410, 65535, 65535 ) ;
			RGB_Medium_Purple2_Wide = new TWide_RGB( 40863, 31097, 61166, 65535 ) ;
			RGB_Medium_Purple3_Wide = new TWide_RGB( 35209, 26728, 52685, 65535 ) ;
			RGB_Medium_Purple4_Wide = new TWide_RGB( 23901, 18247, 35723, 65535 ) ;
			RGB_Medium_Sea_Green_Wide = new TWide_RGB( 15420, 46003, 29041, 65535 ) ;
			RGB_Medium_Slate_Blue_Wide = new TWide_RGB( 31611, 26728, 61166, 65535 ) ;
			RGB_Medium_Spring_Green_Wide = new TWide_RGB( 0, 64250, 39578, 65535 ) ;
			RGB_Medium_Turquoise_Wide = new TWide_RGB( 18504, 53713, 52428, 65535 ) ;
			RGB_Medium_Violet_Red_Wide = new TWide_RGB( 51143, 5397, 34181, 65535 ) ;
			RGB_Melon_Wide = new TWide_RGB( 58112, 43008, 26880, 65535 ) ;
			RGB_Midnight_Blue_Wide = new TWide_RGB( 6425, 6425, 28784, 65535 ) ;
			RGB_Mint_Cream_Wide = new TWide_RGB( 62965, 65535, 64250, 65535 ) ;
			RGB_Misty_Rose_Wide = new TWide_RGB( 65535, 58596, 57825, 65535 ) ;
			RGB_Misty_Rose1_Wide = new TWide_RGB( 65535, 58596, 57825, 65535 ) ;
			RGB_Misty_Rose2_Wide = new TWide_RGB( 61166, 54741, 53970, 65535 ) ;
			RGB_Misty_Rose3_Wide = new TWide_RGB( 52685, 47031, 46517, 65535 ) ;
			RGB_Misty_Rose4_Wide = new TWide_RGB( 35723, 32125, 31611, 65535 ) ;
			RGB_Moccasin_Wide = new TWide_RGB( 65535, 58596, 46517, 65535 ) ;
			RGB_Navajo_White_Wide = new TWide_RGB( 65535, 57054, 44461, 65535 ) ;
			RGB_Navajo_White1_Wide = new TWide_RGB( 65535, 57054, 44461, 65535 ) ;
			RGB_Navajo_White2_Wide = new TWide_RGB( 61166, 53199, 41377, 65535 ) ;
			RGB_Navajo_White3_Wide = new TWide_RGB( 52685, 46003, 35723, 65535 ) ;
			RGB_Navajo_White4_Wide = new TWide_RGB( 35723, 31097, 24158, 65535 ) ;
			RGB_Navy_Wide = new TWide_RGB( 0, 0, 32896, 65535 ) ;
			RGB_Navy_Blue_Wide = new TWide_RGB( 0, 0, 32896, 65535 ) ;
			RGB_Old_Lace_Wide = new TWide_RGB( 65021, 62965, 59110, 65535 ) ;
			RGB_Olive_Drab_Wide = new TWide_RGB( 27499, 36494, 8995, 65535 ) ;
			RGB_Olive_Drab1_Wide = new TWide_RGB( 49344, 65535, 15934, 65535 ) ;
			RGB_Olive_Drab2_Wide = new TWide_RGB( 46003, 61166, 14906, 65535 ) ;
			RGB_Olive_Drab3_Wide = new TWide_RGB( 39578, 52685, 12850, 65535 ) ;
			RGB_Olive_Drab4_Wide = new TWide_RGB( 26985, 35723, 8738, 65535 ) ;
			RGB_Orange_Wide = new TWide_RGB( 65535, 42405, 0, 65535 ) ;
			RGB_Orange1_Wide = new TWide_RGB( 65535, 42405, 0, 65535 ) ;
			RGB_Orange2_Wide = new TWide_RGB( 61166, 39578, 0, 65535 ) ;
			RGB_Orange3_Wide = new TWide_RGB( 52685, 34181, 0, 65535 ) ;
			RGB_Orange4_Wide = new TWide_RGB( 35723, 23130, 0, 65535 ) ;
			RGB_Orange_Red_Wide = new TWide_RGB( 65535, 17733, 0, 65535 ) ;
			RGB_Orange_Red1_Wide = new TWide_RGB( 65535, 17733, 0, 65535 ) ;
			RGB_Orange_Red2_Wide = new TWide_RGB( 61166, 16448, 0, 65535 ) ;
			RGB_Orange_Red3_Wide = new TWide_RGB( 52685, 14135, 0, 65535 ) ;
			RGB_Orange_Red4_Wide = new TWide_RGB( 35723, 9509, 0, 65535 ) ;
			RGB_Orchid_Wide = new TWide_RGB( 56026, 28784, 54998, 65535 ) ;
			RGB_Orchid1_Wide = new TWide_RGB( 65535, 33667, 64250, 65535 ) ;
			RGB_Orchid2_Wide = new TWide_RGB( 61166, 31354, 59881, 65535 ) ;
			RGB_Orchid3_Wide = new TWide_RGB( 52685, 26985, 51657, 65535 ) ;
			RGB_Orchid4_Wide = new TWide_RGB( 35723, 18247, 35209, 65535 ) ;
			RGB_Pale_Goldenrod_Wide = new TWide_RGB( 61166, 59624, 43690, 65535 ) ;
			RGB_Pale_Green_Wide = new TWide_RGB( 39064, 64507, 39064, 65535 ) ;
			RGB_Pale_Green1_Wide = new TWide_RGB( 39578, 65535, 39578, 65535 ) ;
			RGB_Pale_Green2_Wide = new TWide_RGB( 37008, 61166, 37008, 65535 ) ;
			RGB_Pale_Green3_Wide = new TWide_RGB( 31868, 52685, 31868, 65535 ) ;
			RGB_Pale_Green4_Wide = new TWide_RGB( 21588, 35723, 21588, 65535 ) ;
			RGB_Pale_Turquoise_Wide = new TWide_RGB( 44975, 61166, 61166, 65535 ) ;
			RGB_Pale_Turquoise1_Wide = new TWide_RGB( 48059, 65535, 65535, 65535 ) ;
			RGB_Pale_Turquoise2_Wide = new TWide_RGB( 44718, 61166, 61166, 65535 ) ;
			RGB_Pale_Turquoise3_Wide = new TWide_RGB( 38550, 52685, 52685, 65535 ) ;
			RGB_Pale_Turquoise4_Wide = new TWide_RGB( 26214, 35723, 35723, 65535 ) ;
			RGB_Pale_Violet_Red_Wide = new TWide_RGB( 56283, 28784, 37779, 65535 ) ;
			RGB_Pale_Violet_Red1_Wide = new TWide_RGB( 65535, 33410, 43947, 65535 ) ;
			RGB_Pale_Violet_Red2_Wide = new TWide_RGB( 61166, 31097, 40863, 65535 ) ;
			RGB_Pale_Violet_Red3_Wide = new TWide_RGB( 52685, 26728, 35209, 65535 ) ;
			RGB_Pale_Violet_Red4_Wide = new TWide_RGB( 35723, 18247, 23901, 65535 ) ;
			RGB_Papaya_Whip_Wide = new TWide_RGB( 65535, 61423, 54741, 65535 ) ;
			RGB_Peach_Puff_Wide = new TWide_RGB( 65535, 56026, 47545, 65535 ) ;
			RGB_Peach_Puff1_Wide = new TWide_RGB( 65535, 56026, 47545, 65535 ) ;
			RGB_Peach_Puff2_Wide = new TWide_RGB( 61166, 52171, 44461, 65535 ) ;
			RGB_Peach_Puff3_Wide = new TWide_RGB( 52685, 44975, 38293, 65535 ) ;
			RGB_Peach_Puff4_Wide = new TWide_RGB( 35723, 30583, 25957, 65535 ) ;
			RGB_Peacock_Wide = new TWide_RGB( 13056, 41216, 51456, 65535 ) ;
			RGB_Peru_Wide = new TWide_RGB( 52685, 34181, 16191, 65535 ) ;
			RGB_Pink_Wide = new TWide_RGB( 65535, 49344, 52171, 65535 ) ;
			RGB_Pink1_Wide = new TWide_RGB( 65535, 46517, 50629, 65535 ) ;
			RGB_Pink2_Wide = new TWide_RGB( 61166, 43433, 47288, 65535 ) ;
			RGB_Pink3_Wide = new TWide_RGB( 52685, 37265, 40606, 65535 ) ;
			RGB_Pink4_Wide = new TWide_RGB( 35723, 25443, 27756, 65535 ) ;
			RGB_Plum_Wide = new TWide_RGB( 56797, 41120, 56797, 65535 ) ;
			RGB_Plum1_Wide = new TWide_RGB( 65535, 48059, 65535, 65535 ) ;
			RGB_Plum2_Wide = new TWide_RGB( 61166, 44718, 61166, 65535 ) ;
			RGB_Plum3_Wide = new TWide_RGB( 52685, 38550, 52685, 65535 ) ;
			RGB_Plum4_Wide = new TWide_RGB( 35723, 26214, 35723, 65535 ) ;
			RGB_Powder_Blue_Wide = new TWide_RGB( 45232, 57568, 59110, 65535 ) ;
			RGB_Puce_Wide = new TWide_RGB( 22016, 2816, 15360, 65535 ) ;
			RGB_Purple_Wide = new TWide_RGB( 41120, 8224, 61680, 65535 ) ;
			RGB_Purple1_Wide = new TWide_RGB( 39835, 12336, 65535, 65535 ) ;
			RGB_Purple2_Wide = new TWide_RGB( 37265, 11308, 61166, 65535 ) ;
			RGB_Purple3_Wide = new TWide_RGB( 32125, 9766, 52685, 65535 ) ;
			RGB_Purple4_Wide = new TWide_RGB( 21845, 6682, 35723, 65535 ) ;
			RGB_Raspberry_Wide = new TWide_RGB( 34560, 9728, 22272, 65535 ) ;
			RGB_Raw_Sienna_Wide = new TWide_RGB( 50944, 24832, 5120, 65535 ) ;
			RGB_Raw_Umber_Wide = new TWide_RGB( 29440, 18944, 4608, 65535 ) ;
			RGB_Red_Wide = new TWide_RGB( 65535, 0, 0, 65535 ) ;
			RGB_Red1_Wide = new TWide_RGB( 65535, 0, 0, 65535 ) ;
			RGB_Red2_Wide = new TWide_RGB( 61166, 0, 0, 65535 ) ;
			RGB_Red3_Wide = new TWide_RGB( 52685, 0, 0, 65535 ) ;
			RGB_Red4_Wide = new TWide_RGB( 35723, 0, 0, 65535 ) ;
			RGB_Rosy_Brown_Wide = new TWide_RGB( 48316, 36751, 36751, 65535 ) ;
			RGB_Rosy_Brown1_Wide = new TWide_RGB( 65535, 49601, 49601, 65535 ) ;
			RGB_Rosy_Brown2_Wide = new TWide_RGB( 61166, 46260, 46260, 65535 ) ;
			RGB_Rosy_Brown3_Wide = new TWide_RGB( 52685, 39835, 39835, 65535 ) ;
			RGB_Rosy_Brown4_Wide = new TWide_RGB( 35723, 26985, 26985, 65535 ) ;
			RGB_Royal_Blue_Wide = new TWide_RGB( 16705, 26985, 57825, 65535 ) ;
			RGB_Royal_Blue1_Wide = new TWide_RGB( 18504, 30326, 65535, 65535 ) ;
			RGB_Royal_Blue2_Wide = new TWide_RGB( 17219, 28270, 61166, 65535 ) ;
			RGB_Royal_Blue3_Wide = new TWide_RGB( 14906, 24415, 52685, 65535 ) ;
			RGB_Royal_Blue4_Wide = new TWide_RGB( 10023, 16448, 35723, 65535 ) ;
			RGB_Saddle_Brown_Wide = new TWide_RGB( 35723, 17733, 4883, 65535 ) ;
			RGB_Salmon_Wide = new TWide_RGB( 64250, 32896, 29298, 65535 ) ;
			RGB_Salmon1_Wide = new TWide_RGB( 65535, 35980, 26985, 65535 ) ;
			RGB_Salmon2_Wide = new TWide_RGB( 61166, 33410, 25186, 65535 ) ;
			RGB_Salmon3_Wide = new TWide_RGB( 52685, 28784, 21588, 65535 ) ;
			RGB_Salmon4_Wide = new TWide_RGB( 35723, 19532, 14649, 65535 ) ;
			RGB_Sandy_Brown_Wide = new TWide_RGB( 62708, 42148, 24672, 65535 ) ;
			RGB_Sap_Green_Wide = new TWide_RGB( 12288, 32768, 5120, 65535 ) ;
			RGB_Sea_Green_Wide = new TWide_RGB( 11822, 35723, 22359, 65535 ) ;
			RGB_Sea_Green1_Wide = new TWide_RGB( 21588, 65535, 40863, 65535 ) ;
			RGB_Sea_Green2_Wide = new TWide_RGB( 20046, 61166, 38036, 65535 ) ;
			RGB_Sea_Green3_Wide = new TWide_RGB( 17219, 52685, 32896, 65535 ) ;
			RGB_Sea_Green4_Wide = new TWide_RGB( 11822, 35723, 22359, 65535 ) ;
			RGB_Seashell_Wide = new TWide_RGB( 65535, 62965, 61166, 65535 ) ;
			RGB_Seashell1_Wide = new TWide_RGB( 65535, 62965, 61166, 65535 ) ;
			RGB_Seashell2_Wide = new TWide_RGB( 61166, 58853, 57054, 65535 ) ;
			RGB_Seashell3_Wide = new TWide_RGB( 52685, 50629, 49087, 65535 ) ;
			RGB_Seashell4_Wide = new TWide_RGB( 35723, 34438, 33410, 65535 ) ;
			RGB_Sepia_Wide = new TWide_RGB( 24064, 9728, 4608, 65535 ) ;
			RGB_Sienna_Wide = new TWide_RGB( 41120, 21074, 11565, 65535 ) ;
			RGB_Sienna1_Wide = new TWide_RGB( 65535, 33410, 18247, 65535 ) ;
			RGB_Sienna2_Wide = new TWide_RGB( 61166, 31097, 16962, 65535 ) ;
			RGB_Sienna3_Wide = new TWide_RGB( 52685, 26728, 14649, 65535 ) ;
			RGB_Sienna4_Wide = new TWide_RGB( 35723, 18247, 9766, 65535 ) ;
			RGB_Sky_Blue_Wide = new TWide_RGB( 34695, 52942, 60395, 65535 ) ;
			RGB_Sky_Blue1_Wide = new TWide_RGB( 34695, 52942, 65535, 65535 ) ;
			RGB_Sky_Blue2_Wide = new TWide_RGB( 32382, 49344, 61166, 65535 ) ;
			RGB_Sky_Blue3_Wide = new TWide_RGB( 27756, 42662, 52685, 65535 ) ;
			RGB_Sky_Blue4_Wide = new TWide_RGB( 19018, 28784, 35723, 65535 ) ;
			RGB_Slate_Blue_Wide = new TWide_RGB( 27242, 23130, 52685, 65535 ) ;
			RGB_Slate_Blue1_Wide = new TWide_RGB( 33667, 28527, 65535, 65535 ) ;
			RGB_Slate_Blue2_Wide = new TWide_RGB( 31354, 26471, 61166, 65535 ) ;
			RGB_Slate_Blue3_Wide = new TWide_RGB( 26985, 22873, 52685, 65535 ) ;
			RGB_Slate_Blue4_Wide = new TWide_RGB( 18247, 15420, 35723, 65535 ) ;
			RGB_Slate_Gray_Wide = new TWide_RGB( 28784, 32896, 37008, 65535 ) ;
			RGB_Slate_Gray1_Wide = new TWide_RGB( 50886, 58082, 65535, 65535 ) ;
			RGB_Slate_Gray2_Wide = new TWide_RGB( 47545, 54227, 61166, 65535 ) ;
			RGB_Slate_Gray3_Wide = new TWide_RGB( 40863, 46774, 52685, 65535 ) ;
			RGB_Slate_Gray4_Wide = new TWide_RGB( 27756, 31611, 35723, 65535 ) ;
			RGB_Snow_Wide = new TWide_RGB( 65535, 64250, 64250, 65535 ) ;
			RGB_Snow1_Wide = new TWide_RGB( 65535, 64250, 64250, 65535 ) ;
			RGB_Snow2_Wide = new TWide_RGB( 61166, 59881, 59881, 65535 ) ;
			RGB_Snow3_Wide = new TWide_RGB( 52685, 51657, 51657, 65535 ) ;
			RGB_Snow4_Wide = new TWide_RGB( 35723, 35209, 35209, 65535 ) ;
			RGB_Spring_green_Wide = new TWide_RGB( 0, 65535, 32639, 65535 ) ;
			RGB_Spring_Green1_Wide = new TWide_RGB( 0, 65535, 32639, 65535 ) ;
			RGB_Spring_Green2_Wide = new TWide_RGB( 0, 61166, 30326, 65535 ) ;
			RGB_Spring_Green3_Wide = new TWide_RGB( 0, 52685, 26214, 65535 ) ;
			RGB_Spring_Green4_Wide = new TWide_RGB( 0, 35723, 17733, 65535 ) ;
			RGB_Steel_Blue_Wide = new TWide_RGB( 17990, 33410, 46260, 65535 ) ;
			RGB_Steel_Blue1_Wide = new TWide_RGB( 25443, 47288, 65535, 65535 ) ;
			RGB_Steel_Blue2_Wide = new TWide_RGB( 23644, 44204, 61166, 65535 ) ;
			RGB_Steel_Blue3_Wide = new TWide_RGB( 20303, 38036, 52685, 65535 ) ;
			RGB_Steel_Blue4_Wide = new TWide_RGB( 13878, 25700, 35723, 65535 ) ;
			RGB_Tan_Wide = new TWide_RGB( 53970, 46260, 35980, 65535 ) ;
			RGB_Tan1_Wide = new TWide_RGB( 65535, 42405, 20303, 65535 ) ;
			RGB_Tan2_Wide = new TWide_RGB( 61166, 39578, 18761, 65535 ) ;
			RGB_Tan3_Wide = new TWide_RGB( 52685, 34181, 16191, 65535 ) ;
			RGB_Tan4_Wide = new TWide_RGB( 35723, 23130, 11051, 65535 ) ;
			RGB_Terre_Verte_Wide = new TWide_RGB( 0, 34048, 61184, 65535 ) ;
			RGB_Thistle_Wide = new TWide_RGB( 55512, 49087, 55512, 65535 ) ;
			RGB_Thistle1_Wide = new TWide_RGB( 65535, 57825, 65535, 65535 ) ;
			RGB_Thistle2_Wide = new TWide_RGB( 61166, 53970, 61166, 65535 ) ;
			RGB_Thistle3_Wide = new TWide_RGB( 52685, 46517, 52685, 65535 ) ;
			RGB_Thistle4_Wide = new TWide_RGB( 35723, 31611, 35723, 65535 ) ;
			RGB_Tomato_Wide = new TWide_RGB( 65535, 25443, 18247, 65535 ) ;
			RGB_Tomato1_Wide = new TWide_RGB( 65535, 25443, 18247, 65535 ) ;
			RGB_Tomato2_Wide = new TWide_RGB( 61166, 23644, 16962, 65535 ) ;
			RGB_Tomato3_Wide = new TWide_RGB( 52685, 20303, 14649, 65535 ) ;
			RGB_Tomato4_Wide = new TWide_RGB( 35723, 13878, 9766, 65535 ) ;
			RGB_Turquoise_Wide = new TWide_RGB( 16448, 57568, 53456, 65535 ) ;
			RGB_Turquoise1_Wide = new TWide_RGB( 0, 62965, 65535, 65535 ) ;
			RGB_Turquoise2_Wide = new TWide_RGB( 0, 58853, 61166, 65535 ) ;
			RGB_Turquoise3_Wide = new TWide_RGB( 0, 50629, 52685, 65535 ) ;
			RGB_Turquoise4_Wide = new TWide_RGB( 0, 34438, 35723, 65535 ) ;
			RGB_Ultramarine_Wide = new TWide_RGB( 0, 10752, 36608, 65535 ) ;
			RGB_Violet_Wide = new TWide_RGB( 61166, 33410, 61166, 65535 ) ;
			RGB_Violet_Red_Wide = new TWide_RGB( 53456, 8224, 37008, 65535 ) ;
			RGB_Violet_Red1_Wide = new TWide_RGB( 65535, 15934, 38550, 65535 ) ;
			RGB_Violet_Red2_Wide = new TWide_RGB( 61166, 14906, 35980, 65535 ) ;
			RGB_Violet_Red3_Wide = new TWide_RGB( 52685, 12850, 30840, 65535 ) ;
			RGB_Violet_Red4_Wide = new TWide_RGB( 35723, 8738, 21074, 65535 ) ;
			RGB_Vivid_Burgandy_Wide = new TWide_RGB( 40704, 7424, 13568, 65535 ) ;
			RGB_Wheat_Wide = new TWide_RGB( 62965, 57054, 46003, 65535 ) ;
			RGB_Wheat1_Wide = new TWide_RGB( 65535, 59367, 47802, 65535 ) ;
			RGB_Wheat2_Wide = new TWide_RGB( 61166, 55512, 44718, 65535 ) ;
			RGB_Wheat3_Wide = new TWide_RGB( 52685, 47802, 38550, 65535 ) ;
			RGB_Wheat4_Wide = new TWide_RGB( 35723, 32382, 26214, 65535 ) ;
			RGB_White_Wide = new TWide_RGB( 65535, 65535, 65535, 65535 ) ;
			RGB_white_Smoke_Wide = new TWide_RGB( 62965, 62965, 62965, 65535 ) ;
			RGB_Yellow_Wide = new TWide_RGB( 65535, 65535, 0, 65535 ) ;
			RGB_Yellow1_Wide = new TWide_RGB( 65535, 65535, 0, 65535 ) ;
			RGB_Yellow2_Wide = new TWide_RGB( 61166, 61166, 0, 65535 ) ;
			RGB_Yellow3_Wide = new TWide_RGB( 52685, 52685, 0, 65535 ) ;
			RGB_Yellow4_Wide = new TWide_RGB( 5723, 35723, 0, 65535 ) ;
			RGB_Yellow_Green_Wide = new TWide_RGB( 39578, 52685, 12850, 65535 ) ;

			RGB_Alice_Blue = new TRGB( 255, 248, 240, 255 ) ;
			RGB_Alice_Blue = new TRGB( 255, 248, 240, 255 ) ;
			RGB_Antique_White = new TRGB( 215, 235, 250, 255 ) ;
			RGB_Antique_White1 = new TRGB( 219, 239, 255, 255 ) ;
			RGB_Antique_White2 = new TRGB( 204, 223, 238, 255 ) ;
			RGB_Antique_White3 = new TRGB( 176, 192, 205, 255 ) ;
			RGB_Antique_White4 = new TRGB( 120, 131, 139, 255 ) ;
			RGB_Aquamarine = new TRGB( 212, 255, 127, 255 ) ;
			RGB_Aquamarine1 = new TRGB( 212, 255, 127, 255 ) ;
			RGB_Aquamarine2 = new TRGB( 198, 238, 118, 255 ) ;
			RGB_Aquamarine3 = new TRGB( 170, 205, 102, 255 ) ;
			RGB_Aquamarine4 = new TRGB( 116, 139, 69, 255 ) ;
			RGB_Azure = new TRGB( 255, 255, 240, 255 ) ;
			RGB_Azure1 = new TRGB( 255, 255, 240, 255 ) ;
			RGB_Azure2 = new TRGB( 238, 238, 224, 255 ) ;
			RGB_Azure3 = new TRGB( 205, 205, 193, 255 ) ;
			RGB_Azure4 = new TRGB( 139, 139, 131, 255 ) ;
			RGB_Banana = new TRGB( 87, 207, 227, 255 ) ;
			RGB_Beige = new TRGB( 220, 245, 245, 255 ) ;
			RGB_Bisque = new TRGB( 196, 228, 255, 255 ) ;
			RGB_Bisque1 = new TRGB( 196, 228, 255, 255 ) ;
			RGB_Bisque2 = new TRGB( 183, 213, 238, 255 ) ;
			RGB_Bisque3 = new TRGB( 158, 183, 205, 255 ) ;
			RGB_Bisque4 = new TRGB( 107, 125, 139, 255 ) ;
			RGB_Black = new TRGB( 0, 0, 0, 255 ) ;
			RGB_Blanched_Almond = new TRGB( 205, 235, 255, 255 ) ;
			RGB_Blue = new TRGB( 255, 0, 0, 255 ) ;
			RGB_Blue1 = new TRGB( 255, 0, 0, 255 ) ;
			RGB_Blue2 = new TRGB( 238, 0, 0, 255 ) ;
			RGB_Blue3 = new TRGB( 205, 0, 0, 255 ) ;
			RGB_Blue4 = new TRGB( 139, 0, 0, 255 ) ;
			RGB_Blue_Violet = new TRGB( 226, 43, 138, 255 ) ;
			RGB_Brick = new TRGB( 31, 102, 156, 255 ) ;
			RGB_Brown = new TRGB( 42, 42, 165, 255 ) ;
			RGB_Brown1 = new TRGB( 64, 64, 255, 255 ) ;
			RGB_Brown2 = new TRGB( 59, 59, 238, 255 ) ;
			RGB_Brown3 = new TRGB( 51, 51, 205, 255 ) ;
			RGB_Brown4 = new TRGB( 35, 35, 139, 255 ) ;
			RGB_Burgandy = new TRGB( 32, 0, 128, 255 ) ;
			RGB_Burlywood = new TRGB( 135, 184, 222, 255 ) ;
			RGB_Burlywood1 = new TRGB( 155, 211, 255, 255 ) ;
			RGB_Burlywood2 = new TRGB( 145, 197, 238, 255 ) ;
			RGB_Burlywood3 = new TRGB( 125, 170, 205, 255 ) ;
			RGB_Burlywood4 = new TRGB( 85, 115, 139, 255 ) ;
			RGB_Burnt_Sienna = new TRGB( 15, 54, 138, 255 ) ;
			RGB_Burnt_Umber = new TRGB( 36, 51, 138, 255 ) ;
			RGB_Cadet_Blue = new TRGB( 160, 158, 95, 255 ) ;
			RGB_Cadet_Blue1 = new TRGB( 255, 245, 152, 255 ) ;
			RGB_Cadet_Blue2 = new TRGB( 238, 229, 142, 255 ) ;
			RGB_Cadet_Blue3 = new TRGB( 205, 197, 122, 255 ) ;
			RGB_Cadet_Blue4 = new TRGB( 139, 134, 83, 255 ) ;
			RGB_Cadmium_Orange = new TRGB( 3, 97, 255, 255 ) ;
			RGB_Cadmium_Red = new TRGB( 125, 49, 0, 255 ) ;
			RGB_Cadmium_Yellow = new TRGB( 18, 153, 255, 255 ) ;
			RGB_Chartreuse = new TRGB( 0, 255, 127, 255 ) ;
			RGB_Chartreuse1 = new TRGB( 0, 255, 127, 255 ) ;
			RGB_Chartreuse2 = new TRGB( 0, 238, 118, 255 ) ;
			RGB_Chartreuse3 = new TRGB( 0, 205, 102, 255 ) ;
			RGB_Chartreuse4 = new TRGB( 0, 139, 69, 255 ) ;
			RGB_Chocolate = new TRGB( 30, 105, 210, 255 ) ;
			RGB_Chocolate1 = new TRGB( 36, 127, 255, 255 ) ;
			RGB_Chocolate2 = new TRGB( 33, 118, 238, 255 ) ;
			RGB_Chocolate3 = new TRGB( 29, 102, 205, 255 ) ;
			RGB_Chocolate4 = new TRGB( 19, 69, 139, 255 ) ;
			RGB_Cobalt = new TRGB( 171, 89, 61, 255 ) ;
			RGB_Cobalt_Green = new TRGB( 64, 145, 61, 255 ) ;
			RGB_Coral = new TRGB( 80, 127, 255, 255 ) ;
			RGB_Coral1 = new TRGB( 86, 114, 255, 255 ) ;
			RGB_Coral2 = new TRGB( 80, 106, 238, 255 ) ;
			RGB_Coral3 = new TRGB( 69, 91, 205, 255 ) ;
			RGB_Coral4 = new TRGB( 47, 62, 139, 255 ) ;
			RGB_Cornflower_Blue = new TRGB( 237, 149, 100, 255 ) ;
			RGB_Cornsilk = new TRGB( 220, 248, 255, 255 ) ;
			RGB_Cornsilk1 = new TRGB( 220, 248, 255, 255 ) ;
			RGB_Cornsilk2 = new TRGB( 205, 232, 238, 255 ) ;
			RGB_Cornsilk3 = new TRGB( 177, 200, 205, 255 ) ;
			RGB_Cornsilk4 = new TRGB( 120, 136, 139, 255 ) ;
			RGB_Crimson = new TRGB( 60, 20, 220, 255 ) ;
			RGB_Cyan = new TRGB( 255, 255, 0, 255 ) ;
			RGB_Cyan1 = new TRGB( 255, 255, 0, 255 ) ;
			RGB_Cyan2 = new TRGB( 238, 238, 0, 255 ) ;
			RGB_Cyan3 = new TRGB( 205, 205, 0, 255 ) ;
			RGB_Cyan4 = new TRGB( 139, 139, 0, 255 ) ;
			RGB_Dark_Goldenrod = new TRGB( 11, 134, 184, 255 ) ;
			RGB_Dark_Goldenrod1 = new TRGB( 15, 185, 255, 255 ) ;
			RGB_Dark_Goldenrod2 = new TRGB( 14, 173, 238, 255 ) ;
			RGB_Dark_Goldenrod3 = new TRGB( 12, 149, 205, 255 ) ;
			RGB_Dark_Goldenrod4 = new TRGB( 8, 101, 139, 255 ) ;
			RGB_Dark_Gray = new TRGB( 105, 105, 105, 255 ) ;
			RGB_Dark_Green = new TRGB( 0, 100, 0, 255 ) ;
			RGB_Dark_Khaki = new TRGB( 107, 183, 189, 255 ) ;
			RGB_Dark_Olive_Green = new TRGB( 47, 107, 85, 255 ) ;
			RGB_Dark_Olive_Green1 = new TRGB( 112, 255, 202, 255 ) ;
			RGB_Dark_Olive_Green2 = new TRGB( 104, 238, 188, 255 ) ;
			RGB_Dark_Olive_Green3 = new TRGB( 90, 205, 162, 255 ) ;
			RGB_Dark_Olive_Green4 = new TRGB( 61, 139, 110, 255 ) ;
			RGB_Dark_Orange = new TRGB( 0, 140, 255, 255 ) ;
			RGB_Dark_Orange1 = new TRGB( 0, 127, 255, 255 ) ;
			RGB_Dark_Orange2 = new TRGB( 0, 118, 238, 255 ) ;
			RGB_Dark_Orange3 = new TRGB( 0, 102, 205, 255 ) ;
			RGB_Dark_Orange4 = new TRGB( 0, 69, 139, 255 ) ;
			RGB_Dark_Orchid = new TRGB( 204, 50, 153, 255 ) ;
			RGB_Dark_Orchid1 = new TRGB( 255, 62, 191, 255 ) ;
			RGB_Dark_Orchid2 = new TRGB( 238, 58, 178, 255 ) ;
			RGB_Dark_Orchid3 = new TRGB( 205, 50, 154, 255 ) ;
			RGB_Dark_Orchid4 = new TRGB( 139, 34, 104, 255 ) ;
			RGB_Dark_Purple = new TRGB( 120, 16, 80, 255 ) ;
			RGB_Dark_Salmon = new TRGB( 122, 150, 233, 255 ) ;
			RGB_Dark_Sea_Green = new TRGB( 143, 188, 143, 255 ) ;
			RGB_Dark_Sea_Green1 = new TRGB( 193, 255, 193, 255 ) ;
			RGB_Dark_Sea_Green2 = new TRGB( 180, 238, 180, 255 ) ;
			RGB_Dark_Sea_Green3 = new TRGB( 155, 205, 155, 255 ) ;
			RGB_Dark_Sea_Green4 = new TRGB( 105, 139, 105, 255 ) ;
			RGB_Dark_Slate_Blue = new TRGB( 139, 61, 72, 255 ) ;
			RGB_Dark_Slate_Gray = new TRGB( 79, 79, 47, 255 ) ;
			RGB_Dark_Slate_Gray1 = new TRGB( 255, 255, 151, 255 ) ;
			RGB_Dark_Slate_Gray2 = new TRGB( 238, 238, 141, 255 ) ;
			RGB_Dark_Slate_Gray3 = new TRGB( 205, 205, 121, 255 ) ;
			RGB_Dark_Slate_Gray4 = new TRGB( 139, 139, 82, 255 ) ;
			RGB_Dark_Turquoise = new TRGB( 209, 206, 0, 255 ) ;
			RGB_Dark_Violet = new TRGB( 211, 0, 148, 255 ) ;
			RGB_Deep_Pink = new TRGB( 147, 20, 255, 255 ) ;
			RGB_Deep_Pink1 = new TRGB( 147, 20, 255, 255 ) ;
			RGB_Deep_Pink2 = new TRGB( 137, 18, 238, 255 ) ;
			RGB_Deep_Pink3 = new TRGB( 118, 16, 205, 255 ) ;
			RGB_Deep_Pink4 = new TRGB( 80, 10, 139, 255 ) ;
			RGB_Deep_Sky_Blue = new TRGB( 255, 191, 0, 255 ) ;
			RGB_Deep_Sky_Blue1 = new TRGB( 255, 191, 0, 255 ) ;
			RGB_Deep_Sky_Blue2 = new TRGB( 238, 178, 0, 255 ) ;
			RGB_Deep_Sky_Blue3 = new TRGB( 205, 154, 0, 255 ) ;
			RGB_Deep_Sky_Blue4 = new TRGB( 139, 104, 0, 255 ) ;
			RGB_Dim_Gray = new TRGB( 105, 105, 105, 255 ) ;
			RGB_Dodger_Blue = new TRGB( 255, 144, 30, 255 ) ;
			RGB_Dodger_Blue1 = new TRGB( 255, 144, 30, 255 ) ;
			RGB_Dodger_Blue2 = new TRGB( 238, 134, 28, 255 ) ;
			RGB_Dodger_Blue3 = new TRGB( 205, 116, 24, 255 ) ;
			RGB_Dodger_Blue4 = new TRGB( 139, 78, 16, 255 ) ;
			RGB_Eggshell = new TRGB( 201, 230, 201, 255 ) ;
			RGB_Emerald_Green = new TRGB( 87, 201, 0, 255 ) ;
			RGB_Fire_Brick = new TRGB( 34, 34, 178, 255 ) ;
			RGB_Fire_Brick1 = new TRGB( 48, 48, 255, 255 ) ;
			RGB_Fire_Brick2 = new TRGB( 44, 44, 238, 255 ) ;
			RGB_Fire_Brick3 = new TRGB( 38, 38, 205, 255 ) ;
			RGB_Fire_Brick4 = new TRGB( 26, 26, 139, 255 ) ;
			RGB_Floral_White = new TRGB( 240, 250, 255, 255 ) ;
			RGB_Forest_Green = new TRGB( 34, 139, 34, 255 ) ;
			RGB_Gainsboro = new TRGB( 220, 220, 220, 255 ) ;
			RGB_Ghost_white = new TRGB( 255, 248, 248, 255 ) ;
			RGB_Gold = new TRGB( 0, 215, 255, 255 ) ;
			RGB_Gold1 = new TRGB( 0, 215, 255, 255 ) ;
			RGB_Gold2 = new TRGB( 0, 201, 238, 255 ) ;
			RGB_Gold3 = new TRGB( 0, 173, 205, 255 ) ;
			RGB_Gold4 = new TRGB( 0, 117, 139, 255 ) ;
			RGB_Goldenrod = new TRGB( 32, 165, 218, 255 ) ;
			RGB_Goldenrod1 = new TRGB( 37, 193, 255, 255 ) ;
			RGB_Goldenrod2 = new TRGB( 34, 180, 238, 255 ) ;
			RGB_Goldenrod3 = new TRGB( 29, 155, 205, 255 ) ;
			RGB_Goldenrod4 = new TRGB( 20, 105, 139, 255 ) ;
			RGB_Gray = new TRGB( 192, 192, 192, 255 ) ;
			RGB_Gray0 = new TRGB( 0, 0, 0, 255 ) ;
			RGB_Gray1 = new TRGB( 3, 3, 3, 255 ) ;
			RGB_Gray2 = new TRGB( 5, 5, 5, 255 ) ;
			RGB_Gray3 = new TRGB( 8, 8, 8, 255 ) ;
			RGB_Gray4 = new TRGB( 10, 10, 10, 255 ) ;
			RGB_Gray5 = new TRGB( 13, 13, 13, 255 ) ;
			RGB_Gray6 = new TRGB( 15, 15, 15, 255 ) ;
			RGB_Gray7 = new TRGB( 18, 18, 18, 255 ) ;
			RGB_Gray8 = new TRGB( 20, 20, 20, 255 ) ;
			RGB_Gray9 = new TRGB( 23, 23, 23, 255 ) ;
			RGB_Gray10 = new TRGB( 26, 26, 26, 255 ) ;
			RGB_Gray11 = new TRGB( 28, 28, 28, 255 ) ;
			RGB_Gray12 = new TRGB( 31, 31, 31, 255 ) ;
			RGB_Gray13 = new TRGB( 33, 33, 33, 255 ) ;
			RGB_Gray14 = new TRGB( 36, 36, 36, 255 ) ;
			RGB_Gray15 = new TRGB( 38, 38, 38, 255 ) ;
			RGB_Gray16 = new TRGB( 41, 41, 41, 255 ) ;
			RGB_Gray17 = new TRGB( 43, 43, 43, 255 ) ;
			RGB_Gray18 = new TRGB( 46, 46, 46, 255 ) ;
			RGB_Gray19 = new TRGB( 48, 48, 48, 255 ) ;
			RGB_Gray20 = new TRGB( 51, 51, 51, 255 ) ;
			RGB_Gray21 = new TRGB( 54, 54, 54, 255 ) ;
			RGB_Gray22 = new TRGB( 56, 56, 56, 255 ) ;
			RGB_Gray23 = new TRGB( 59, 59, 59, 255 ) ;
			RGB_Gray24 = new TRGB( 61, 61, 61, 255 ) ;
			RGB_Gray25 = new TRGB( 64, 64, 64, 255 ) ;
			RGB_Gray26 = new TRGB( 66, 66, 66, 255 ) ;
			RGB_Gray27 = new TRGB( 69, 69, 69, 255 ) ;
			RGB_Gray28 = new TRGB( 71, 71, 71, 255 ) ;
			RGB_Gray29 = new TRGB( 74, 74, 74, 255 ) ;
			RGB_Gray30 = new TRGB( 77, 77, 77, 255 ) ;
			RGB_Gray31 = new TRGB( 79, 79, 79, 255 ) ;
			RGB_Gray32 = new TRGB( 82, 82, 82, 255 ) ;
			RGB_Gray33 = new TRGB( 84, 84, 84, 255 ) ;
			RGB_Gray34 = new TRGB( 87, 87, 87, 255 ) ;
			RGB_Gray35 = new TRGB( 89, 89, 89, 255 ) ;
			RGB_Gray36 = new TRGB( 92, 92, 92, 255 ) ;
			RGB_Gray37 = new TRGB( 94, 94, 94, 255 ) ;
			RGB_Gray38 = new TRGB( 97, 97, 97, 255 ) ;
			RGB_Gray39 = new TRGB( 99, 99, 99, 255 ) ;
			RGB_Gray40 = new TRGB( 102, 102, 102, 255 ) ;
			RGB_Gray41 = new TRGB( 105, 105, 105, 255 ) ;
			RGB_Gray42 = new TRGB( 107, 107, 107, 255 ) ;
			RGB_Gray43 = new TRGB( 110, 110, 110, 255 ) ;
			RGB_Gray44 = new TRGB( 112, 112, 112, 255 ) ;
			RGB_Gray45 = new TRGB( 115, 115, 115, 255 ) ;
			RGB_Gray46 = new TRGB( 117, 117, 117, 255 ) ;
			RGB_Gray47 = new TRGB( 120, 120, 120, 255 ) ;
			RGB_Gray48 = new TRGB( 122, 122, 122, 255 ) ;
			RGB_Gray49 = new TRGB( 125, 125, 125, 255 ) ;
			RGB_Gray50 = new TRGB( 127, 127, 127, 255 ) ;
			RGB_Gray51 = new TRGB( 130, 130, 130, 255 ) ;
			RGB_Gray52 = new TRGB( 133, 133, 133, 255 ) ;
			RGB_Gray53 = new TRGB( 135, 135, 135, 255 ) ;
			RGB_Gray54 = new TRGB( 138, 138, 138, 255 ) ;
			RGB_Gray55 = new TRGB( 140, 140, 140, 255 ) ;
			RGB_Gray56 = new TRGB( 143, 143, 143, 255 ) ;
			RGB_Gray57 = new TRGB( 145, 145, 145, 255 ) ;
			RGB_Gray58 = new TRGB( 148, 148, 148, 255 ) ;
			RGB_Gray59 = new TRGB( 150, 150, 150, 255 ) ;
			RGB_Gray60 = new TRGB( 153, 153, 153, 255 ) ;
			RGB_Gray61 = new TRGB( 156, 156, 156, 255 ) ;
			RGB_Gray62 = new TRGB( 158, 158, 158, 255 ) ;
			RGB_Gray63 = new TRGB( 161, 161, 161, 255 ) ;
			RGB_Gray64 = new TRGB( 163, 163, 163, 255 ) ;
			RGB_Gray65 = new TRGB( 166, 166, 166, 255 ) ;
			RGB_Gray66 = new TRGB( 168, 168, 168, 255 ) ;
			RGB_Gray67 = new TRGB( 171, 171, 171, 255 ) ;
			RGB_Gray68 = new TRGB( 173, 173, 173, 255 ) ;
			RGB_Gray69 = new TRGB( 176, 176, 176, 255 ) ;
			RGB_Gray70 = new TRGB( 179, 179, 179, 255 ) ;
			RGB_Gray71 = new TRGB( 181, 181, 181, 255 ) ;
			RGB_Gray72 = new TRGB( 184, 184, 184, 255 ) ;
			RGB_Gray73 = new TRGB( 186, 186, 186, 255 ) ;
			RGB_Gray74 = new TRGB( 189, 189, 189, 255 ) ;
			RGB_Gray75 = new TRGB( 191, 191, 191, 255 ) ;
			RGB_Gray76 = new TRGB( 194, 194, 194, 255 ) ;
			RGB_Gray77 = new TRGB( 196, 196, 196, 255 ) ;
			RGB_Gray78 = new TRGB( 199, 199, 199, 255 ) ;
			RGB_Gray79 = new TRGB( 201, 201, 201, 255 ) ;
			RGB_Gray80 = new TRGB( 204, 204, 204, 255 ) ;
			RGB_Gray81 = new TRGB( 207, 207, 207, 255 ) ;
			RGB_Gray82 = new TRGB( 209, 209, 209, 255 ) ;
			RGB_Gray83 = new TRGB( 212, 212, 212, 255 ) ;
			RGB_Gray84 = new TRGB( 214, 214, 214, 255 ) ;
			RGB_Gray85 = new TRGB( 217, 217, 217, 255 ) ;
			RGB_Gray86 = new TRGB( 219, 219, 219, 255 ) ;
			RGB_Gray87 = new TRGB( 222, 222, 222, 255 ) ;
			RGB_Gray88 = new TRGB( 224, 224, 224, 255 ) ;
			RGB_Gray89 = new TRGB( 227, 227, 227, 255 ) ;
			RGB_Gray90 = new TRGB( 229, 229, 229, 255 ) ;
			RGB_Gray91 = new TRGB( 232, 232, 232, 255 ) ;
			RGB_Gray92 = new TRGB( 235, 235, 235, 255 ) ;
			RGB_Gray93 = new TRGB( 237, 237, 237, 255 ) ;
			RGB_Gray94 = new TRGB( 240, 240, 240, 255 ) ;
			RGB_Gray95 = new TRGB( 242, 242, 242, 255 ) ;
			RGB_Gray96 = new TRGB( 245, 245, 245, 255 ) ;
			RGB_Gray97 = new TRGB( 247, 247, 247, 255 ) ;
			RGB_Gray98 = new TRGB( 250, 250, 250, 255 ) ;
			RGB_Gray99 = new TRGB( 252, 252, 252, 255 ) ;
			RGB_Gray100 = new TRGB( 255, 255, 255, 255 ) ;
			RGB_Green = new TRGB( 0, 255, 0, 255 ) ;
			RGB_Green1 = new TRGB( 0, 255, 0, 255 ) ;
			RGB_Green2 = new TRGB( 0, 238, 0, 255 ) ;
			RGB_Green3 = new TRGB( 0, 205, 0, 255 ) ;
			RGB_Green4 = new TRGB( 0, 139, 0, 255 ) ;
			RGB_Green_Yellow = new TRGB( 47, 255, 173, 255 ) ;
			RGB_Honeydew = new TRGB( 240, 255, 240, 255 ) ;
			RGB_Honeydew1 = new TRGB( 240, 255, 240, 255 ) ;
			RGB_Honeydew2 = new TRGB( 224, 238, 224, 255 ) ;
			RGB_Honeydew3 = new TRGB( 193, 205, 193, 255 ) ;
			RGB_Honeydew4 = new TRGB( 131, 139, 131, 255 ) ;
			RGB_Hot_pink = new TRGB( 180, 105, 255, 255 ) ;
			RGB_Hot_Pink1 = new TRGB( 180, 110, 255, 255 ) ;
			RGB_Hot_Pink2 = new TRGB( 167, 106, 238, 255 ) ;
			RGB_Hot_Pink3 = new TRGB( 144, 96, 205, 255 ) ;
			RGB_Hot_Pink4 = new TRGB( 98, 58, 139, 255 ) ;
			RGB_Indian_Red = new TRGB( 92, 92, 205, 255 ) ;
			RGB_Indian_Red1 = new TRGB( 106, 106, 255, 255 ) ;
			RGB_Indian_Red2 = new TRGB( 99, 99, 238, 255 ) ;
			RGB_Indian_Red3 = new TRGB( 85, 85, 205, 255 ) ;
			RGB_Indian_Red4 = new TRGB( 58, 58, 139, 255 ) ;
			RGB_Ivory = new TRGB( 240, 255, 255, 255 ) ;
			RGB_Ivory1 = new TRGB( 240, 255, 255, 255 ) ;
			RGB_Ivory2 = new TRGB( 224, 238, 238, 255 ) ;
			RGB_Ivory3 = new TRGB( 193, 205, 205, 255 ) ;
			RGB_Ivory4 = new TRGB( 131, 139, 139, 255 ) ;
			RGB_Ivory_Black = new TRGB( 33, 36, 41, 255 ) ;
			RGB_Khaki = new TRGB( 140, 230, 240, 255 ) ;
			RGB_Khaki1 = new TRGB( 143, 246, 255, 255 ) ;
			RGB_Khaki2 = new TRGB( 133, 230, 238, 255 ) ;
			RGB_Khaki3 = new TRGB( 115, 198, 205, 255 ) ;
			RGB_Khaki4 = new TRGB( 78, 134, 139, 255 ) ;
			RGB_Lavender = new TRGB( 250, 230, 230, 255 ) ;
			RGB_Lavender_Blush = new TRGB( 245, 240, 255, 255 ) ;
			RGB_Lavender_Blush1 = new TRGB( 245, 240, 255, 255 ) ;
			RGB_Lavender_Blush2 = new TRGB( 229, 224, 238, 255 ) ;
			RGB_Lavender_Blush3 = new TRGB( 197, 193, 205, 255 ) ;
			RGB_Lavender_Blush4 = new TRGB( 134, 131, 139, 255 ) ;
			RGB_Lawn_Green = new TRGB( 0, 252, 124, 255 ) ;
			RGB_Lemon_Chiffon = new TRGB( 205, 250, 255, 255 ) ;
			RGB_Lemon_Chiffon1 = new TRGB( 205, 250, 255, 255 ) ;
			RGB_Lemon_Chiffon2 = new TRGB( 191, 233, 238, 255 ) ;
			RGB_Lemon_Chiffon3 = new TRGB( 165, 201, 205, 255 ) ;
			RGB_Lemon_Chiffon4 = new TRGB( 112, 137, 139, 255 ) ;
			RGB_Light_Blue = new TRGB( 230, 216, 173, 255 ) ;
			RGB_Light_Blue1 = new TRGB( 255, 239, 191, 255 ) ;
			RGB_Light_Blue2 = new TRGB( 238, 223, 178, 255 ) ;
			RGB_Light_Blue3 = new TRGB( 205, 192, 154, 255 ) ;
			RGB_Light_Blue4 = new TRGB( 139, 131, 104, 255 ) ;
			RGB_Light_Coral = new TRGB( 128, 128, 240, 255 ) ;
			RGB_Light_Cyan = new TRGB( 255, 255, 224, 255 ) ;
			RGB_Light_Cyan1 = new TRGB( 255, 255, 224, 255 ) ;
			RGB_Light_Cyan2 = new TRGB( 238, 238, 209, 255 ) ;
			RGB_Light_Cyan3 = new TRGB( 205, 205, 180, 255 ) ;
			RGB_Light_Cyan4 = new TRGB( 139, 139, 122, 255 ) ;
			RGB_Light_Goldenrod = new TRGB( 130, 221, 238, 255 ) ;
			RGB_Light_Goldenrod1 = new TRGB( 139, 236, 255, 255 ) ;
			RGB_Light_Goldenrod2 = new TRGB( 130, 220, 238, 255 ) ;
			RGB_Light_Goldenrod3 = new TRGB( 112, 190, 205, 255 ) ;
			RGB_Light_Goldenrod4 = new TRGB( 76, 129, 139, 255 ) ;
			RGB_Light_Goldenrod_Yellow = new TRGB( 210, 250, 250, 255 ) ;
			RGB_Light_Gray = new TRGB( 211, 211, 211, 255 ) ;
			RGB_Light_Pink = new TRGB( 193, 182, 255, 255 ) ;
			RGB_Light_Pink1 = new TRGB( 185, 174, 255, 255 ) ;
			RGB_Light_Pink2 = new TRGB( 173, 162, 238, 255 ) ;
			RGB_Light_Pink3 = new TRGB( 149, 140, 205, 255 ) ;
			RGB_Light_Pink4 = new TRGB( 101, 95, 139, 255 ) ;
			RGB_Light_Salmon = new TRGB( 122, 160, 255, 255 ) ;
			RGB_Light_Salmon1 = new TRGB( 122, 160, 255, 255 ) ;
			RGB_Light_Salmon2 = new TRGB( 114, 149, 238, 255 ) ;
			RGB_Light_Salmon3 = new TRGB( 98, 129, 205, 255 ) ;
			RGB_Light_Salmon4 = new TRGB( 66, 87, 139, 255 ) ;
			RGB_Light_Sea_Green = new TRGB( 170, 178, 32, 255 ) ;
			RGB_Light_Sky_Blue = new TRGB( 250, 206, 135, 255 ) ;
			RGB_Light_Sky_Blue1 = new TRGB( 255, 226, 176, 255 ) ;
			RGB_Light_Sky_Blue2 = new TRGB( 238, 211, 164, 255 ) ;
			RGB_Light_Sky_Blue3 = new TRGB( 205, 182, 141, 255 ) ;
			RGB_Light_Sky_Blue4 = new TRGB( 139, 123, 96, 255 ) ;
			RGB_Light_Slate_Blue = new TRGB( 255, 112, 132, 255 ) ;
			RGB_Light_Slate_Gray = new TRGB( 153, 136, 119, 255 ) ;
			RGB_Light_Steel_blue = new TRGB( 222, 196, 176, 255 ) ;
			RGB_Light_Steel_Blue1 = new TRGB( 255, 225, 202, 255 ) ;
			RGB_Light_Steel_Blue2 = new TRGB( 238, 210, 188, 255 ) ;
			RGB_Light_Steel_Blue3 = new TRGB( 205, 181, 162, 255 ) ;
			RGB_Light_Steel_Blue4 = new TRGB( 139, 123, 110, 255 ) ;
			RGB_Light_Yellow = new TRGB( 224, 255, 255, 255 ) ;
			RGB_Light_Yellow1 = new TRGB( 224, 255, 255, 255 ) ;
			RGB_Light_Yellow2 = new TRGB( 209, 238, 238, 255 ) ;
			RGB_Light_Yellow3 = new TRGB( 180, 205, 205, 255 ) ;
			RGB_Light_Yellow4 = new TRGB( 122, 139, 139, 255 ) ;
			RGB_Lime_Green = new TRGB( 50, 205, 50, 255 ) ;
			RGB_Linen = new TRGB( 230, 240, 250, 255 ) ;
			RGB_Magenta = new TRGB( 255, 0, 255, 255 ) ;
			RGB_Magenta1 = new TRGB( 255, 0, 255, 255 ) ;
			RGB_Magenta2 = new TRGB( 238, 0, 238, 255 ) ;
			RGB_Magenta3 = new TRGB( 205, 0, 205, 255 ) ;
			RGB_Magenta4 = new TRGB( 139, 0, 139, 255 ) ;
			RGB_Manganese_Blue = new TRGB( 158, 168, 3, 255 ) ;
			RGB_Maroon = new TRGB( 96, 48, 176, 255 ) ;
			RGB_Maroon1 = new TRGB( 179, 52, 255, 255 ) ;
			RGB_Maroon2 = new TRGB( 167, 48, 238, 255 ) ;
			RGB_Maroon3 = new TRGB( 144, 41, 205, 255 ) ;
			RGB_Maroon4 = new TRGB( 98, 28, 139, 255 ) ;
			RGB_Medium_Aquamarine = new TRGB( 170, 205, 102, 255 ) ;
			RGB_Medium_Blue = new TRGB( 205, 0, 0, 255 ) ;
			RGB_Medium_Forest_Green = new TRGB( 35, 142, 107, 255 ) ;
			RGB_Medium_Goldenrod = new TRGB( 56, 189, 255, 255 ) ;
			RGB_Medium_Orchid = new TRGB( 211, 85, 186, 255 ) ;
			RGB_Medium_Orchid1 = new TRGB( 255, 102, 224, 255 ) ;
			RGB_Medium_Orchid2 = new TRGB( 238, 95, 209, 255 ) ;
			RGB_Medium_Orchid3 = new TRGB( 205, 82, 180, 255 ) ;
			RGB_Medium_Orchid4 = new TRGB( 139, 55, 122, 255 ) ;
			RGB_Medium_Purple = new TRGB( 219, 112, 147, 255 ) ;
			RGB_Medium_Purple1 = new TRGB( 255, 130, 171, 255 ) ;
			RGB_Medium_Purple2 = new TRGB( 238, 121, 159, 255 ) ;
			RGB_Medium_Purple3 = new TRGB( 205, 104, 137, 255 ) ;
			RGB_Medium_Purple4 = new TRGB( 139, 71, 93, 255 ) ;
			RGB_Medium_Sea_Green = new TRGB( 113, 179, 60, 255 ) ;
			RGB_Medium_Slate_Blue = new TRGB( 238, 104, 123, 255 ) ;
			RGB_Medium_Spring_Green = new TRGB( 154, 250, 0, 255 ) ;
			RGB_Medium_Turquoise = new TRGB( 204, 209, 72, 255 ) ;
			RGB_Medium_Violet_Red = new TRGB( 133, 21, 199, 255 ) ;
			RGB_Melon = new TRGB( 105, 168, 227, 255 ) ;
			RGB_Midnight_Blue = new TRGB( 112, 25, 25, 255 ) ;
			RGB_Mint_Cream = new TRGB( 250, 255, 245, 255 ) ;
			RGB_Misty_Rose = new TRGB( 225, 228, 255, 255 ) ;
			RGB_Misty_Rose1 = new TRGB( 225, 228, 255, 255 ) ;
			RGB_Misty_Rose2 = new TRGB( 210, 213, 238, 255 ) ;
			RGB_Misty_Rose3 = new TRGB( 181, 183, 205, 255 ) ;
			RGB_Misty_Rose4 = new TRGB( 123, 125, 139, 255 ) ;
			RGB_Moccasin = new TRGB( 181, 228, 255, 255 ) ;
			RGB_Navajo_White = new TRGB( 173, 222, 255, 255 ) ;
			RGB_Navajo_White1 = new TRGB( 173, 222, 255, 255 ) ;
			RGB_Navajo_White2 = new TRGB( 161, 207, 238, 255 ) ;
			RGB_Navajo_White3 = new TRGB( 139, 179, 205, 255 ) ;
			RGB_Navajo_White4 = new TRGB( 94, 121, 139, 255 ) ;
			RGB_Navy = new TRGB( 128, 0, 0, 255 ) ;
			RGB_Navy_Blue = new TRGB( 128, 0, 0, 255 ) ;
			RGB_Old_Lace = new TRGB( 230, 245, 253, 255 ) ;
			RGB_Olive_Drab = new TRGB( 35, 142, 107, 255 ) ;
			RGB_Olive_Drab1 = new TRGB( 62, 255, 192, 255 ) ;
			RGB_Olive_Drab2 = new TRGB( 58, 238, 179, 255 ) ;
			RGB_Olive_Drab3 = new TRGB( 50, 205, 154, 255 ) ;
			RGB_Olive_Drab4 = new TRGB( 34, 139, 105, 255 ) ;
			RGB_Orange = new TRGB( 0, 165, 255, 255 ) ;
			RGB_Orange1 = new TRGB( 0, 165, 255, 255 ) ;
			RGB_Orange2 = new TRGB( 0, 154, 238, 255 ) ;
			RGB_Orange3 = new TRGB( 0, 133, 205, 255 ) ;
			RGB_Orange4 = new TRGB( 0, 90, 139, 255 ) ;
			RGB_Orange_Red = new TRGB( 0, 69, 255, 255 ) ;
			RGB_Orange_Red1 = new TRGB( 0, 69, 255, 255 ) ;
			RGB_Orange_Red2 = new TRGB( 0, 64, 238, 255 ) ;
			RGB_Orange_Red3 = new TRGB( 0, 55, 205, 255 ) ;
			RGB_Orange_Red4 = new TRGB( 0, 37, 139, 255 ) ;
			RGB_Orchid = new TRGB( 214, 112, 218, 255 ) ;
			RGB_Orchid1 = new TRGB( 250, 131, 255, 255 ) ;
			RGB_Orchid2 = new TRGB( 233, 122, 238, 255 ) ;
			RGB_Orchid3 = new TRGB( 201, 105, 205, 255 ) ;
			RGB_Orchid4 = new TRGB( 137, 71, 139, 255 ) ;
			RGB_Pale_Goldenrod = new TRGB( 170, 232, 238, 255 ) ;
			RGB_Pale_Green = new TRGB( 152, 251, 152, 255 ) ;
			RGB_Pale_Green1 = new TRGB( 154, 255, 154, 255 ) ;
			RGB_Pale_Green2 = new TRGB( 144, 238, 144, 255 ) ;
			RGB_Pale_Green3 = new TRGB( 124, 205, 124, 255 ) ;
			RGB_Pale_Green4 = new TRGB( 84, 139, 84, 255 ) ;
			RGB_Pale_Turquoise = new TRGB( 238, 238, 175, 255 ) ;
			RGB_Pale_Turquoise1 = new TRGB( 255, 255, 187, 255 ) ;
			RGB_Pale_Turquoise2 = new TRGB( 238, 238, 174, 255 ) ;
			RGB_Pale_Turquoise3 = new TRGB( 205, 205, 150, 255 ) ;
			RGB_Pale_Turquoise4 = new TRGB( 139, 139, 102, 255 ) ;
			RGB_Pale_Violet_Red = new TRGB( 147, 112, 219, 255 ) ;
			RGB_Pale_Violet_Red1 = new TRGB( 171, 130, 255, 255 ) ;
			RGB_Pale_Violet_Red2 = new TRGB( 159, 121, 238, 255 ) ;
			RGB_Pale_Violet_Red3 = new TRGB( 137, 104, 205, 255 ) ;
			RGB_Pale_Violet_Red4 = new TRGB( 93, 71, 139, 255 ) ;
			RGB_Papaya_Whip = new TRGB( 213, 239, 255, 255 ) ;
			RGB_Peach_Puff = new TRGB( 185, 218, 255, 255 ) ;
			RGB_Peach_Puff1 = new TRGB( 185, 218, 255, 255 ) ;
			RGB_Peach_Puff2 = new TRGB( 173, 203, 238, 255 ) ;
			RGB_Peach_Puff3 = new TRGB( 149, 175, 205, 255 ) ;
			RGB_Peach_Puff4 = new TRGB( 101, 119, 139, 255 ) ;
			RGB_Peacock = new TRGB( 201, 161, 51, 255 ) ;
			RGB_Peru = new TRGB( 63, 133, 205, 255 ) ;
			RGB_Pink = new TRGB( 203, 192, 255, 255 ) ;
			RGB_Pink1 = new TRGB( 197, 181, 255, 255 ) ;
			RGB_Pink2 = new TRGB( 184, 169, 238, 255 ) ;
			RGB_Pink3 = new TRGB( 158, 145, 205, 255 ) ;
			RGB_Pink4 = new TRGB( 108, 99, 139, 255 ) ;
			RGB_Plum = new TRGB( 221, 160, 221, 255 ) ;
			RGB_Plum1 = new TRGB( 255, 187, 255, 255 ) ;
			RGB_Plum2 = new TRGB( 238, 174, 238, 255 ) ;
			RGB_Plum3 = new TRGB( 205, 150, 205, 255 ) ;
			RGB_Plum4 = new TRGB( 139, 102, 139, 255 ) ;
			RGB_Powder_Blue = new TRGB( 230, 224, 176, 255 ) ;
			RGB_Puce = new TRGB( 60, 11, 86, 255 ) ;
			RGB_Purple = new TRGB( 240, 32, 160, 255 ) ;
			RGB_Purple1 = new TRGB( 255, 48, 155, 255 ) ;
			RGB_Purple2 = new TRGB( 238, 44, 145, 255 ) ;
			RGB_Purple3 = new TRGB( 205, 38, 125, 255 ) ;
			RGB_Purple4 = new TRGB( 139, 26, 85, 255 ) ;
			RGB_Raspberry = new TRGB( 87, 38, 135, 255 ) ;
			RGB_Raw_Sienna = new TRGB( 20, 97, 199, 255 ) ;
			RGB_Raw_Umber = new TRGB( 18, 74, 115, 255 ) ;
			RGB_Red = new TRGB( 0, 0, 255, 255 ) ;
			RGB_Red1 = new TRGB( 0, 0, 255, 255 ) ;
			RGB_Red2 = new TRGB( 0, 0, 238, 255 ) ;
			RGB_Red3 = new TRGB( 0, 0, 205, 255 ) ;
			RGB_Red4 = new TRGB( 0, 0, 139, 255 ) ;
			RGB_Rosy_Brown = new TRGB( 143, 143, 188, 255 ) ;
			RGB_Rosy_Brown1 = new TRGB( 193, 193, 255, 255 ) ;
			RGB_Rosy_Brown2 = new TRGB( 180, 180, 238, 255 ) ;
			RGB_Rosy_Brown3 = new TRGB( 155, 155, 205, 255 ) ;
			RGB_Rosy_Brown4 = new TRGB( 105, 105, 139, 255 ) ;
			RGB_Royal_Blue = new TRGB( 225, 105, 65, 255 ) ;
			RGB_Royal_Blue1 = new TRGB( 255, 118, 72, 255 ) ;
			RGB_Royal_Blue2 = new TRGB( 238, 110, 67, 255 ) ;
			RGB_Royal_Blue3 = new TRGB( 205, 95, 58, 255 ) ;
			RGB_Royal_Blue4 = new TRGB( 139, 64, 39, 255 ) ;
			RGB_Saddle_Brown = new TRGB( 19, 69, 139, 255 ) ;
			RGB_Salmon = new TRGB( 114, 128, 250, 255 ) ;
			RGB_Salmon1 = new TRGB( 105, 140, 255, 255 ) ;
			RGB_Salmon2 = new TRGB( 98, 130, 238, 255 ) ;
			RGB_Salmon3 = new TRGB( 84, 112, 205, 255 ) ;
			RGB_Salmon4 = new TRGB( 57, 76, 139, 255 ) ;
			RGB_Sandy_Brown = new TRGB( 96, 164, 244, 255 ) ;
			RGB_Sap_Green = new TRGB( 20, 128, 48, 255 ) ;
			RGB_Sea_Green = new TRGB( 87, 139, 46, 255 ) ;
			RGB_Sea_Green1 = new TRGB( 159, 255, 84, 255 ) ;
			RGB_Sea_Green2 = new TRGB( 148, 238, 78, 255 ) ;
			RGB_Sea_Green3 = new TRGB( 128, 205, 67, 255 ) ;
			RGB_Sea_Green4 = new TRGB( 87, 139, 46, 255 ) ;
			RGB_Seashell = new TRGB( 238, 245, 255, 255 ) ;
			RGB_Seashell1 = new TRGB( 238, 245, 255, 255 ) ;
			RGB_Seashell2 = new TRGB( 222, 229, 238, 255 ) ;
			RGB_Seashell3 = new TRGB( 191, 197, 205, 255 ) ;
			RGB_Seashell4 = new TRGB( 130, 134, 139, 255 ) ;
			RGB_Sepia = new TRGB( 18, 38, 94, 255 ) ;
			RGB_Sienna = new TRGB( 45, 82, 160, 255 ) ;
			RGB_Sienna1 = new TRGB( 71, 130, 255, 255 ) ;
			RGB_Sienna2 = new TRGB( 66, 121, 238, 255 ) ;
			RGB_Sienna3 = new TRGB( 57, 104, 205, 255 ) ;
			RGB_Sienna4 = new TRGB( 38, 71, 139, 255 ) ;
			RGB_Sky_Blue = new TRGB( 235, 206, 135, 255 ) ;
			RGB_Sky_Blue1 = new TRGB( 255, 206, 135, 255 ) ;
			RGB_Sky_Blue2 = new TRGB( 238, 192, 126, 255 ) ;
			RGB_Sky_Blue3 = new TRGB( 205, 166, 108, 255 ) ;
			RGB_Sky_Blue4 = new TRGB( 139, 112, 74, 255 ) ;
			RGB_Slate_Blue = new TRGB( 205, 90, 106, 255 ) ;
			RGB_Slate_Blue1 = new TRGB( 255, 111, 131, 255 ) ;
			RGB_Slate_Blue2 = new TRGB( 238, 103, 122, 255 ) ;
			RGB_Slate_Blue3 = new TRGB( 205, 89, 105, 255 ) ;
			RGB_Slate_Blue4 = new TRGB( 139, 60, 71, 255 ) ;
			RGB_Slate_Gray = new TRGB( 144, 128, 112, 255 ) ;
			RGB_Slate_Gray1 = new TRGB( 255, 226, 198, 255 ) ;
			RGB_Slate_Gray2 = new TRGB( 238, 211, 185, 255 ) ;
			RGB_Slate_Gray3 = new TRGB( 205, 182, 159, 255 ) ;
			RGB_Slate_Gray4 = new TRGB( 139, 123, 108, 255 ) ;
			RGB_Snow = new TRGB( 250, 250, 255, 255 ) ;
			RGB_Snow1 = new TRGB( 250, 250, 255, 255 ) ;
			RGB_Snow2 = new TRGB( 233, 233, 238, 255 ) ;
			RGB_Snow3 = new TRGB( 201, 201, 205, 255 ) ;
			RGB_Snow4 = new TRGB( 137, 137, 139, 255 ) ;
			RGB_Spring_Green = new TRGB( 127, 255, 0, 255 ) ;
			RGB_Spring_Green1 = new TRGB( 127, 255, 0, 255 ) ;
			RGB_Spring_Green2 = new TRGB( 118, 238, 0, 255 ) ;
			RGB_Spring_Green3 = new TRGB( 102, 205, 0, 255 ) ;
			RGB_Spring_Green4 = new TRGB( 69, 139, 0, 255 ) ;
			RGB_Steel_Blue = new TRGB( 180, 130, 70, 255 ) ;
			RGB_Steel_Blue1 = new TRGB( 255, 184, 99, 255 ) ;
			RGB_Steel_Blue2 = new TRGB( 238, 172, 92, 255 ) ;
			RGB_Steel_Blue3 = new TRGB( 205, 148, 79, 255 ) ;
			RGB_Steel_Blue4 = new TRGB( 139, 100, 54, 255 ) ;
			RGB_Tan = new TRGB( 140, 180, 210, 255 ) ;
			RGB_Tan1 = new TRGB( 79, 165, 255, 255 ) ;
			RGB_Tan2 = new TRGB( 73, 154, 238, 255 ) ;
			RGB_Tan3 = new TRGB( 63, 133, 205, 255 ) ;
			RGB_Tan4 = new TRGB( 43, 90, 139, 255 ) ;
			RGB_Terre_Verte = new TRGB( 239, 133, 0, 255 ) ;
			RGB_Thistle = new TRGB( 216, 191, 216, 255 ) ;
			RGB_Thistle1 = new TRGB( 255, 225, 255, 255 ) ;
			RGB_Thistle2 = new TRGB( 238, 210, 238, 255 ) ;
			RGB_Thistle3 = new TRGB( 205, 181, 205, 255 ) ;
			RGB_Thistle4 = new TRGB( 139, 123, 139, 255 ) ;
			RGB_Tomato = new TRGB( 71, 99, 255, 255 ) ;
			RGB_Tomato1 = new TRGB( 71, 99, 255, 255 ) ;
			RGB_Tomato2 = new TRGB( 66, 92, 238, 255 ) ;
			RGB_Tomato3 = new TRGB( 57, 79, 205, 255 ) ;
			RGB_Tomato4 = new TRGB( 38, 54, 139, 255 ) ;
			RGB_Turquoise = new TRGB( 208, 224, 64, 255 ) ;
			RGB_Turquoise1 = new TRGB( 255, 245, 0, 255 ) ;
			RGB_Turquoise2 = new TRGB( 238, 229, 0, 255 ) ;
			RGB_Turquoise3 = new TRGB( 205, 197, 0, 255 ) ;
			RGB_Turquoise4 = new TRGB( 139, 134, 0, 255 ) ;
			RGB_Ultramarine = new TRGB( 143, 42, 0, 255 ) ;
			RGB_Violet = new TRGB( 238, 130, 238, 255 ) ;
			RGB_Violet_Red = new TRGB( 144, 32, 208, 255 ) ;
			RGB_Violet_Red1 = new TRGB( 150, 62, 255, 255 ) ;
			RGB_Violet_Red2 = new TRGB( 140, 58, 238, 255 ) ;
			RGB_Violet_Red3 = new TRGB( 120, 50, 205, 255 ) ;
			RGB_Violet_Red4 = new TRGB( 82, 34, 139, 255 ) ;
			RGB_Vivid_Burgandy = new TRGB( 53, 29, 159, 255 ) ;
			RGB_Wheat = new TRGB( 179, 222, 245, 255 ) ;
			RGB_Wheat1 = new TRGB( 186, 231, 255, 255 ) ;
			RGB_Wheat2 = new TRGB( 174, 216, 238, 255 ) ;
			RGB_Wheat3 = new TRGB( 150, 186, 205, 255 ) ;
			RGB_Wheat4 = new TRGB( 102, 126, 139, 255 ) ;
			RGB_White = new TRGB( 255, 255, 255, 255 ) ;
			RGB_White_Smoke = new TRGB( 245, 245, 245, 255 ) ;
			RGB_Yellow = new TRGB( 0, 255, 255, 255 ) ;
			RGB_Yellow1 = new TRGB( 0, 255, 255, 255 ) ;
			RGB_Yellow2 = new TRGB( 0, 238, 238, 255 ) ;
			RGB_Yellow3 = new TRGB( 0, 205, 205, 255 ) ;
			RGB_Yellow4 = new TRGB( 0, 139, 139, 255 ) ;
			RGB_Yellow_Green = new TRGB( 50, 205, 154, 255 ) ;
		}
	}
}
