#        Program Name : _Deferred
#        Package Name : Subroutine Library
#        Purpose      : Deferred execution support
#        Institution  : Conroy & Conroy Co.
#        Date Written : 20-Jun-2015
#        Written By   : Alan Conroy
#        Version      : 1.0
#
#	    Copyright (C) 2015-2021 by Alan Conroy.  All rights reserved.
#
#        TO THE GLORY OF GOD THROUGH JESUS CHRIST
#
#        *************************************************************
#        *                                                           *
#        *        M O D I F I C A T I O N   H I S T O R Y            *
#        *                                                           *
#        *************************************************************
#
#        DATE        BY          REASON
#
#        *************************************************************
#        *                                                           *
#        *        P R O G R A M   P U R P O S E                      *
#        *                                                           *
#        *************************************************************
#
#        The TDeferred_Execution class is used to queue up "packets" of code for
#        later execution.

from _Common import *

class TDeferred_Execution():
    def Execute( Context ):
        Abstract_Error()

class TDeferred_Manager():
    def Add( Item, Context ):
        Abstract_Error()

    def Remove( Item, Context ):
        Abstract_Error()

    def Remove_All( Item ):
        Abstract_Error()

    def Execute_Next():
        Abstract_Error()

    def Index_Of( Item, Context ):
        Abstract_Error()
        return -1
    
    def Index_Of_First( Item ):
        Abstract_Error()
        return -1
    
    def Is_Empty():
        Abstract_Error()
        return True

Deferred_Manager = None

