<?php
 /*
        Program Name : _Fonts
        Package Name : Subroutine Library - layer 1
        Purpose      : Font characteristics class
        Institution  : Conroy & Conroy Co.
        Date Written :
        Written By   : Alan Conroy
        Version      : 1.0

		Copyright (C) 2009-2021 by Alan Conroy.  All rights reserved.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
		*************************************************************
*/

#ifndef _FONTS_HPP
	#define _FONTS_HPP

require_once "CommBase.php" ; // TBase_Delphi_Object

class TRect
{
	public $Left ;
	public $Top ;
	public $Right ;
	public $Bottom ;
} ;


class TFont extends TBase_Delphi_Object
{
	abstract public function Get_Name()
	{}
	
	abstract public function Get_Italic_Amount()
	{}
	
	abstract public function Get_Bold_Amount()
	{}
	
	abstract public function Get_Italic()
	{}
	
	abstract public function Get_Bold()
	{}
	
	abstract public function Get_Size()
	{}
	
	abstract public function Set_Name( $Value )
	{}
	
	abstract public function Set_Italic_Amount( $Value )
	{}
	
	abstract public function Set_Bold_Amount( $Value )
	{}
	
	abstract public function Set_Italic( $Value )
	{}
	
	abstract public function Set_Bold( $Value )
	{}
	
	abstract public function Set_Size( $Value )
	{}

	abstract public function Baseline() // Above baseline is ascent, below is descent
	{}
	
	abstract public function Leading() // Internal leading
	{}
	
	abstract public function Draw( $Canvas, $Rect, $_Baseline, $Value )
	{}

	// Properties...
	public function Size()
	{
		return $this->Get_Size();
	}

	public function Italic_Amount()
	{
		return $this->Get_Italic_Amount();
	}

		public function Bold_Amount()
	{
		return $this->Get_Bold_Amount();
	}

	public function Italic()
	{
		return $this->Get_Italic();
	}

	public function Bold()
	{
		return $this->Get_Bold();
	}
} ; // TFont


