#        Program Name : _Fonts
#        Package Name : Subroutine Library - layer 1
#        Purpose      : Font characteristics class
#        Institution  : Conroy & Conroy Co.
#        Date Written :
#        Written By   : Alan Conroy
#        Version      : 1.0
#
#       Copyright (C) 2009-2021 by Alan Conroy.  All rights reserved.
#
#        TO THE GLORY OF GOD THROUGH JESUS CHRIST
#
#        *************************************************************
#        *                                                           *
#        *        M O D I F I C A T I O N   H I S T O R Y            *
#        *                                                           *
#        *************************************************************
#
#            DATE        BY          REASON
#
#        *************************************************************
#        *                                                           *
#        *        P R O G R A M   P U R P O S E                      *
#        *                                                           *
#        *************************************************************

from _Common import * # Abstract_Error()
from CommBase import * # TBase_Delphi_Object

class TRect():
    Left = 0
    Top = 0
    Right = 0
    Bottom = 0

class TFont( TBase_Delphi_Object ):
    def Get_Name():
        Abstract_Error()

    def Get_Italic_Amount():
        Abstract_Error()
        
    def Get_Bold_Amount():
        Abstract_Error()
        
    def Get_Italic():
        Abstract_Error()
        
    def Get_Bold():
        Abstract_Error()
        
    def Get_Size():
        Abstract_Error()
        
    def Set_Name( Value ):
        Abstract_Error()
        
    def Set_Italic_Amount( Value ):
        Abstract_Error()
        
    def Set_Bold_Amount( Value ):
        Abstract_Error()
        
    def Set_Italic( Value ):
        Abstract_Error()
        
    def Set_Bold( Value ):
        Abstract_Error()
        
    def Set_Size( Value ):
        Abstract_Error()

    def Baseline(): # Above baseline is ascent, below is descent
        Abstract_Error()
        
    def Leading(): # Internal leading
        Abstract_Error()
        
    def Draw( Context, Rect, _Baseline, Value ):
        Abstract_Error()

    # Properties...
    def Size():
        return Get_Size()

    def Italic_Amount():
        return Get_Italic_Amount()

    def Bold_Amount():
        return Get_Bold_Amount()

    def Italic():
        return Get_Italic()

    def Bold():
        return Get_Bold()
