<?php
 /*
		Program Name : _Loggers
		Package Name : Subroutine Library - Layer 1
		Purpose      : Generic logging class
		Institution  : Conroy & Conroy Co.
		Date Written : 26-April-2001
		Written By   : Alan Conroy
		Version      : 1.0B

		Copyright (C) 2001-2021 by Alan Conroy.  Released to the public domain.

		TO THE GLORY OF GOD THROUGH JESUS CHRIST

		*************************************************************
		*                                                           *
		*        M O D I F I C A T I O N   H I S T O R Y            *
		*                                                           *
		*************************************************************

			DATE        BY          REASON

		  1-Nov-2002    EAC         Fix compilation errors in BP.
		 20-Feb-2004                Convert to TSLogger.

		*************************************************************
		*                                                           *
		*        P R O G R A M   P U R P O S E                      *
		*                                                           *
		*************************************************************

	  TLogger is a generic logging interface.  Note that an integer
	Level is passed to most methods.  The only important thing is that
	the caller and responder have agreed on its meaning.
*/

require_once "CommBase.php"; // TBase_Object

const LL_Undefined = 0 ;
const LL_Fatal = 1 ;
const LL_Serious = 2 ;
const LL_Warning = 3 ;
const LL_Hint = 4 ;
const LL_Notification = 5 ;

class TSLogger extends TBase_Object
{ 
	public function Log_Message( $Mess,  $Level )
	{
		return false ;
	}


	public function Log_Nested_Message( $Mess, $Level )
	{
		return false ;
	}


	public function Unnest_Message( $Level )
	{
		return false ;
	}


	public function Check_Terminate()
	{
		return false ;
	}
} ;


class PSLogger extends TSLogger
{
} ;
