/*
        Program Name : _ObjectF
        Package Name : Subroutine Library - Layer 0
        Purpose      : Abstract Object Factory class
        Institution  : Conroy & Conroy Co.
        Date Written : 19-Feb-2005
        Written By   : Alan Conroy
        Version      : 1.0

        Copyright (C) 2005 by Alan Conroy.  Released to the public domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          TSObject_Factory is an abstract base class for classes which provide
        an indirect way of creating certain "standard" Subroutine Library
        classes.
*/

#include "_ObjectF.hpp"

// TSObject_Factory methods...

PSDynamic_Properties TSObject_Factory::Static_Dynamic_Properties()
{
    Abstract_Error() ;
    return NULL;
} ;


TCOM_Dynamic_Properties* TSObject_Factory::COM_Dynamic_Properties()
{
    Abstract_Error() ;
    return NULL;
} ;


TDynamic_Properties* TSObject_Factory::Dynamic_Properties()
{
    Abstract_Error() ;
    return NULL;
} ;


PSGeneric_Value TSObject_Factory::Static_Generic_Value()
{
    Abstract_Error() ;
    return NULL;
} ;


PSNamed_Values TSObject_Factory::Static_Named_Values()
{
    Abstract_Error() ;
    return NULL;
} ;


TCOM_Generic_Value* TSObject_Factory::COM_Generic_Value()
{
    Abstract_Error() ;
    return NULL;
} ;


TGeneric_Value* TSObject_Factory::Generic_Value()
{
    Abstract_Error() ;
    return NULL;
} ;


TCOM_Named_Values* TSObject_Factory::COM_Named_Values( string Set_Name, bool Create )
{
    Abstract_Error() ;
    return NULL;
} ;


TNamed_Values* TSObject_Factory::Named_Values( string Set_Name, bool Create )
{
    Abstract_Error() ;
    return NULL;
} ;
