/*
        Program Name : _Propert
        Package Name : Subroutine Library - Layer 0
        Purpose      : Dynamic properties definition.
        Institution  : Conroy & Conroy Co.
        Date Written : 14-February-2005
        Written By   : Alan Conroy
        Version      : 1.0

	    Copyright (C) 2005 by Alan Conroy.  Released to the Public Domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON                         

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          TDynamic_Properties is an abstract base class definition for objects
        which provide dynamic object properties.
*/

#include "_Propert.hpp"

// TSDynamic_Properties methods...

// API...

int32 TSDynamic_Properties::Add( const string Nam,
    PSGeneric_Value Value )
{
    Abstract_Error() ;
    return -1;
} ;


void TSDynamic_Properties::Clear()
{
    Abstract_Error() ;
} ;


int32 TSDynamic_Properties::Count()
{
    Abstract_Error() ;
    return 0;
} ;


int32 TSDynamic_Properties::Index_Of( const string Nam )
{
    Abstract_Error() ;
    return -1;
} ;


string TSDynamic_Properties::Get_Name( int32 Index )
{
    Abstract_Error() ;
    string s = "";
    return s;
} ;


PSGeneric_Value TSDynamic_Properties::Get_Value( int32 Index ) 
{
    Abstract_Error() ;
    return NULL;
} ;


void TSDynamic_Properties::Set_Value( int32 Index,
    PSGeneric_Value Value )
{
    Abstract_Error() ;
} ;
