/*
		Program Name : _Propert
		Package Name : Subroutine Library - Layer 0
		Purpose      : Dynamic properties definition.
		Institution  : Conroy & Conroy Co.
		Date Written : 14-February-2005
		Written By   : Alan Conroy
		Version      : 1.0

		Copyright (C) 2005 by Alan Conroy.  Released to the Public Domain.

		TO THE GLORY OF GOD THROUGH JESUS CHRIST

		*************************************************************
		*                                                           *
		*        M O D I F I C A T I O N   H I S T O R Y            *
		*                                                           *
		*************************************************************

			DATE        BY          REASON

		*************************************************************
		*                                                           *
		*        P R O G R A M   P U R P O S E                      *
		*                                                           *
		*************************************************************

		  TDynamic_Properties is an abstract base class definition for objects
		which provide dynamic object properties.
*/

using System;
using _Common_unit;
using _GenVal_unit;

namespace _Propert_unit
{
	public class TDynamic_Properties : TObject
	{
		int Add( string Nam, TSGeneric_Value Value )
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
			return -1 ;
		}


		void Clear()
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
		}


		int Count()
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
			return 0 ;
		}


		int Index_Of( string Nam )
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
			return -1 ;
		}


		string Get_Name( int Index )
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
			return "" ;
		}


		TSGeneric_Value Get_Value( int Index )
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
			return null ;
		}


		void Set_Value( int Index, TSGeneric_Value Value )
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
		}
	} ;

	public class TSDynamic_Properties : TDynamic_Properties
	{
	} ;

	public class PSDynamic_Properties : TSDynamic_Properties
	{
	} ;
}
