<?php
/*
        Program Name : _Propert
        Package Name : Subroutine Library - Layer 0
        Purpose      : Dynamic properties definition.
        Institution  : Conroy & Conroy Co.
        Date Written : 14-February-2005
        Written By   : Alan Conroy
        Version      : 1.0

	    Copyright (C) 2005 by Alan Conroy.  Released to the Public Domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON                         

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          TDynamic_Properties is an abstract base class definition for objects
        which provide dynamic object properties.
*/

require_once('_Common.php');
require_once('_GenVal.php');
require_once('COMInter.php');

class TDynamic_Properties extends TObject
{
	// API...

	public function Add( $Nam, $Value )
	{
	    Abstract_Error()  ;
		return -1;
	}


	public function Clear()
	{
	    Abstract_Error()  ;
	}


	public function Count()
	{
	    Abstract_Error()  ;
		return 0;
	}


	public function Index_Of( $Nam )
	{
	    Abstract_Error()  ;
		return -1;
	}


	public function Get_Name( $Index )
	{
	    Abstract_Error()  ;
		return "";
	}


	public function Get_Value( $Index )
	{
	    Abstract_Error()  ;
		return NULL;
	}


	public function Set_Value( $Index, $Value )
	{
	    Abstract_Error()  ;
	}
} // TDynamic_Properties


class TSDynamic_Properties extends TDynamic_Properties
{
}


class PSDynamic_Properties extends TSDynamic_Properties
{
}
