#        Program Name : _Streams
#        Package Name : Subroutine Library - Layer 0
#        Purpose      : Stream object definitions
#        Institution  : Conroy & Conroy Co.
#        Date Written : 2002
#        Written By   : Alan Conroy
#        Version      : 1.0
#
#        Copyright (C) 2002-2021 by Alan Conroy.  All rights reserved.
#
#        TO THE GLORY OF GOD THROUGH JESUS CHRIST
#
#        *************************************************************
#        *                                                           *
#        *        M O D I F I C A T I O N   H I S T O R Y            *
#        *                                                           *
#        *************************************************************
#
#            DATE        BY          REASON                         
#
#        *************************************************************
#        *                                                           *
#        *        P R O G R A M   P U R P O S E                      *
#        *                                                           *
#        *************************************************************

from _Common import *

class TStream(TObject):
    def At_End():
        Abstract_Error()
        return true


    def Last_Error():
        return None


    def Read( Buffer, _Size ):
        Abstract_Error()
        return 0


    def Read_Line( Buffer, _Size ):
        _Size = 0
        Abstract_Error()


    def Read_String():
        Abstract_Error()
        return ""


    def Seek( Position ):
        Abstract_Error()


    def Write( Buffer,  _Size ):
        Abstract_Error()


    def Write_String( Buffer ):
        Abstract_Error()


    def Write_Line( Buffer ):
        Abstract_Error()


    def Write_Line_String( Buffer ):
        Abstract_Error()

class TSStream(TStream):
    pass

class PSStream(TStream):
    pass
