#        Program Name : TCommon_COM_Interface
#        Package Name : Subroutine Library - Layer 0
#        Purpose      : Abstract virtual common COM interface class
#        Institution  : Conroy & Conroy Co.
#        Date Written : 21-March-2002
#        Written By   : Alan Conroy
#        Version      : 1.0
#
#        Copyright (C) 2002-2015 by Alan Conroy.  Released to the Public Domain.
#
#        TO THE GLORY OF GOD THROUGH JESUS CHRIST
#
#        *************************************************************
#        *                                                           *
#        *        M O D I F I C A T I O N   H I S T O R Y            *
#        *                                                           *
#        *************************************************************
#
#            DATE        BY          REASON
#
#        *************************************************************
#        *                                                           *
#        *        P R O G R A M   P U R P O S E                      *
#        *                                                           *
#        *************************************************************
#
#          TCommon_COM_Interface is a base class definition for COM objects used
#        in the Application Foundation.

# Subroutine Library - layer 0...
     #ResMon,
from _COMInter import *
from _DebugIn import *
from _UE import *

class TCommon_COM_Interface( TBase_COM_Interface ):
    Reference_Count = 0
    _Last_Error = None

    #def __init__(self):
        #Add_Resource( RT_Object, self )


    def __del__(self):
        Set_Last_Error( nil )
        #Remove_Resource( RT_Object, integer( self ) )


    # API...

    def Initialize(self):
        Reference_Count = 0
        return None


    def Terminate(self):
        Set_Last_Error( None )
        return None
        del self


    def Attach(self):
        Reference_Count = Reference_Count + 1


    def Detach(self):
        Reference_Count = Reference_Count - 1
        if( Reference_Count < 1 ):
            Terminate
            return True
        return False


    def Interface_Version(self):
        return 0


    def Facility_ID(self):
        return -1


    def Facility_Version(self):
        return 0


    def Debugger(self):
        return None


    def Last_Error(self):
        return _Last_Error


    def Extension(self):
        return None


    # Internal utility routines...

    def Set_Last_Error( E ):
        if( E != None ):
            E.Attach()
        if( _Last_Error != None ):
            _Last_Error.Detach()
        _Last_Error = E
        return E
