// TCollection methods...

class TCollection
{
	#List = new Array();

	At( Index )
	{
	    if( ( Index < 0 ) || ( Index > this.Count() - 1 ) )
	    {
	        return null ;
	    } 
        return this.#List[ Index ] ;
	}


	AtPut( Index, Value )
	{
    	this.#List[ Index ] = Value ;
	}


	Count()
	{
    	return this.#List.length ;
	}


	Delete( Item )
	{
	    for(var i=this.Count()-1;i>=0;i--)
		{
			if(this.#List[i]==Item)
			{
				this.AtDelete(i);
			}
		}	
	}


	AtDelete( Item )
	{
	    this.#List.splice(Item, 1)
	}


	IndexOf( Item )
	{
		function c(x) {return x==Item;}
		return this.#List.findIndex(c);
	}


	Insert( Item )
	{
	    this.#List.splice( this.Count(),0,Item) ;
	}


	DeleteAll()
	{
	    this.#List = new Array();
	}


	AtInsert( Index, Item )
	{
		if(Index<0)
		{
			index=0;
		}
		this.#List.splice(Index,0,Item);
	}


	SetLimit( ALimit )
	{
	}


	Limit()
	{
	    return this.Count() ;
	}
} // TCollection


class TString_Collection extends TCollection
{
}

class TInteger_Collection extends TCollection
{
}

class PCollection extends TCollection
{
}

class PString_Collection extends TCollection
{
}

class PInteger_Collection extends TCollection
{
}
