<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
	<title>C&amp;C Subroutine Library</title>
</head>
<body>
<?php
include "lb_header.php"
?>
<p>
<b>TCOM_Dynamic_Properties</b><br>
What: Class<br>
Ancestor: <a href="TCommon_COM_Interface.php">TCommon_COM_Interface</a><br>
File: _Propert<br>
Layer: 0<br>
Platforms: C++, Javascript, Pascal (All), PHP, Python<br>
<br>
This class is the abstract base class for COM dynamic propertoes.  The methods in this class
use the stdcall calling convention.  The class contains the following methods:
</p>
<p>
<b>Add</b><br>
int32 Add( char* Nam, TCOM_Generic_Value *Value )<br>
function Add( Nam : PChar ; Value : TCOM_Generic_Value ) : longint<br>
Adds a new property, returning the index.  Returns -1 if a property already exists 
by that name.
</p>
<p>
<b>Clear</b><br>
void Clear()<br>
procedure Clear<br>
Deletes all properties.
</p>
<p>
<b>Count</b><br>
int32 Count()<br>
function Count : longint<br>
Returns the count of defined properties.
</p>
<p>
<b>Get_Name</b><br>
char* Get_Name( int32 Index )<br>
function Get_Name( Index : longint ) : PChar<br>
Retrieves string name of property with given index.  If index is invalid, returns
a null string.
</p>
<p>
<b>Get_Value</b><br>
TCOM_Generic_Value* Get_Value( int32 Index )<br>
function Get_Value( Index : longint ) : TCOM_Generic_Value<br>
Gets the value for the specified index.  Returns nil if the index is invalid.
</p>
<p>
<b>Index_Of</b><br>
int32 Index_Of( char* Nam )<br>
function Index_Of( Nam : PChar ) : longint<br>
Returns the index of the property with the specified name.  Returns -1 if the named
property doesn't exist.
</p>
<p>
<b>Set_Value</b><br>
void Set_Value( int32 Index, TCOM_Generic_Value* Value )<br>
procedure Set_Value( Index : longint ; Value : TCOM_Generic_Value )<br>
Sets the value for the specified index.
</p>
