<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
	<title>C&amp;C Subroutine Library</title>
</head>
<body>
<?php
include "lb_header.php"
?>
<p>
<b>TFont</b><br>
What: class<br>
Ancestor: <a href="TBase_Delphi_Object.php">TBase_Delphi_Object</a><br>
Layer: 1<br>
Platforms: C++, C#, Javascript, Pascal (Object), PHP, Python<br>
<br>
A base abstract class for font descriptions.  It contains the following methods:
</p> 
<p>
<b>Baseline</b><br>
int32 Baseline()<br>
function Baseline() : int32<br>
Returns the baseline for the font.
</p>
<p>
<b>Bold</b><br>
bool Bold()<br>
property Bold : boolean read Get_Bold write Set_Bold<br>
Access to Bold value.
</p>
<p>
<b>Bold_Amount</b><br>
int32 Bold_Amount()<br>
property Bold_Amount : integer read Get_Bold_Amount write Set_Bold_Amount<br>
Access to Bold_Amount value.
</p>
<p>
<b>Draw</b><br>
void Draw( int Canvas, TRectangle Rect, int32 _Baseline )<br>
procedure Draw( Context : int ; Rect : TRectangle ; _Baseline : int32 ; Value : string )<br>
Draws the string onto the specified context in the specified rectangle, with the
given baseline.  Context is platform-specific.
</p>
<p>
<b>Get_Bold</b><br>
bool Get_Bold()<br>
function Get_Bold() : boolean<br>
</p>
<p>
<b>Get_Bold_Amount</b><br>
int32 Get_Bold_Amount())<br>
function Get_Bold_Amount() : int32<br>
</p>
<p>
<b>Get_Italic</b><br>
bool Get_Italic()<br>
function Get_Italic() : boolean<br>
</p>
<p>
<b>Get_Italic_Amount</b><br>
int32 Get_Italic_Amount()<br>
function Get_Italic_Amount() : int32<br>
</p>
<p>
<b>Get_Name</b><br>
string Get_Name()<br>
function Get_Name() : string<br>
</p>
<p>
<b>Get_Size</b><br>
int32 Get_Size()<br>
function Get_Size() : int32<br>
</p>
<p>
<b>Italic</b><br>
bool Italic()<br>
property Italic : boolean read Get_Italic write Set_Italic<br>
</p>
<p>
<b>Italic_Amount</b><br>
int32 Italic_Amount()<br>
property Italic_Amount : integer read Get_Italic_Amount write Set_Italic_Amount<br>
</p>
<p>
<b>Set_Bold</b><br>
void Set_Bold( bool Value )<br>
procedure Set_Bold( Value : boolean )<br>
</p>
<p>
<b>Set_Bold_Amount</b><br>
void Set_Bold_Amount( int32 Value )<br>
procedure Set_Bold_Amount( Value : int32 )<br>
</p>
<p>
<b>Set_Italic</b><br>
void Set_Italic( bool Value )<br>
procedure Set_Italic( Value : boolean )<br>
</p>
<p>
<b>Set_Italic_Amount</b><br>
void Set_Italic_Amount( int32 Value )<br>
procedure Set_Italic_Amount( Value : int32 )<br>
</p>
<p>
<b>Set_Name</b><br>
void Set_Name( string Value )<br>
procedure Set_Name( Value : string )<br>
</p>
<p>
<b>Set_Size</b><br>
void Set_Size( int32 Value )<br>
procedure Set_Size( Value : int32 ) <br>
</p>
<p>
<b>Leading</b><br>
int32 Leading()<br>
function Leading() : int32<br>
</p>
<p>
<b>Size</b><br>
int32 Size()<br>
property Size : integer read Get_Size write Set_Size<br>
</p>
