<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
	<title>C&amp;C Subroutine Library</title>
</head>
<body>
<?php
include "lb_header.php"
?>
<p>
<b>TModule_Info</b><br>
What: structure or class<br>
File: <a href="_Lib.php">_Lib</a><br>
Layer: 1<br>
Platforms: C++, C#, Javascript, Pascal (Delphi), PHP, Python<br>
<br>
Defines information about a module.  It has the following fields, in this order:
</p>
<p>
<b>Name</b><br>
char Name[128]<br>
Name : string[127]<br>
Name of the module.
</p>
<p>
<b>Size</b><br>
int32 Size<br>
Size : longint<br>
Size of module, in bytes.
</p>
<p>
<b>Day</b><br>
int32 Day<br>
Day : int32<br>
The day of month that the module was inserted into library.
</p>
<p>
<b>Month</b><br>
int32 Month<br>
Month : int32<br>
The month of the year that the module was inserted into library.
</p>
<p>
<b>Year</b><br>
int32 Year<br>
Year : int32<br>
The year that the module was inserted into library.
</p>
<p>
<b>Flags</b><br>
int32 Flags<br>
Flags : int32<br>
This contains various flags for the module.
</p>

