<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
	<title>C&amp;C Subroutine Library</title>
</head>
<body>
<?php
include "lb_header.php"
?>
<p>
<b>TTest_Interface</b><br>
What: Class<br>
Ancestor: None<br>
File: _TestInt<br>
Layer: 0<br>
Platforms: C++, C#, Javascript, Pascal (All), PHP, Python<br>
<br>
This class is the base class for standard dynamic classes in the subroutine library.  
The class contains the following methods:
</p>
<p>
<b>Error</b><br>
bool Error( char* M )<br>
function Error( M : PChar ) : boolean<br>
Called to register an error with specified message.  If the test should end, the method
returns true.
</p>
<p>
<b>Log</b><br>
bool Log( const string S )<br>
function Log( const S : string ) : boolean<br>
Called to log a non-error message.  True is returned if the test should end.
</p>
<p>
<b>Log_Operation</b><br>
bool Log_Operation( const string S )<br>
function Log_Operation( const S : string ) : boolean<br>
Logs an operation.  True is returned if the test should end.
</p>
<p>
<b>Operation_Count</b><br>
int64 Operation_Count()<br>
function Operation_Count : int64<br>
Returns the number of operations that have been performed.
</p>
