//---------------------------------------------------------------------------

#pragma hdrstop

//---------------------------------------------------------------------------

#include "COMLists.hpp"
#include <iostream>

#pragma argsused
void Error()
{
	cout << "Error" ;
} ;
int main(int argc, char* argv[])
{
	TStandard_COM_List* List = new TStandard_COM_List ;

	if( List->Count() != 0 )
    {
        Error() ;
    } ;
	if( List->Capacity() != 0 )
    {
        Error() ;
    } ;
	if( List->Delta() != 0 )
    {
        Error() ;
	} ;
	if( List->Add( 1 ) != 0 )
	{
		Error() ;
	} ;
	if( List->Add( 2 ) != 1 )
    {
        Error() ;
    } ;
	if( List->Add( 3 ) != 2 )
    {
        Error() ;
	} ;
	if( List->Items( 0 ) != 1 )
	{
        Error() ;
    } ;
	if( List->Items( 1 ) != 2 )
    {
        Error() ;
    } ;
	if( List->Items( 2 ) != 3 )
    {
        Error() ;
    } ;
	if( List->Count() != 3 )
	{
        Error() ;
	} ;
	List->Set_Delta( 4 ) ;
	if( List->Delta() != 4 )
    {
        Error() ;
    } ;
	if( List->Add( 4 ) != 3 )
    {
        Error() ;
    } ;
    if( List->Add( 5 ) != 4 )
    {
        Error() ;
    } ;
	List->Set_Item( 4, 10 ) ;
	if( List->Items( 4 ) != 10 )
	{
        Error() ;
	} ;
	if( List->Capacity() != 8 )
	{
		Error() ;
	} ;
    if( List->IndexOf( 9 ) != -1 )
    {
        Error() ;
    } ;
    if( List->IndexOf( 2 ) != 1 )
    {
        Error() ;
	} ;
	List->Set_Count( 2 ) ;
	if( List->Count() != 2 )
	{
        Error() ;
	} ;
	List->Set_Capacity( 4 ) ;
	List->Set_Count( 4 ) ;
	List->Set_Delta( -50 ) ;
	List->Add( 11 ) ;
	List->Set_Delta( -1 ) ;
    List->Add( 12 ) ;
	List->Add( 13 ) ;
	delete List ;

	return 0;
}
//---------------------------------------------------------------------------
