/*
        Program Name : Test__COMLists
        Package Name : Subroutine Library Layer 0
		Purpose      : Test COM list class
        Institution  : Conroy & Conroy Co.
        Date Written : 1-Jan-2021
        Written By   : Alan Conroy
		Version      : 1.0

	      Copyright (C) 2021 by Alan Conroy.  All rights reserved.

		TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
		*************************************************************

            DATE        BY          REASON

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************
*/

#include "COMLists.hpp"

void Error()
{
	int i=0 ;
} ;


void Test()
{
	TStandard_COM_List* List = new TStandard_COM_List ;

	if( List->Count() != 0 )
    {
        Error() ;
    } ;
	if( List->Capacity() != 0 )
    {
        Error() ;
    } ;
	if( List->Delta() != 0 )
    {
        Error() ;
    } ;
	if( List->Add( 1 ) != 0 )
	{
		Error() ;
	} ;
	if( List->Add( 2 ) != 1 )
    {
        Error() ;
    } ;
	if( List->Add( 3 ) != 2 )
    {
        Error() ;
	} ;
	if( List->Items( 0 ) != 1 )
	{
        Error() ;
    } ;
	if( List->Items( 1 ) != 2 )
    {
        Error() ;
    } ;
	if( List->Items( 2 ) != 3 )
    {
        Error() ;
    } ;
	if( List->Count() != 3 )
    {
        Error() ;
    } ;
	List->Set_Delta( 4 ) ;
	if( List->Delta() != 4 )
    {
        Error() ;
    } ;
	if( List->Add( 4 ) != 3 )
    {
        Error() ;
    } ;
    if( List->Add( 5 ) != 4 )
    {
        Error() ;
    } ;
	List->Set_Item( 4, 10 ) ;
	if( List->Items( 4 ) != 10 )
	{
        Error() ;
	} ;
	if( List->Capacity() != 8 )
	{
		Error() ;
	} ;
    if( List->IndexOf( 9 ) != -1 )
    {
        Error() ;
    } ;
    if( List->IndexOf( 2 ) != 1 )
    {
        Error() ;
	} ;
	List->Set_Count( 2 ) ;
	if( List->Count() != 2 )
	{
        Error() ;
	} ;
	List->Set_Capacity( 4 ) ;
	List->Set_Count( 4 ) ;
	List->Set_Delta( -50 ) ;
    List->Add( 11 ) ;
	List->Set_Delta( -1 ) ;
    List->Add( 12 ) ;
	List->Add( 13 ) ;
	delete List ;
} ;

