{
        Program Name : Test__COMLists
        Package Name : Subroutine Library Layer 0
        Purpose      : Test COM list class
        Institution  : Conroy & Conroy Co.
        Date Written : 1-Jan-2021
        Written By   : Alan Conroy
        Version      : 1.0

	      Copyright (C) 2021 by Alan Conroy.  All rights reserved.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

}

unit Test__COMLists ;

interface

uses COMLists ;

procedure Test() ;


implementation

procedure Error() ;

begin
    halt ;
end ;


procedure Test() ;

var List : TStandard_COM_List ;

begin
    List := TStandard_COM_List.Create ;
    if( List.Count <> 0 ) then
    begin
        Error() ;
    end ;
    if( List.Capacity <> 0 ) then
    begin
        Error() ;
    end ;
    if( List.Delta <> 0 ) then
    begin
        Error() ;
    end ;
    if( List.Add( 1 ) <> 0 ) then
    begin
        Error() ;
    end ;
    if( List.Add( 2 ) <> 1 ) then
    begin
        Error() ;
    end ;
    if( List.Add( 3 ) <> 2 ) then
    begin
        Error() ;
    end ;
    if( List[ 0 ] <> 1 ) then
    begin
        Error() ;
    end ;
    if( List[ 1 ] <> 2 ) then
    begin
        Error() ;
    end ;
    if( List[ 2 ] <> 3 ) then
    begin
        Error() ;
    end ;
    if( List.Count <> 3 ) then
    begin
        Error() ;
    end ;
    List.Delta := 4 ;
    if( List.Delta <> 4 ) then
    begin
        Error() ;
    end ;
    if( List.Add( 4 ) <> 3 ) then
    begin
        Error() ;
    end ;
    if( List.Add( 5 ) <> 4 ) then
    begin
        Error() ;
    end ;
    List[ 4 ] := 10 ;
    if( List[ 4 ] <> 10 ) then
    begin
        Error() ;
    end ;
    if( List.Capacity <> 8 ) then
    begin
        Error() ;
    end ;
    if( List.IndexOf( 9 ) <> -1 ) then
    begin
        Error() ;
    end ;
    if( List.IndexOf( 2 ) <> 1 ) then
    begin
        Error() ;
    end ;
    List.Count := 2 ;
    if( List.Count <> 2 ) then
    begin
        Error() ;
    end ;
    List.Capacity := 4 ;
    List.Count := 4 ;
    List.Delta := -50 ;
    List.Add( 11 ) ;
    List.Delta := -1 ;
    List.Add( 12 ) ;
    List.Add( 13 ) ;
    List.Free ;
end ;



end.

