using System;
using Collect;

namespace Test__Collect
{
	public class Test__Collect
	{
		public void Test__Collect()
		{
			TInteger_Collection TC = new TInteger_Collection( 0, 0 ) ;
			if( TC.Count() != 0 )
			{
				System.Console.WriteLine( "Count <> 0" ) ;
				return ;
			} ;
			if( TC.IndexOf( 1 ) != -1 )
			{
				System.Console.WriteLine( "IndexOf is invalid" ) ;
				return ;
			} ;
			for( int Loop = 0; Loop <= 5; Loop++ )
			{
				TC.Insert( Loop * 2 ) ;
			} ;
			if( TC.Count() != 6 )
			{
				System.Console.WriteLine( "Count <> 6" ) ;
				return ;
			} ;
			for( int Loop = 0; Loop <= 5; Loop++ )
			{
				if( TC.At( Loop ) != Loop * 2 )
				{
					System.Console.WriteLine( "At returned wrong value" ) ;
					return ;
				} ;
			} ;
			for( int Loop = 0; Loop <= 5; Loop++ )
			{
				TC.AtPut( Loop, Loop * 2 + 1 ) ;
			} ;
			for( int Loop = 0; Loop <= 5; Loop++ )
			{
				if( TC.At( Loop ) != Loop * 2 + 1 )
				{
					System.Console.WriteLine( "AtPut incorrect" ) ;
					return ;
				} ;
			} ;
			if( TC.IndexOf( 3 ) != 1 )
			{
				System.Console.WriteLine( "Indexof incorrect" ) ;
				return ;
			} ;
			TC.Delete( 3 ) ;
			if( TC.IndexOf( 3 ) != -1 )
			{
				System.Console.WriteLine( "Delete malfunctioned" ) ;
				return ;
			} ;
			for( int Loop = TC.Count() - 1; Loop >= 0; Loop-- )
			{
				TC.AtDelete( Loop ) ;
			} ;
			if( TC.Count() != 0 )
			{
				System.Console.WriteLine( "Count <> 0" ) ;
				return ;
			} ;
			if( TC.At( -1 ) != 0 )
			{
				System.Console.WriteLine( "At( -1 ) did not return 0" ) ;
				return ;
			} ;
		}
	}
}
