/*
        Program Name : _AEL
        Package Name : Subroutine Library - Layer 1
        Purpose      : Abstract Application Event Logger
        Institution  : Conroy & Conroy Co.
        Date Written : 31-January-2003
        Written By   : Alan Conroy
        Version      : 1.0

		Copyright (C) 2003-2021 by Alan Conroy.  Released to the Public Domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          The classes in this unit are used to provide an OO event logging
	interface.
*/

using System;
using CommBase_unit; // TBase_Object
using _DebugIn_unit; // PDebug_Interface

namespace _AEL_unit
{
	public class TApplication_Event_Logger : TBase_Delphi_Object
	{
		public override TDebug_Interface Debugger()
		{
			return null ;
		}


		public void Log_Event( string S )
		{
			// Default does nothing
		}


		public void Trace_Enter( string S )
		{
			// Default does nothing
		}


		public void Trace_Exit( string S )
		{
			// Default does nothing
		}
	} ;


	public class TSApplication_Event_Logger : TApplication_Event_Logger
	{
	} ;


	public class PSApplication_Event_Logger : TSApplication_Event_Logger
	{
	} ;


	public class TCOM_Application_Event_Logger : PSApplication_Event_Logger
	{
	} ;
}
