<?php
 /*
        Program Name : _AEL
        Package Name : Subroutine Library - Layer 1
        Purpose      : Abstract Application Event Logger
        Institution  : Conroy & Conroy Co.
        Date Written : 31-January-2003
        Written By   : Alan Conroy
        Version      : 1.0

        Copyright (C) 2003-2021 by Alan Conroy.  Released to the Public Domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          The classes in this unit are used to provide an OO event logging
	interface.
*/

require_once "CommBase"; // TBase_Object
require_once "_DebugIn"; //" PDebug_Interface

class TApplication_Event_Logger extends TObject
{
	public function Debugger()
	{
		return NULL ;
	}


	public function Log_Event( $S )
	{
		// Default does nothing
	}


	public function Trace_Enter( $S )
	{
		// Default does nothing
	}


	public function Trace_Exit( $S )
	{
		// Default does nothing
	}
} ;


class TSApplication_Event_Logger extends TApplication_Event_Logger
{
} ;


class PSApplication_Event_Logger extends TSApplication_Event_Logger
{
} ;


class TCOM_Application_Event_Logger extends PSApplication_Event_Logger
{
} ;
