#        Program Name : _AEL
#        Package Name : Subroutine Library - Layer 1
#        Purpose      : Abstract Application Event Logger
#        Institution  : Conroy & Conroy Co.
#        Date Written : 31-January-2003
#        Written By   : Alan Conroy
#        Version      : 1.0
#
#        Copyright (C) 2003-2021 by Alan Conroy.  Released to the Public Domain.
#
#        TO THE GLORY OF GOD THROUGH JESUS CHRIST
#
#        *************************************************************
#        *                                                           *
#        *        M O D I F I C A T I O N   H I S T O R Y            *
#        *                                                           *
#        *************************************************************
#
#            DATE        BY          REASON
#
#        *************************************************************
#        *                                                           *
#        *        P R O G R A M   P U R P O S E                      *
#        *                                                           *
#        *************************************************************
#
#          The classes in this unit are used to provide an OO event logging
#	interface.

from CommBase import * # TBase_Object
from _DebugIn import * # PDebug_Interface

class TApplication_Event_Logger( TBase_Object ):
    def Debugger():
        return None


    def Log_Event( S ):
        pass # Default does nothing


    def Trace_Enter( S ):
        pass # Default does nothing


    def Trace_Exit( S ):
        pass # Default does nothing


class TSApplication_Event_Logger(TApplication_Event_Logger):
    pass


class PSApplication_Event_Logger(TSApplication_Event_Logger):
    pass


class TCOM_Application_Event_Logger(PSApplication_Event_Logger):
    pass
