#        Program Name : _CacheMa
#        Package Name : Subroutine Library - Layer 1
#        Purpose      : Cache Manager class
#        Institution  : Conroy & Conroy Co.
#        Date Written : 18-Jun-1994
#        Written By   : Alan Conroy
#        Version      : 1.0
#
#        Copyright (C) 1994-2021 by Alan Conroy.  Released to the public domain.
#
#        TO THE GLORY OF GOD THROUGH JESUS CHRIST
#
#        *************************************************************
#        *                                                           *
#        *        M O D I F I C A T I O N   H I S T O R Y            *
#        *                                                           *
#        *************************************************************
#
#            DATE        BY          REASON
#
#        *************************************************************
#        *                                                           *
#        *        P R O G R A M   P U R P O S E                      *
#        *                                                           *
#        *************************************************************
#
#          The cache manager is used to manage multiple caches.

from _Cache import * # PSCache
from CommBase import * # TBase_Object
from _Common import * # Abstract_Error

class TSCache_Manager( TBase_Object ):
    def Initialize():
        Abstract_Error()

    def Terminate() :
        Abstract_Error()

    def Add( Routine, Priority ):
        # This routine adds a cache handler to the cache
        # chain.  Routine is a pointer to the cache
        # handler and Priority is the relative priority
        # of this cache.
        Abstract_Error()

    def Delete( Routine ):
        # This routine removes a cache handler from the cache handler list.
        Abstract_Error()

    def Free_Cache( Siz, Priority, Exclude ):
        # This routine calls the appropriate cache
        # handlers to free up Siz bytes of memory.  A
        # specific handler can be excluded from this.
        # Calling this with Exclude of nil, priority of
        # maxint, and Siz of -1, will zero all caches.
        Abstract_Error()

class PSCache_Manager( TSCache_Manager ):
    pass

Cache_Manager = None
