<?php
 /*
        Program Name : _Deferred
        Package Name : Subroutine Library
        Purpose      : Deferred execution support
        Institution  : Conroy & Conroy Co.
        Date Written : 20-Jun-2015
        Written By   : Alan Conroy
        Version      : 1.0

	    Copyright (C) 2015 by Alan Conroy.  All rights reserved.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

        DATE        BY          REASON

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

        The TDeferred_Execution class is used to queue up "packets" of code for
        later execution.
*/

abstract class TDeferred_Execution
{
	public function Execute( $Context ) ;
} ;

abstract class TDeferred_Manager
{
	public function Add( $Item, $Context )  ;
	public function Remove( $Item, $Context )  ;
	public function Remove_All( $Item ) ;
	public function Execute_Next() ;
	public function Index_Of( $Item, $Context ) ;
	public function Index_Of_First( $Item ) ;
	public function Is_Empty() ;
} ;

$Deferred_Manager = NULL ;

