#        Program Name : _Lib
#        Package Name : Subroutine Library - Layer 1
#        Purpose      : Abstract Object Librarian class definitions
#        Institution  : Conroy & Conroy Co.
#        Date Written : 15-Dec-1988
#        Written By   : Alan Conroy
#        Version      : 1.0
#
#        Copyright (C) 1988-2021 by Alan Conroy.  Released to the public domain.
#
#        TO THE GLORY OF GOD THROUGH JESUS CHRIST
#
#        *********************************************************
#        *                                                       *
#        *        M O D I F I C A T I O N   H I S T O R Y        *
#        *                                                       *
#        *********************************************************
#
#             DATE      BY             REASON                   
#
#        *********************************************************
#        *                                                       *
#        *           P R O G R A M   P U R P O S E               *
#        *                                                       *
#        *********************************************************
#
#        *********************************************************
#        *                                                       *
#        *            F I L E   D E S C R I P T I O N S          *
#        *                                                       *
#        *********************************************************

from _Common import * # TObject
from CommBase import * # TBase_Delphi_Object
from _UE import * # TUnified_Exception

LibErr_Facility = 14
LibErr_Success = 0
LibErr_Invalid_Library_File_Format = 1
LibErr_Module_Not_Found = 2
LibErr_Module_Already_Exists = 3
LibErr_Illegal_Module_Format = 4

class TModule_Info():
    Name # string[ 127 ]
    Size = 0
    Day, Month, Year, Hour, Minute = 0
    Flags = 0 

class TSObject_Librarian( TObject ):
    Creation_Hour, Creation_Minute = 0
    Creation_Day, Creation_Month, Creation_Year = 0
    Deleted_Space = 0
    Modified_Hour, Modified_Minute = 0
    Modified_Day, Modified_Month, Modified_Year = 0
    Version = ""

    def Create_New( Command, Language_Id, Typ ):
        Abstract_Error()
        
    def Get_Last_Error():
        Abstract_Error()
        return None
        
    def Extract( Module, Filename ):
        Abstract_Error()
        
    def Extract_Index( Module, Filename, Start_Block ):
        Abstract_Error()
        
    def Open( X ):
        Abstract_Error()
        
    def Delete( Command ):
        Abstract_Error()
        
    def Insert( Command, string Filename ):
        Abstract_Error()
        
    def Get_Module( Start_Block, X, Buffer ):
        Abstract_Error()
        
    def Get_Module_Info( X, Info ):
        Abstract_Error()
        return False ;
        
    def Size():
        Abstract_Error()
        return 0
        

class PSObject_Librarian( TSObject_Librarian ):
    pass

class TObject_Librarian( PSObject_Librarian )
    pass
