<?php
 /*
        Program Name : _NameVal
        Package Name : Subroutine Library - Layer 0
        Purpose      : Named values class definitions.
        Institution  : Conroy & Conroy Co.
        Date Written : 14-April-2008
        Written By   : Alan Conroy
        Version      : 1.0

	    Copyright (C) 2008 by Alan Conroy.  Released to the Public Domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          TNamed_Values is a class that provides a set of values associated with
        a name.
*/

include_once "_Common"; // TObject
include_once "ComInter"; // TCommon_COM_Interface
include_once "_Types"; // AnsiString

class TSNamed_Values
{
	function Index_Of( $Name )
	{
	    Abstract_Error() ;
	    return -1;
	}


	function Index_Of_Value( $Value )
	{
	    Abstract_Error() ;
	    return -1;
	}


	function Get( $Index )
	{
	    Abstract_Error() ;
		return '';
	}


	function Get_Name( $Index )
	{
	    Abstract_Error() ;
	    return '';
	}


	function Put( $Index, $Value )
	{
	    Abstract_Error() ;
	    return -1;
	}


	function Put_by_Name( $Name, $Value )
	{
	    Abstract_Error() ;
	    return -1;
	}


	function Delete( $Index )
	{
	    Abstract_Error() ;
	}
} ; // TSNamed_Value
