/*
        Program Name : _ObjectF
        Package Name : Subroutine Library - Layer 0
        Purpose      : Abstract Object Factory class
        Institution  : Conroy & Conroy Co.
        Date Written : 19-Feb-2005
        Written By   : Alan Conroy
        Version      : 1.0

		Copyright (C) 2005-2021 by Alan Conroy.  Released to the public domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          TSObject_Factory is an abstract base class for classes which provide
        an indirect way of creating certain "standard" Subroutine Library
        classes.
*/

using System;
using _Common_unit;
using _GenVal_unit;
using _NameVal_unit;
using _Propert_unit;

namespace _ObjectF_unit
{
	public class TSObject_Factory : TObject
	{
		public TSDynamic_Properties Static_Dynamic_Properties()
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
			return null ;
		}


		public TDynamic_Properties Dynamic_Properties()
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
			return null ;
		}


		public PSGeneric_Value Static_Generic_Value()
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
			return null ;
		}


		public PSNamed_Values Static_Named_Values()
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
			return null ;
		}


		public TGeneric_Value Generic_Value()
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
			return null ;
		}


		public TNamed_Values Named_Values( string Set_Name, bool Create )
		{
			_Common C = new _Common() ;
			C.Abstract_Error() ;
			return null ;
		}
	} ;

	public class PSObject_Factory : TSObject_Factory
	{
	} ;

	public class Object_Factory : PSObject_Factory
	{
	} ;
}
