#        Program Name : _ObjectF
#        Package Name : Subroutine Library - Layer 0
#        Purpose      : Abstract Object Factory class
#        Institution  : Conroy & Conroy Co.
#        Date Written : 19-Feb-2005
#        Written By   : Alan Conroy
#        Version      : 1.0
#
#        Copyright (C) 2005 by Alan Conroy.  Released to the public domain.
#
#        TO THE GLORY OF GOD THROUGH JESUS CHRIST
#
#        *************************************************************
#        *                                                           *
#        *        M O D I F I C A T I O N   H I S T O R Y            *
#        *                                                           *
#        *************************************************************
#
#            DATE        BY          REASON
#
#        *************************************************************
#        *                                                           *
#        *        P R O G R A M   P U R P O S E                      *
#        *                                                           *
#        *************************************************************
#
#          TSObject_Factory is an abstract base class for classes which provide
#        an indirect way of creating certain "standard" Subroutine Library
#        classes.

from _Common import *
from _GenVal import *
from _NameVal import *
from _Propert import *


class TSObject_Factory:
    def Static_Dynamic_Properties():
        Abstract_Error()
        return None


    def COM_Dynamic_Properties():
        Abstract_Error()
        return None


    def Dynamic_Properties():
        Abstract_Error()
        return None


    def Static_Generic_Value():
        Abstract_Error()
        return None


    def Static_Named_Values():
        Abstract_Error()
        return None


    def COM_Generic_Value():
        Abstract_Error()
        return None


    def Generic_Value():
        Abstract_Error()
        return None


    def COM_Named_Values( Set_Name, Create ):
        Abstract_Error()
        return None


    def Named_Values( Set_Name, Create ):
        Abstract_Error()
        return None


class PSObject_Factory(TSObject_Factory):
    pass


Object_Factory = PSObject_Factory()
