#        Program Name : _Propert
#        Package Name : Subroutine Library - Layer 0
#        Purpose      : Dynamic properties definition.
#        Institution  : Conroy & Conroy Co.
#        Date Written : 14-February-2005
#        Written By   : Alan Conroy
#        Version      : 1.0
#
#       Copyright (C) 2005 by Alan Conroy.  Released to the Public Domain.
#
#        TO THE GLORY OF GOD THROUGH JESUS CHRIST
#
#        *************************************************************
#        *                                                           *
#        *        M O D I F I C A T I O N   H I S T O R Y            *
#        *                                                           *
#        *************************************************************
#
#            DATE        BY          REASON                         
#
#        *************************************************************
#        *                                                           *
#        *        P R O G R A M   P U R P O S E                      *
#        *                                                           *
#        *************************************************************
#
#          TDynamic_Properties is an abstract base class definition for objects
#        which provide dynamic object properties.

from _Common import *
from COMInter import *
from _GenVal import *

class TDynamic_Properties( TObject ):
    def Add( Nam, Value ):
        Abstract_Error()
        return -1


    def Clear():
        Abstract_Error()


    def Count():
        Abstract_Error()
        return 0


    def Index_Of( Nam ):
        Abstract_Error()
        return -1


    def Get_Name( Index ):
        Abstract_Error()
        return ""


    def Get_Value( Index ):
        Abstract_Error()
        return None


    def Set_Value( Index, Value ):
        Abstract_Error()


class TSDynamic_Properties( TDynamic_Properties ):
    pass


class TCOM_Dynamic_Properties( TDynamic_Properties ):
    pass


class PSDynamic_Properties( TDynamic_Properties ):
    pass
