/*
        Program Name : _RGB
        Package Name : Subroutine Library - Layer 0
        Purpose      : RGB graphics support
        Institution  : Conroy & Conroy Co.
        Date Written : 20-Aug-2000
        Written By   : Alan Conroy
        Version      : 1.0

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

        RGB related definitions.  RGB records contain Blue (B), Green (G), Red
        (R), and Alpha (A) components.
*/

using System;

namespace _RGB_unit
{
	public struct TRGB
	{
		public byte B;
		public byte G;
		public byte R;
		public byte A;

		public TRGB( byte _B, byte _G, byte _R, byte _A )
		{
			B=_B;
			G=_G;
			R=_R;
			A=_A;
		}
	} ;

	public struct TWide_RGB
	{
		public ushort R;
		public ushort G;
		public ushort B;
		public ushort A;

		public TWide_RGB( ushort _R, ushort _G, ushort _B, ushort _A )
		{
			B=_B;
			G=_G;
			R=_R;
			A=_A;
		}
	}
}
