/*
        Program Name : _Streams
        Package Name : Subroutine Library - Layer 0
        Purpose      : Stream object definitions
        Institution  : Conroy & Conroy Co.
        Date Written : 2002
        Written By   : Alan Conroy
        Version      : 1.0

        Copyright (C) 2002-2005 by Alan Conroy.  All rights reserved.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON                         

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

*/

#include "_Streams.hpp"

// TSStream methods...

bool TSStream::At_End()
{
    Abstract_Error() ;
    return true;
}


TSUnified_Exception *TSStream::Last_Error()
{
    return NULL;
}


int32 TSStream::Read( void* Buffer, int32 &_Size )
{
    Abstract_Error() ;
    return 0;
}


void TSStream::Read_Line( void* Buffer, int32 &_Size )
{
    _Size = 0 ;
    Abstract_Error() ;
}


string TSStream::Read_String()
{
    Abstract_Error() ;
    string s = "";
    return s;
}


void TSStream::Seek( int32 Position )
{
    Abstract_Error() ;
}


void TSStream::Write( void* Buffer, int32 _Size )
{
    Abstract_Error() ;
}


void TSStream::Write_String( const string Buffer )
{
    Abstract_Error() ;
}


void TSStream::Write_Line( char* Buffer )
{
    Abstract_Error() ;
}


void TSStream::Write_Line_String( const string Buffer )
{
    Abstract_Error() ;
}
