<?php
 /*
       Program Name : _Streams
        Package Name : Subroutine Library - Layer 0
        Purpose      : Stream object definitions
        Institution  : Conroy & Conroy Co.
        Date Written : 2002
        Written By   : Alan Conroy
        Version      : 1.0

        Copyright (C) 2002-2005 by Alan Conroy.  All rights reserved.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON                         

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************
*/

include_once "ComInter.php" ; // TCommon_COM_Object
include_once "_Common.php" ; // TObject
include_once "_UE.php" ; // TUnified_Exception

// TSStream methods...

class TStream extends TObject
{
	function At_End()
	{
	    Abstract_Error() ;
	    return true;
	}


	function Last_Error()
	{
	    return NULL;
	}


	function Read( $Buffer, &$_Size )
	{
	    Abstract_Error() ;
	    return 0;
	}


	function Read_Line( $Buffer, &$_Size )
	{
	    $_Size = 0 ;
	    Abstract_Error() ;
	}


	function Read_String()
	{
	    Abstract_Error() ;
	    return "";
	}


	function Seek( $Position )
	{
	    Abstract_Error() ;
	}


	function Write( $Buffer,  &$_Size )
	{
	    Abstract_Error() ;
	}


	function Write_String( $Buffer )
	{
	    Abstract_Error() ;
	}


	function Write_Line( $Buffer )
	{
	    Abstract_Error() ;
	}


	function Write_Line_String( $Buffer )
	{
	    Abstract_Error() ;
	}
} // TStream


class TSStream extends TStream
{
}


class PSStream extends TStream
{
}
