<?php
 /*
		Program Name : Text_Editor_Interface
		Package Name : Subroutine Library - layer 0
		Purpose      : Visual interface to a Text_Editor
        Institution  : Conroy & Conroy Co.
        Date Written :
        Written By   : Alan Conroy
        Version      : 1.0

	    Copyright (C) 2012 by Alan Conroy.  All rights reserved.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON                         

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
		*                                                           *
        *************************************************************
*/

// C&C Subroutine Library - layer 0...
require_once "CommBase.hpp";

class TText_Editor_Position
{
	public $Row = 0 ;
	public $Column = 0 ;
} ;


class TText_Editor_Interface_Notifier extends TBase_Delphi_Object
{
	// API...
	public function Cursor_Change( $R, $C ) {}
	public function Line_Read( $R ) {}
} ;


class TText_Editor_Interface extends TBase_Delphi_Object
{
	// API...
	public function Set_Parent( $Handle ) {}
	public function Get_Parent() {}
	public function Set_Size( $Height, $Width ) {}
	public function Column_Count() {}
	public function Line_Count() {}

	public function Set_Background( $Color ) {}
	public function Set_Foreground( $Color ) {}
	public function Set_Font( $Name ) {}
	public function Set_Font_Size( $Siz ) {}

	public function Load_File( $Nam ) {}
	public function Save_File( $Nam ) {}

	public function Get_Line( $Row ) {}

	public function Locate( $S, &$R, &$C, $CS ) {}
	public function Position_To( $R, $C ) {}
	public function Get_Position( &$R, &$C ) {}
	public function Set_Notifier( $V ) {}
	public function Key_Down( &$Key, $Shift ) {}
	public function Bring_Cursor_Into_View() {}
	public function SetFocus() {}
	public function Set_Position( $P ) {}
	public function Get_Selected_Text() {}

	public function Parent()
	{
		return Get_Parent();
	}
} ;
